/* upgrading database from compiere 253a to 253b 
 Written by Karsten Thiemann, kt@schaeffer-ag.de
 Feel free to change everything you want, but you are using it at your own risk!

 modified 20Sept2006 - croo - added SET DEFINE statement
			      added reformatted to join lines with strings
				carriage returns & include CHR(10)
			      moved the insert to table AD_REF_TABLE to the end
                                of the file to remove dependency error.
 */

 SET DEFINE OFF;

/* INSERTING into AD_ELEMENT (new elements) */
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2875,0,0,'Y',to_date('25.10.05','DD.MM.RR'),100,to_date('25.10.05','DD.MM.RR'),100,'GL_FundRestriction_ID','D','Fund Restriction','Fund Restriction','Restriction of Funds','If defined, you can use the fund only for the accounts selected.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2876,0,0,'Y',to_date('31.10.05','DD.MM.RR'),100,to_date('31.10.05','DD.MM.RR'),100,'C_SubAcct_ID','D','Sub Account','Sub Acct','Sub account for Element Value','The Element Value (e.g. Account) may have optional sub accounts for further detail. The sub account is dependent on the value of the account, so a further specification. If the sub-accounts are more or less the same, consider using another accounting dimension.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2877,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'UserElement1_ID','D','User Element 1','User Element 1','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested)',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2878,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'UserElement2_ID','D','User Element 2','User Element 2','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested) ',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2879,0,0,'Y',to_date('11.11.05','DD.MM.RR'),100,to_date('11.11.05','DD.MM.RR'),100,'EMailRecipient','D','EMail Recipient','EMail Recipient','Recipient of the EMail',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2880,0,0,'Y',to_date('19.11.05','DD.MM.RR'),100,to_date('19.11.05','DD.MM.RR'),100,'ConnectionProfile','D','Connection Profile','Connection Profile','How a Java Client connects to the server(s)','Depending on the connection profile, different protocols are used and tasks are performed on the server rather then the client. Usually the user can select different profiles, unless it is enforced by the User or Role definition. The User level profile overwrites the Role based profile.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2881,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'AD_ClientShare_ID','D','Client Share','Client Share','Force (not) sharing of client/org entities','For entities with data access level of Client+Organization either force to share the entries or not. Example: Product and Business Partner can be either defined on Client level (shared) or on Org level (not shared).  You can define here of Products are always shared (i.e. always created under Organization "*") or if they are not shared (i.e. you cannot enter them with Organization "*")',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2882,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'ShareType','D','Share Type','Share Type','Type of sharing','Defines if a table is shared within a client or not.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2883,0,0,'Y',to_date('25.11.05','DD.MM.RR'),100,to_date('25.11.05','DD.MM.RR'),100,'CreditWatchPercent','D','Credit Watch %','Credit Watch %','Credit Watch - Percent of Credit Limit when OK switches to Watch','If Compiere maintains credit status, the status "Credit OK" is moved to "Credit Watch" if the credit available reaches the percent entered.  If not defined, 90% is used.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2884,0,0,'Y',to_date('25.11.05','DD.MM.RR'),100,to_date('25.11.05','DD.MM.RR'),100,'PriceMatchTolerance','D','Price Match Tolerance','Price Match Tolerance','PO-Invoice Match Price Tolerance in percent of the purchase price','Tolerance in Percent of matching the purchase order price to the invoice price.  The difference is posted as Invoice Price Tolerance for Standard Costing.  If defined, the PO-Invoice match must be explicitly approved, if the matching difference is greater then the tolerance.<br>' || CHR(10) || 'Example: if the purchase price is $100 and the tolerance is 1 (percent), the invoice price must be between $99 and 101 to be automatically approved.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2885,0,0,'Y',to_date('25.11.05','DD.MM.RR'),100,to_date('25.11.05','DD.MM.RR'),100,'PriceMatchDifference','D','Price Match Difference','Price Match Difference','Difference between Purchase and Invoice Price per matched line','The difference between purchase and invoice price may be used for requiring explicit approval if a Price Match Tolerance is defined on Business Partner Group level.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2886,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'IsAutoErrorReport','D','Error Reporting','Error Reporting','Automatically report Errors','To automate error reporting, submit errors to Compiere. Only error (stack trace) information is submitted (no data or confidential information).  It helps us to react faster and proactively.  If you have a support contract, we will you inform about corrective measures.  This functionality is experimental at this point.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2887,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'AD_Issue_ID','D','System Issue','System Issue','Automatically created or manually entered System Issue','System Issues are created to speed up the resolution of any system related issues (potential bugs).  If enabled, they are automatically reported to Compiere.  No data or confidential information is transferred.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2888,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'Local_Host','D','Local Host','Local Host','Local Host Info',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2889,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'ErrorTrace','D','Error Trace','Error Trace','System Error Trace','Java Trace Info',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2890,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'StackTrace','D','Stack Trace','Stack Trace','System Log Trace',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2891,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'RequestDocumentNo','D','Request Document No','Request Document No','Compiere Request Document No',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2892,0,0,'Y',to_date('14.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'OperatingSystemInfo','D','Operating System','Operating System','Operating System Info',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2893,0,0,'Y',to_date('14.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'DatabaseInfo','D','Database','Database','Database Information',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2894,0,0,'Y',to_date('17.12.05','DD.MM.RR'),100,to_date('17.12.05','DD.MM.RR'),100,'IsVanillaSystem','D','Vanilla System','Vanilla System','The system was NOT compiled from Source - i.e. standard distribution','You may have customizations, like additional columns, tables, etc - but no code modifications which require compiling from source.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2895,0,0,'Y',to_date('17.12.05','DD.MM.RR'),100,to_date('17.12.05','DD.MM.RR'),100,'IsReproducible','D','Reproducible','Reproducible','Problem can re reproduced in Gardenworld','The problem occurs also in the standard distribution in the demo client Gardenworld.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2896,0,0,'Y',to_date('18.12.05','DD.MM.RR'),100,to_date('18.12.05','DD.MM.RR'),100,'C_DocTypeReval_ID','D','Revaluation Document Type','Doc Type Reval','Document Type for Revaluation Journal',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2897,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'IsAllCurrencies','D','Include All Currencies','All Currencies','Report not just foreign currency Invoices',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2898,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'TaskStatus','D','Task Status','Task Status','Status of the Task','Completion Rate and Status of the Task',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2899,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'DateCompletePlan','D','Complete Plan','Complete Plan','Planned Completion Date','Date when the task is planned to be complete',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2900,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'QtyPlan','D','Quantity Plan','Quantity Plan','Planned Quantity','Planned Quantity',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2901,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'DateStartPlan','D','Start Plan','Start Plan','Planned Start Date','Date when you plan to start',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2903,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'PA_ColorSchema_ID','D','Color Schema','Color Schema','Performance Color Schema','Visual representation of performance by color.  The Schema has often three levels (e.g. red-yellow-green).  Compiere support two levels (e.g. red-green) or four levels (e.g. gray-bronce-silver-gold).  Note that Measures without a goal are represented white.  The percentages could be beween 0 and unlimited (i.e. above 100%).',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2904,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Mark1Percent','D','Mark 1 Percent','Mark 1 Percent','Percentage up to this color is used','Example 50 - i.e. below 50% this color is used',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2905,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'AD_PrintColor1_ID','D','Color 1','Color 1','First color used',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2906,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Mark2Percent','D','Mark 2 Percent','Mark 2 Percent','Percentage up to this color is used','Example 80 - e.g., if Mark 1 is 50 - this color is used between 50% and 80%',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2907,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'AD_PrintColor2_ID','D','Color 2','Color 2','Second color used',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2908,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Mark3Percent','D','Mark 3 Percent','Mark 3 Percent','Percentage up to this color is used','Example 100 - e.g., if Mark 2 is 80 - this color is used between 80% and 100%',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2909,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'AD_PrintColor3_ID','D','Color 3','Color 3','Third color used',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2910,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Mark4Percent','D','Mark 4 Percent','Mark 4 Percent','Percentage up to this color is used','Example 9999 - e.g., if Mark 3 is 100 - this color is used above 100%',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2911,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'AD_PrintColor4_ID','D','Color 4','Color 4','Forth color used',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2912,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'PA_GoalParent_ID','D','Parent Goal','Parent Goal','Parent Goal','You can create a hierarchy of goals by linking the sub-goals to the summary goal.' || CHR(10) || 'The measures are automatically rolled up',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2913,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'MeasureScope','D','Measure Scope','Measure Scope','Performance Measure Scope','The scope of the goal can be broken down for initial display.' || CHR(10) || 'Example: Scope is Year, Display is Month - the goal is entered as a yearly number, the display divides the goal by 12',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2914,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'MeasureDisplay','D','Measure Display','Measure Display','Measure Scope initially displayed',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2915,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'PA_GoalRestriction_ID','D','Goal Restriction','Goal Restriction','Performance Goal Restriction','Restriction of the performance measure to the Organization, Business Partner or Product defined.' || CHR(10) || 'Example: The performance is only measured for HQ' || CHR(10) || 'The measure must support the data, otherwise it is ignored.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2916,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'GoalRestrictionType','D','Restriction Type','Restriction Type','Goal Restriction Type','Enter one or more records per Goal Restriction Type (e.g. Org o1, o2)',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2917,0,0,'Y',to_date('25.12.05','DD.MM.RR'),100,to_date('25.12.05','DD.MM.RR'),100,'KeyColumn','D','Key Column','Key Column','Key Column for Table',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2918,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_Benchmark_ID','D','Benchmark','Benchmark','Performance Benchmark','Data Series to compare internal performance with (e.g. stock price, ...)',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2919,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_Ratio_ID','D','Ratio','Ratio','Performace Ratio','Calculation instruction set  for a perfomance ratio',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2920,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'MeasureDataType','D','Measure Data Type','Data Type','Type of data - Status or in Time','Status represents values valid at a certain time (e.g. Open Invoices) - No history is maintained.<br>' || CHR(10) || 'Time represents a values at a given time (e.g. Invoice Amount on 1/1) - History is maintained',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2921,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'AccumulationType','D','Accumulation Type','Accumulation Type','How to accumulate data on time axis','Sum adds the data points (e.g. stock volume) - Average is appropriate for e.g. Stock Price',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2922,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_BenchmarkData_ID','D','Benchmark Data','Benchmark Data','Performance Benchmark Data Point','Data Series Point to compare internal performance with (e.g. stock price, ...)',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2923,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'BenchmarkDate','D','Date','Date','Benchmark Date','Date of the Benchmark Data Point',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2924,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'BenchmarkValue','D','Value','Value','Benchmark Value','Value of the Benchmark Data Point',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2925,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_RatioElement_ID','D','Ratio Element','Ratio Element','Performance Ratio Element','Individual calculation instruction for a ratio',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2927,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'RatioOperand','D','Operand','Operand','Ratio Operand','Operand how data is calculated.  If it is the first in the series, ''minus'' will create a negative value, otherwise ignored.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2928,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'RatioElementType','D','Element Type','Element Type','Ratio Element Type','Type of data used for the calculation',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2929,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_RatioUsed_ID','D','Ratio Used','Ratio Used','Performace Ratio Used','Existing Performance Ratio to be used in the calculation.  Make sure that the Ratio is not self-referencing (loop).',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2931,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'LastMaintenanceDate','D','Last Maintenance','Last Maintenance','Last Maintenance Date',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2932,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'NextMaintenenceDate','D','Next Maintenence','Next Maintenence','Next Maintenence Date',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2933,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'LastMaintenanceUnit','D','Last Unit','Last Unit','Last Maintenance Unit',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2934,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'NextMaintenenceUnit','D','Next Unit','Next Unit','Next Maintenence Unit',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2935,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'LeaseTerminationDate','D','Lease Termination','Lease Termination','Lease Termination Date','Last Date of Lease',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2936,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'Lease_BPartner_ID','D','Lessor','Lessor','The Business Partner who rents or leases',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2937,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'LastMaintenanceNote','D','Last Note','Last Note','Last Maintenance Note',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2938,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'SupportExpDate','D','Support Expires','Support Expires','Date when the Compiere support expires','Check http://www.compiere.org for support options',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2939,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'ReleaseTag','D','Release Tag','Release Tag','Release Tag',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2940,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'SupportEMail','D','Support EMail','Support EMail','EMail address to send support information and updates to','If not entered the registered email is used.',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2941,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'IssueSummary','D','Issue Summary','Issue Summary','Issue Summary',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2942,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'SourceClassName','D','Source Class','Source Class','Source Class Name',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2943,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'SourceMethodName','D','Source Method','Source Method','Source Method Name',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2944,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'LoggerName','D','Logger','Logger','Logger Name',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2945,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'LineNo','D','Line','Line','Line No',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2946,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'R_IssueKnown_ID','D','Known Issue','Known Issue','Known Issue',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2948,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'R_IssueRecommendation_ID','D','Issue Recommendation','Issue Recommendation','Recommendations how to fix an Issue','Recommendations how to fix an Issue',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2949,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'R_IssueStatus_ID','D','Issue Status','Issue Status','Status of an Issue','Status of an Issue',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2950,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'IssueStatus','D','Issue Status','Issue Status','Current Status of the Issue','Description of the current status of the issue',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2951,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'JavaInfo','D','Java Info','Java Info','Java Version Info',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2952,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'StatisticsInfo','D','Statistics','Statistics','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics as well as general anonymous statistics',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2953,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'ProfileInfo','D','Profile','Profile','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2954,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'OldName','D','Old Name','Old Name',null,null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2955,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'SystemStatus','D','System Status','System Status','Status of the system - Support priority depends on system status','System status helps to prioritize support resources',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2956,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'IsTrackIssues','D','Track Issues','Track Issues','Enable tracking issues for this asset','Issues created by automatic Error Reporting',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2957,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'R_IssueSystem_ID','D','Issue System','Issue System','System creating the issue',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2958,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'R_IssueProject_ID','D','Issue Project','Issue Project','Implementation Projects',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2959,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'R_IssueUser_ID','D','IssueUser','Issue User','User who reported issues',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2962,0,0,'Y',to_date('09.01.06','DD.MM.RR'),100,to_date('09.01.06','DD.MM.RR'),100,'CostAmt','D','Cost Value','Cost Value','Value with Cost',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2963,0,0,'Y',to_date('10.01.06','DD.MM.RR'),100,to_date('10.01.06','DD.MM.RR'),100,'IssueSource','D','Source','Source','Issue Source','Source of the Issue',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2964,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'R_StatusCategory_ID','D','Status Category','Status Category','Request Status Category','Category of Request Status enables to maintain different set of Status for different Request Categories',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2965,0,0,'Y',to_date('17.01.06','DD.MM.RR'),100,to_date('17.01.06','DD.MM.RR'),100,'SizeX','D','Size X','Size X','X (horizontal) dimension size','Size of X (horizontal) dimension in Units',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2966,0,0,'Y',to_date('17.01.06','DD.MM.RR'),100,to_date('17.01.06','DD.MM.RR'),100,'SizeY','D','Size Y','Size Y','Y (vertical) dimension size','Size of Y (vertical) dimension in Units',null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2967,0,0,'Y',to_date('17.01.06','DD.MM.RR'),100,to_date('17.01.06','DD.MM.RR'),100,'DimensionUnits','D','Dimension Units','Units','Units of Dimension',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2968,0,0,'Y',to_date('19.01.06','DD.MM.RR'),100,to_date('19.01.06','DD.MM.RR'),100,'InventoryCountSet','D','Set Inventory Count to','Set Inventory Count to','Set the value of the inventory count to Zero or On Hand Quantity',null,null,null,null,null);
 Insert into "AD_ELEMENT" ("AD_ELEMENT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","COLUMNNAME","ENTITYTYPE","NAME","PRINTNAME","DESCRIPTION","HELP","PO_NAME","PO_PRINTNAME","PO_DESCRIPTION","PO_HELP") values (2969,0,0,'Y',to_date('19.01.06','DD.MM.RR'),100,to_date('19.01.06','DD.MM.RR'),100,'InterestAreaName','D','Interest Area','Interest Area','Name of the Interest Area','Name of the Interest Area of the user',null,null,null,null);


-- INSERTING into AD_WINDOW
Insert into "AD_WINDOW" ("AD_WINDOW_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","WINDOWTYPE","ISSOTRX","ENTITYTYPE","PROCESSING","AD_IMAGE_ID","AD_COLOR_ID","ISDEFAULT","WINHEIGHT","WINWIDTH","ISBETAFUNCTIONALITY") values (363,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'System Issue Report','Automatically created or manually entered System Issue Reports','System Issues are created to speed up the resolution of any system related issues (potential bugs).  If enabled, they are automatically reported to Compiere.  No data or confidential information is transferred.','T','N','D','N',null,null,'N',0,0,'N');
Insert into "AD_WINDOW" ("AD_WINDOW_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","WINDOWTYPE","ISSOTRX","ENTITYTYPE","PROCESSING","AD_IMAGE_ID","AD_COLOR_ID","ISDEFAULT","WINHEIGHT","WINWIDTH","ISBETAFUNCTIONALITY") values (364,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Performance Color Schema','Maintain Performance Color Schema','Visual representation of performance by color.  The Schema has often three levels (e.g. red-yellow-green).  Compiere support two levels (e.g. red-green) or four levels (e.g. gray-bronce-silver-gold).  Note that Measures without a goal are represented white.  The percentages could be beween 0 and unlimited (i.e. above 100%).','M','Y','D','N',null,null,'N',0,0,'N');
Insert into "AD_WINDOW" ("AD_WINDOW_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","WINDOWTYPE","ISSOTRX","ENTITYTYPE","PROCESSING","AD_IMAGE_ID","AD_COLOR_ID","ISDEFAULT","WINHEIGHT","WINWIDTH","ISBETAFUNCTIONALITY") values (365,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Performance Benchmark','Performance Benchmark','Data Series to compare internal performance with (e.g. stock price, ...)','M','Y','D','N',null,null,'N',0,0,'N');
Insert into "AD_WINDOW" ("AD_WINDOW_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","WINDOWTYPE","ISSOTRX","ENTITYTYPE","PROCESSING","AD_IMAGE_ID","AD_COLOR_ID","ISDEFAULT","WINHEIGHT","WINWIDTH","ISBETAFUNCTIONALITY") values (366,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('04.01.06','DD.MM.RR'),100,'Performance Ratio','Maintain Performance Ratios','Calculation instruction for a ratio','M','Y','D','N',null,null,'N',0,0,'N');
Insert into "AD_WINDOW" ("AD_WINDOW_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","WINDOWTYPE","ISSOTRX","ENTITYTYPE","PROCESSING","AD_IMAGE_ID","AD_COLOR_ID","ISDEFAULT","WINHEIGHT","WINWIDTH","ISBETAFUNCTIONALITY") values (367,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Issue Recommendation','Maintain Issue Recommendation',null,'M','Y','D','N',null,null,'N',0,0,'N');
Insert into "AD_WINDOW" ("AD_WINDOW_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","WINDOWTYPE","ISSOTRX","ENTITYTYPE","PROCESSING","AD_IMAGE_ID","AD_COLOR_ID","ISDEFAULT","WINHEIGHT","WINWIDTH","ISBETAFUNCTIONALITY") values (368,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Issue Status','Maintain Issue Status','Status of an Issue','M','Y','D','N',null,null,'N',0,0,'N');
Insert into "AD_WINDOW" ("AD_WINDOW_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","WINDOWTYPE","ISSOTRX","ENTITYTYPE","PROCESSING","AD_IMAGE_ID","AD_COLOR_ID","ISDEFAULT","WINHEIGHT","WINWIDTH","ISBETAFUNCTIONALITY") values (369,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Known Issue','Maintain Known Issue',null,'M','Y','D','N',null,null,'N',0,0,'N');
Insert into "AD_WINDOW" ("AD_WINDOW_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","WINDOWTYPE","ISSOTRX","ENTITYTYPE","PROCESSING","AD_IMAGE_ID","AD_COLOR_ID","ISDEFAULT","WINHEIGHT","WINWIDTH","ISBETAFUNCTIONALITY") values (370,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue Project','Maintain Issue Projects',null,'M','Y','D','N',null,null,'N',0,0,'N');
Insert into "AD_WINDOW" ("AD_WINDOW_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","WINDOWTYPE","ISSOTRX","ENTITYTYPE","PROCESSING","AD_IMAGE_ID","AD_COLOR_ID","ISDEFAULT","WINHEIGHT","WINWIDTH","ISBETAFUNCTIONALITY") values (371,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue User','User who reported Issues',null,'M','Y','D','N',null,null,'N',0,0,'N');
Insert into "AD_WINDOW" ("AD_WINDOW_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","WINDOWTYPE","ISSOTRX","ENTITYTYPE","PROCESSING","AD_IMAGE_ID","AD_COLOR_ID","ISDEFAULT","WINHEIGHT","WINWIDTH","ISBETAFUNCTIONALITY") values (372,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue System','Maintain Systems',null,'M','Y','D','N',null,null,'N',0,0,'N');


-- INSERTING into AD_WINDOW_ACCESS
-- System
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (363,0,0,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (364,0,0,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (365,0,0,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (366,0,0,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (367,0,0,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (368,0,0,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (369,0,0,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (370,0,0,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (371,0,0,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (372,0,0,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
-- GardenWorld
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (363,102,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (364,102,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (365,102,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (366,102,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (367,102,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (368,102,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (369,102,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (370,102,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (371,102,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (372,102,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (363,103,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (364,103,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (365,103,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (366,103,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (367,103,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (368,103,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (369,103,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (370,103,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (371,103,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (372,103,11,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
-- first client
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (363,1000000,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (364,1000000,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (365,1000000,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (366,1000000,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (367,1000000,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (368,1000000,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (369,1000000,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (370,1000000,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (371,1000000,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (372,1000000,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (363,1000001,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (364,1000001,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (365,1000001,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (366,1000001,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (367,1000001,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (368,1000001,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (369,1000001,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (370,1000001,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (371,1000001,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');
Insert into "AD_WINDOW_ACCESS" ("AD_WINDOW_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (372,1000001,1000000,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,'Y');



-- INSERTING into AD_TABLE
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (825,0,0,'Y',to_date('31.10.05','DD.MM.RR'),100,to_date('31.10.05','DD.MM.RR'),100,'Sub Account','Sub account for Element Value',null,'C_SubAcct','N','3','D',null,null,145,'N','N','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (827,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'Client Share',null,null,'AD_ClientShare','N','2','D',109,null,145,'N','N','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (829,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'Invoice ProductQtr',null,null,'RV_C_Invoice_ProductQtr','Y','3','D',null,null,150,'N','N','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (830,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'Invoice ProductMonth',null,null,'RV_C_Invoice_ProductMonth','Y','3','D',null,null,150,'N','N','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (837,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue Recommendation',null,null,'R_IssueRecommendation','N','6','D',367,null,135,'N','Y','Y','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (838,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Issue Status',null,null,'R_IssueStatus','N','6','D',368,null,135,'N','Y','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (839,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Known Issue','Known Issue',null,'R_IssueKnown','N','6','D',369,null,140,'N','Y','Y','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (844,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Status Category','Request Status Category',null,'R_StatusCategory','N','6','D',349,null,145,'N','N','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (826,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Mail Template Trl','Text templates for mailings',null,'R_MailText_Trl','N','7','D',204,null,145,'N','N','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (828,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'System Issue',null,null,'AD_Issue','N','6','D',363,null,145,'N','Y','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (833,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Benchmark','Performance Benchmark',null,'PA_Benchmark','N','6','D',365,null,130,'N','Y','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (834,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Benchmark Data','Performance Benchmark Data Point',null,'PA_BenchmarkData','N','6','D',365,null,145,'N','Y','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (835,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Ratio','Performace Ratio',null,'PA_Ratio','N','2','D',366,null,130,'N','Y','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (836,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Ratio Element','Performance Ratio Element',null,'PA_RatioElement','N','2','D',366,null,145,'N','Y','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (831,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('25.12.05','DD.MM.RR'),100,'Color Schema','Performance Color Schema',null,'PA_ColorSchema','N','6','D',364,null,135,'N','Y','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (832,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('25.12.05','DD.MM.RR'),100,'Goal Restriction','Performance Goal Restriction',null,'PA_GoalRestriction','N','6','D',212,null,145,'N','Y','N','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (841,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'IssueUser','User who reported issues',null,'R_IssueUser','N','6','D',371,null,140,'N','N','Y','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (842,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue Project',null,null,'R_IssueProject','N','6','D',370,null,140,'N','N','Y','N','N','L',null);
Insert into "AD_TABLE" ("AD_TABLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","TABLENAME","ISVIEW","ACCESSLEVEL","ENTITYTYPE","AD_WINDOW_ID","AD_VAL_RULE_ID","LOADSEQ","ISSECURITYENABLED","ISDELETEABLE","ISHIGHVOLUME","IMPORTTABLE","ISCHANGELOG","REPLICATIONTYPE","PO_WINDOW_ID") values (843,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue System',null,null,'R_IssueSystem','N','6','D',372,null,140,'N','N','Y','N','N','L',null);


-- INSERTING into AD_REFERENCE
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (363,0,0,'Y',to_date('11.11.05','DD.MM.RR'),100,to_date('11.11.05','DD.MM.RR'),100,'AD_WF_Node EMailRecipient',null,null,'L',null,'D');
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (364,0,0,'Y',to_date('19.11.05','DD.MM.RR'),100,to_date('19.11.05','DD.MM.RR'),100,'AD_User ConnectionProfile',null,null,'L',null,'D');
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (365,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'AD_Client ShareType',null,null,'L',null,'D');
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (366,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'R_Request TaskStatus',null,null,'L',null,'D');
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (367,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'PA_Goal Scope',null,null,'L',null,'D');
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (368,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'PA_Goal Restriction Type',null,null,'L',null,'D');
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (369,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_Measure DataType',null,null,'L',null,'D');
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (370,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_Benschmark Accumulation Type',null,null,'L',null,'D');
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (371,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_Ratio',null,null,'T',null,'D');
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (372,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_Ratio ElementType',null,null,'L',null,'D');
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (373,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_Ratio Operand',null,null,'L',null,'D');
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (374,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'AD_System Status',null,null,'L',null,'D');
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (375,0,0,'Y',to_date('17.01.06','DD.MM.RR'),100,to_date('17.01.06','DD.MM.RR'),100,'AD_PrintPaper Units',null,null,'L',null,'D');
Insert into "AD_REFERENCE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","VALIDATIONTYPE","VFORMAT","ENTITYTYPE") values (376,0,0,'Y',to_date('19.01.06','DD.MM.RR'),100,to_date('19.01.06','DD.MM.RR'),100,'M_Inventory CountSet',null,null,'L',null,'D');


-- INSERTING into AD_VAL_RULE
Insert into "AD_VAL_RULE" ("AD_VAL_RULE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","TYPE","CODE","ENTITYTYPE") values (253,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'C_ElementValue AS/ET','Current Accounting Schema - Record contains ElementType','S','C_ElementValue.C_Element_ID IN' || CHR(10) || '(SELECT C_Element_ID FROM C_AcctSchema_Element  WHERE C_AcctSchema_ID=@C_AcctSchema_ID@ AND ElementType=''@ElementType@'')','D');
Insert into "AD_VAL_RULE" ("AD_VAL_RULE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","TYPE","CODE","ENTITYTYPE") values (254,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'AD_Column Key','Key Columns','S','AD_Column.IsKey=''Y'' AND AD_Column.IsActive=''Y''','D');
Insert into "AD_VAL_RULE" ("AD_VAL_RULE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","TYPE","CODE","ENTITYTYPE") values (255,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'C_SubAcct of Account',null,'S','C_SubAcct.C_ElementValue_ID=@Account_ID@','D');
Insert into "AD_VAL_RULE" ("AD_VAL_RULE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","TYPE","CODE","ENTITYTYPE") values (256,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'AD_Table Client+Org Access',null,'S','AD_Table.AccessLevel=3 AND AD_Table.IsView=''N''','D');
Insert into "AD_VAL_RULE" ("AD_VAL_RULE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","TYPE","CODE","ENTITYTYPE") values (257,0,0,'Y',to_date('06.12.05','DD.MM.RR'),100,to_date('06.12.05','DD.MM.RR'),100,'C_BPartner w Advertisement',null,'S','EXISTS (SELECT * FROM W_Advertisement a WHERE C_BPartner.C_BPartner_ID=a.C_BPartner_ID)','D');
Insert into "AD_VAL_RULE" ("AD_VAL_RULE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","TYPE","CODE","ENTITYTYPE") values (258,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'C_ElementValue Default ET','Default Accounting Schema - Record contains ElementType','S','C_ElementValue.C_Element_ID IN' || CHR(10) || '(SELECT C_Element_ID FROM C_AcctSchema_Element  WHERE C_AcctSchema_ID=@$C_AcctSchema_ID@ AND ElementType=''@ElementType@'')','D');
Insert into "AD_VAL_RULE" ("AD_VAL_RULE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","TYPE","CODE","ENTITYTYPE") values (259,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'C_DocType Requisition',null,'S','C_DocType.DocBaseType = ''POR''','D');
Insert into "AD_VAL_RULE" ("AD_VAL_RULE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","TYPE","CODE","ENTITYTYPE") values (260,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'R_Status of Category',null,'S','R_StatusCategory_ID=@R_StatusCategory_ID@','D');
Insert into "AD_VAL_RULE" ("AD_VAL_RULE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","TYPE","CODE","ENTITYTYPE") values (261,0,0,'Y',to_date('21.01.06','DD.MM.RR'),100,to_date('21.01.06','DD.MM.RR'),100,'R_Status of Request Type',null,'S','EXISTS (SELECT * FROM R_RequestType rt' || CHR(10) || 'INNER JOIN R_StatusCategory sc ON (rt.R_StatusCategory_ID=sc.R_StatusCategory_ID)' || CHR(10) || 'WHERE R_Status.R_StatusCategory_ID=sc.R_StatusCategory_ID' || CHR(10) || 'AND rt.R_RequestType_ID=@R_RequestType_ID@)','D');


-- INSERTING into AD_REPORTVIEW
Insert into "AD_REPORTVIEW" ("AD_REPORTVIEW_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","AD_TABLE_ID","WHERECLAUSE","ORDERBYCLAUSE","ENTITYTYPE") values (166,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'RV_C_Invoice_ProductMonth',null,830,null,null,'D');
Insert into "AD_REPORTVIEW" ("AD_REPORTVIEW_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","AD_TABLE_ID","WHERECLAUSE","ORDERBYCLAUSE","ENTITYTYPE") values (167,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'RV_C_Invoice_ProductQtr',null,829,null,null,'D');


-- INSERTING into AD_PROCESS
Insert into "AD_PROCESS" ("AD_PROCESS_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","HELP","ACCESSLEVEL","ENTITYTYPE","PROCEDURENAME","ISREPORT","ISDIRECTPRINT","AD_REPORTVIEW_ID","CLASSNAME","STATISTIC_COUNT","STATISTIC_SECONDS","AD_PRINTFORMAT_ID","WORKFLOWVALUE","AD_WORKFLOW_ID","ISBETAFUNCTIONALITY","ISSERVERPROCESS") values (339,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'AD_Issue Report','Report or Update Issue','Report Issue to Compiere',null,'7','D',null,'N','N',null,'org.compiere.process.IssueReport',0,0,null,null,null,'N','N');
Insert into "AD_PROCESS" ("AD_PROCESS_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","HELP","ACCESSLEVEL","ENTITYTYPE","PROCEDURENAME","ISREPORT","ISDIRECTPRINT","AD_REPORTVIEW_ID","CLASSNAME","STATISTIC_COUNT","STATISTIC_SECONDS","AD_PRINTFORMAT_ID","WORKFLOWVALUE","AD_WORKFLOW_ID","ISBETAFUNCTIONALITY","ISSERVERPROCESS") values (340,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'RV_C_Invoice_ProductMonth','Monthly Invoice Product','Imvoice Report by Product per Month','Invoiced Amount by Product and Month','3','D',null,'Y','N',166,null,0,0,null,null,null,'N','N');
Insert into "AD_PROCESS" ("AD_PROCESS_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","HELP","ACCESSLEVEL","ENTITYTYPE","PROCEDURENAME","ISREPORT","ISDIRECTPRINT","AD_REPORTVIEW_ID","CLASSNAME","STATISTIC_COUNT","STATISTIC_SECONDS","AD_PRINTFORMAT_ID","WORKFLOWVALUE","AD_WORKFLOW_ID","ISBETAFUNCTIONALITY","ISSERVERPROCESS") values (341,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'RV_C_Invoice_ProductQtr','Quarter Invoice Product','Imvoice Report by Product per Quarter','Invoiced Amount by Product and Quarter','3','D',null,'Y','N',167,null,0,0,null,null,null,'N','N');
Insert into "AD_PROCESS" ("AD_PROCESS_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","HELP","ACCESSLEVEL","ENTITYTYPE","PROCEDURENAME","ISREPORT","ISDIRECTPRINT","AD_REPORTVIEW_ID","CLASSNAME","STATISTIC_COUNT","STATISTIC_SECONDS","AD_PRINTFORMAT_ID","WORKFLOWVALUE","AD_WORKFLOW_ID","ISBETAFUNCTIONALITY","ISSERVERPROCESS") values (342,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'AD_System Validate Support','Validate Support','Validate Support Contract','The process connects to the Compiere Support Services server and validates the support contract.  To sign up for support, please go to http://www.compiere.org','4','D',null,'N','N',null,'org.compiere.process.SystemValidate',0,0,null,null,null,'N','N');

-- INSERTING into AD_PROCESS_ACCESS
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (339,103,11,0,'Y',to_date('03.08.06','DD.MM.RR'),100,to_date('03.08.06','DD.MM.RR'),100,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (339,102,11,0,'Y',to_date('03.08.06','DD.MM.RR'),101,to_date('03.08.06','DD.MM.RR'),101,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (339,1000000,1000000,0,'Y',to_date('03.08.06','DD.MM.RR'),1000000,to_date('03.08.06','DD.MM.RR'),1000000,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (339,1000001,1000000,0,'Y',to_date('03.08.06','DD.MM.RR'),1000000,to_date('03.08.06','DD.MM.RR'),1000000,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (340,103,11,0,'Y',to_date('03.08.06','DD.MM.RR'),100,to_date('03.08.06','DD.MM.RR'),100,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (340,102,11,0,'Y',to_date('03.08.06','DD.MM.RR'),101,to_date('03.08.06','DD.MM.RR'),101,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (340,1000000,1000000,0,'Y',to_date('03.08.06','DD.MM.RR'),1000000,to_date('03.08.06','DD.MM.RR'),1000000,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (340,1000001,1000000,0,'Y',to_date('03.08.06','DD.MM.RR'),1000000,to_date('03.08.06','DD.MM.RR'),1000000,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (341,103,11,0,'Y',to_date('03.08.06','DD.MM.RR'),100,to_date('03.08.06','DD.MM.RR'),100,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (341,102,11,0,'Y',to_date('03.08.06','DD.MM.RR'),101,to_date('03.08.06','DD.MM.RR'),101,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (341,1000000,1000000,0,'Y',to_date('03.08.06','DD.MM.RR'),1000000,to_date('03.08.06','DD.MM.RR'),1000000,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (341,1000001,1000000,0,'Y',to_date('03.08.06','DD.MM.RR'),1000000,to_date('03.08.06','DD.MM.RR'),1000000,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (342,103,11,0,'Y',to_date('03.08.06','DD.MM.RR'),100,to_date('03.08.06','DD.MM.RR'),100,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (342,102,11,0,'Y',to_date('03.08.06','DD.MM.RR'),101,to_date('03.08.06','DD.MM.RR'),101,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (342,1000000,1000000,0,'Y',to_date('03.08.06','DD.MM.RR'),1000000,to_date('03.08.06','DD.MM.RR'),1000000,'Y');
Insert into "AD_PROCESS_ACCESS" ("AD_PROCESS_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (342,1000001,1000000,0,'Y',to_date('03.08.06','DD.MM.RR'),1000000,to_date('03.08.06','DD.MM.RR'),1000000,'Y');



-- INSERTING into AD_PROCESS_PARA
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (698,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,'Business Partner Group','Business Partner Group','The Business Partner Group provides a method of defining defaults to be used for individual Business Partners.',171,15,19,null,null,'C_BP_Group_ID','Y',0,'N','N',null,null,null,null,null,1383,'D');
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (699,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,'Bank Account','Account at the Bank','The Bank Account identifies an account at this Bank.',171,100,19,null,null,'C_BankAccount_ID','Y',0,'N','N',null,null,null,null,null,836,'D');
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (700,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,'AP - AR','Include Receivables and/or Payables transactions',null,171,45,17,332,null,'APAR','Y',0,'Y','N','R',null,null,null,null,2661,'D');
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (701,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,'Create Payment',null,null,171,90,20,null,null,'CreatePayment','Y',0,'Y','N','N',null,null,null,null,2229,'D');
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (702,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'Date Invoiced','Date printed on Invoice','The Date Invoice indicates the date printed on the invoice.',341,10,15,null,null,'DateInvoiced','Y',0,'N','Y',null,null,null,null,null,267,'D');
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (703,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'Sales Transaction','This is a Sales Transaction','The Sales Transaction checkbox indicates if this item is a Sales Transaction.',341,20,17,319,null,'IsSOTrx','Y',0,'N','N',null,null,null,null,null,1106,'D');
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (704,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'Product','Product, Service, Item','Identifies an item which is either purchased or sold in this organization.',341,30,30,null,null,'M_Product_ID','Y',0,'N','N',null,null,null,null,null,454,'D');
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (705,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'Date Invoiced','Date printed on Invoice','The Date Invoice indicates the date printed on the invoice.',340,10,15,null,null,'DateInvoiced','Y',0,'N','Y',null,null,null,null,null,267,'D');
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (706,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'Sales Transaction','This is a Sales Transaction','The Sales Transaction checkbox indicates if this item is a Sales Transaction.',340,20,17,319,null,'IsSOTrx','Y',0,'N','N',null,null,null,null,null,1106,'D');
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (707,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'Product','Product, Service, Item','Identifies an item which is either purchased or sold in this organization.',340,30,30,null,null,'M_Product_ID','Y',0,'N','N',null,null,null,null,null,454,'D');
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (708,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Include All Currencies','Report not just foreign currency Invoices',null,326,45,20,null,null,'IsAllCurrencies','Y',0,'N','N','N',null,null,null,null,null,'D');
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (709,0,0,'Y',to_date('09.01.06','DD.MM.RR'),100,to_date('10.01.06','DD.MM.RR'),100,'Cost Element','Product Cost Element',null,180,50,19,null,null,'M_CostElement_ID','Y',0,'N','N',null,null,null,null,null,2700,'D');
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (710,0,0,'Y',to_date('19.01.06','DD.MM.RR'),100,to_date('19.01.06','DD.MM.RR'),100,'Set Inventory Count to','Set the value of the inventory count to Zero or On Hand Quantity',null,105,60,17,376,null,'InventoryCountSet','Y',0,'Y','N','O',null,null,null,null,2968,'D');
Insert into "AD_PROCESS_PARA" ("AD_PROCESS_PARA_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_PROCESS_ID","SEQNO","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","COLUMNNAME","ISCENTRALLYMAINTAINED","FIELDLENGTH","ISMANDATORY","ISRANGE","DEFAULTVALUE","DEFAULTVALUE2","VFORMAT","VALUEMIN","VALUEMAX","AD_ELEMENT_ID","ENTITYTYPE") values (711,0,0,'Y',to_date('19.01.06','DD.MM.RR'),100,to_date('19.01.06','DD.MM.RR'),100,'Set Inventory Count to','Set the value of the inventory count to Zero or On Hand Quantity',null,106,10,17,376,null,'InventoryCountSet','Y',0,'Y','N','O',null,null,null,null,2968,'D');


-- INSERTING into AD_COLUMN
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14575,0,0,'Y',to_date('31.10.05','DD.MM.RR'),to_date('31.10.05','DD.MM.RR'),100,100,'Sub Account','Sub account for Element Value','The Element Value (e.g. Account) may have optional sub accounts for further detail. The sub account is dependent on the value of the account, so a further specification. If the sub-accounts are more or less the same, consider using another accounting dimension.',0,'D','C_SubAcct_ID',825,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2876,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14576,0,0,'Y',to_date('31.10.05','DD.MM.RR'),to_date('31.10.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',825,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14577,0,0,'Y',to_date('31.10.05','DD.MM.RR'),to_date('31.10.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',825,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14578,0,0,'Y',to_date('31.10.05','DD.MM.RR'),to_date('31.10.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',825,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14579,0,0,'Y',to_date('31.10.05','DD.MM.RR'),to_date('31.10.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',825,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14580,0,0,'Y',to_date('31.10.05','DD.MM.RR'),to_date('31.10.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',825,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14581,0,0,'Y',to_date('31.10.05','DD.MM.RR'),to_date('31.10.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',825,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14582,0,0,'Y',to_date('31.10.05','DD.MM.RR'),to_date('31.10.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',825,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14583,0,0,'Y',to_date('31.10.05','DD.MM.RR'),to_date('31.10.05','DD.MM.RR'),100,100,'Search Key','Search key for the record in the format required - must be unique','A search key allows you a fast method of finding a particular record.' || CHR(10) || 'If you leave the search key empty, the system automatically creates a numeric number.  The document sequence used for this fallback number is defined in the "Maintain Sequence" window with the name "DocumentNo_<TableName>", where TableName is the actual name of the table (e.g. C_Order).',0,'D','Value',825,10,null,null,40,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',620,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14584,0,0,'Y',to_date('31.10.05','DD.MM.RR'),to_date('31.10.05','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',825,10,null,null,120,null,'N','N','Y','Y',null,'Y',2,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14585,0,0,'Y',to_date('31.10.05','DD.MM.RR'),to_date('31.10.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',825,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14586,0,0,'Y',to_date('31.10.05','DD.MM.RR'),to_date('31.10.05','DD.MM.RR'),100,100,'Comment/Help','Comment or Hint','The Help field contains a hint, comment or help about the use of this item.',0,'D','Help',825,14,null,null,2000,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',326,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14587,0,0,'Y',to_date('31.10.05','DD.MM.RR'),to_date('31.10.05','DD.MM.RR'),100,100,'Account Element','Account Element','Account Elements can be natural accounts or user defined values.',0,'D','C_ElementValue_ID',825,19,null,null,10,null,'N','Y','Y','N',null,'N',null,'N','N',null,null,null,null,'N',198,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14588,0,0,'Y',to_date('01.11.05','DD.MM.RR'),to_date('01.11.05','DD.MM.RR'),100,100,'Column','Column in the table','Link to the database column of the table',0,'D','AD_Column_ID',279,19,null,254,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',104,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14589,0,0,'Y',to_date('01.11.05','DD.MM.RR'),to_date('01.11.05','DD.MM.RR'),100,100,'Sub Account','Sub account for Element Value','The Element Value (e.g. Account) may have optional sub accounts for further detail. The sub account is dependent on the value of the account, so a further specification. If the sub-accounts are more or less the same, consider using another accounting dimension.',0,'D','C_SubAcct_ID',270,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2876,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14590,0,0,'Y',to_date('01.11.05','DD.MM.RR'),to_date('01.11.05','DD.MM.RR'),100,100,'User Element 1','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested)',0,'D','UserElement1_ID',270,13,null,null,10,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2877,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14591,0,0,'Y',to_date('01.11.05','DD.MM.RR'),to_date('01.11.05','DD.MM.RR'),100,100,'User Element 2','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested) ',0,'D','UserElement2_ID',270,13,null,null,10,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2878,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14592,0,0,'Y',to_date('01.11.05','DD.MM.RR'),to_date('01.11.05','DD.MM.RR'),100,100,'Sub Account','Sub account for Element Value','The Element Value (e.g. Account) may have optional sub accounts for further detail. The sub account is dependent on the value of the account, so a further specification. If the sub-accounts are more or less the same, consider using another accounting dimension.',0,'D','C_SubAcct_ID',547,19,null,null,10,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2876,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14593,0,0,'Y',to_date('01.11.05','DD.MM.RR'),to_date('01.11.05','DD.MM.RR'),100,100,'User Element 1','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested)',0,'D','UserElement1_ID',547,13,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2877,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14594,0,0,'Y',to_date('01.11.05','DD.MM.RR'),to_date('01.11.05','DD.MM.RR'),100,100,'User Element 2','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested) ',0,'D','UserElement2_ID',547,13,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2878,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14595,0,0,'Y',to_date('01.11.05','DD.MM.RR'),to_date('01.11.05','DD.MM.RR'),100,100,'Sub Account','Sub account for Element Value','The Element Value (e.g. Account) may have optional sub accounts for further detail. The sub account is dependent on the value of the account, so a further specification. If the sub-accounts are more or less the same, consider using another accounting dimension.',0,'D','C_SubAcct_ID',176,19,null,255,10,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2876,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14596,0,0,'Y',to_date('01.11.05','DD.MM.RR'),to_date('01.11.05','DD.MM.RR'),100,100,'User Element 1','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested)',0,'D','UserElement1_ID',176,13,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2877,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14597,0,0,'Y',to_date('01.11.05','DD.MM.RR'),to_date('01.11.05','DD.MM.RR'),100,100,'User Element 2','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested) ',0,'D','UserElement2_ID',176,13,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2878,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14600,0,0,'Y',to_date('11.11.05','DD.MM.RR'),to_date('11.11.05','DD.MM.RR'),100,100,'EMail Recipient','Recipient of the EMail',null,0,'D','EMailRecipient',129,17,363,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2879,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14601,0,0,'Y',to_date('11.11.05','DD.MM.RR'),to_date('11.11.05','DD.MM.RR'),100,100,'EMail Address','Electronic Mail Address','The Email Address is the Electronic Mail ID for this User and should be fully qualified (e.g. joe.smith@company.com). The Email Address is used to access the self service application functionality from the web.',0,'D','EMail',129,10,null,null,60,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',881,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14602,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Mail Template','Text templates for mailings','The Mail Template indicates the mail template for return messages. Mail text can include variables.  The priority of parsing is User/Contact, Business Partner and then the underlying business object (like Request, Dunning, Workflow object).<br>' || CHR(10) || 'So, @Name@ would resolve into the User name (if user is defined defined), then Business Partner name (if business partner is defined) and then the Name of the business object if it has a Name.<br>' || CHR(10) || 'For Multi-Lingual systems, the template is translated based on the Business Partner''s language selection.',0,'D','R_MailText_ID',129,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1515,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14603,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Mail Template','Text templates for mailings','The Mail Template indicates the mail template for return messages. Mail text can include variables.  The priority of parsing is User/Contact, Business Partner and then the underlying business object (like Request, Dunning, Workflow object).<br>' || CHR(10) || 'So, @Name@ would resolve into the User name (if user is defined defined), then Business Partner name (if business partner is defined) and then the Name of the business object if it has a Name.<br>' || CHR(10) || 'For Multi-Lingual systems, the template is translated based on the Business Partner''s language selection.',0,'D','R_MailText_ID',826,19,null,null,10,null,'N','Y','Y','N',null,'N',null,'N','N',null,null,null,null,'N',1515,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14604,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Language','Language for this entity','The Language identifies the language to use for display and formatting',0,'D','AD_Language',826,10,null,null,6,null,'N','Y','Y','N',null,'N',null,'N','N',null,null,null,null,'N',109,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14605,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',826,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14606,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',826,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14607,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',826,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14608,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',826,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14609,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',826,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14610,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',826,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14611,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',826,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14612,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Translated','This column is translated','The Translated checkbox indicates if this column is translated.',0,'D','IsTranslated',826,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',420,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14613,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',826,10,null,null,120,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14614,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Subject','Mail Header (Subject)','The subject of the mail message',0,'D','MailHeader',826,14,null,null,2000,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',1511,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14615,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Mail Text','Text used for Mail message','The Mail Text indicates the text used for mail messages.',0,'D','MailText',826,14,null,null,2000,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',1512,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14616,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Mail Text 2','Optional second text part used for Mail message','The Mail Text indicates the text used for mail messages.',0,'D','MailText2',826,14,null,null,2000,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2728,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14617,0,0,'Y',to_date('13.11.05','DD.MM.RR'),to_date('13.11.05','DD.MM.RR'),100,100,'Mail Text 3','Optional third text part used for Mail message','The Mail Text indicates the text used for mail messages.',0,'D','MailText3',826,14,null,null,2000,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2729,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14618,0,0,'Y',to_date('19.11.05','DD.MM.RR'),to_date('19.11.05','DD.MM.RR'),100,100,'Connection Profile','How a Java Client connects to the server(s)','Depending on the connection profile, different protocols are used and tasks are performed on the server rather then the client. Usually the user can select different profiles, unless it is enforced by the User or Role definition. The User level profile overwrites the Role based profile.',0,'D','ConnectionProfile',156,17,364,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2880,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14619,0,0,'Y',to_date('19.11.05','DD.MM.RR'),to_date('19.11.05','DD.MM.RR'),100,100,'Connection Profile','How a Java Client connects to the server(s)','Depending on the connection profile, different protocols are used and tasks are performed on the server rather then the client. Usually the user can select different profiles, unless it is enforced by the User or Role definition. The User level profile overwrites the Role based profile.',0,'D','ConnectionProfile',114,17,364,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2880,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14620,0,0,'Y',to_date('20.11.05','DD.MM.RR'),to_date('20.11.05','DD.MM.RR'),100,100,'Client Share','Force (not) sharing of client/org entities','For entities with data access level of Client+Organization either force to share the entries or not. Example: Product and Business Partner can be either defined on Client level (shared) or on Org level (not shared).  You can define here of Products are always shared (i.e. always created under Organization "*") or if they are not shared (i.e. you cannot enter them with Organization "*")',0,'D','AD_ClientShare_ID',827,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2881,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14621,0,0,'Y',to_date('20.11.05','DD.MM.RR'),to_date('20.11.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',827,19,null,null,10,null,'N','Y','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14622,0,0,'Y',to_date('20.11.05','DD.MM.RR'),to_date('20.11.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',827,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14623,0,0,'Y',to_date('20.11.05','DD.MM.RR'),to_date('20.11.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',827,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14624,0,0,'Y',to_date('20.11.05','DD.MM.RR'),to_date('20.11.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',827,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14625,0,0,'Y',to_date('20.11.05','DD.MM.RR'),to_date('20.11.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',827,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14626,0,0,'Y',to_date('20.11.05','DD.MM.RR'),to_date('20.11.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',827,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14627,0,0,'Y',to_date('20.11.05','DD.MM.RR'),to_date('20.11.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',827,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14628,0,0,'Y',to_date('20.11.05','DD.MM.RR'),to_date('20.11.05','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',827,10,null,null,120,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14629,0,0,'Y',to_date('20.11.05','DD.MM.RR'),to_date('20.11.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',827,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14630,0,0,'Y',to_date('20.11.05','DD.MM.RR'),to_date('20.11.05','DD.MM.RR'),100,100,'Table','Table for the Fields','The Table indicates the table in which a field or fields reside.',0,'D','AD_Table_ID',827,19,null,256,10,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',126,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14631,0,0,'Y',to_date('20.11.05','DD.MM.RR'),to_date('20.11.05','DD.MM.RR'),100,100,'Share Type','Type of sharing','Defines if a table is shared within a client or not.',0,'D','ShareType',827,17,365,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2882,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14632,0,0,'Y',to_date('21.11.05','DD.MM.RR'),to_date('25.01.06','DD.MM.RR'),100,100,'Manual','This is a manual process','The Manual check box indicates if the process will done manually.',0,'D','IsManual',819,20,null,null,1,'Y','N','N','Y','N','@IsManual@=N','N',null,'N','N',null,null,null,null,'N',1474,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14633,0,0,'Y',to_date('21.11.05','DD.MM.RR'),to_date('21.11.05','DD.MM.RR'),100,100,'Line No','Unique line for this document','Indicates the unique line for a document.  It will also control the display order of the lines within a document.',0,'D','Line',820,11,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',439,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14634,0,0,'Y',to_date('21.11.05','DD.MM.RR'),to_date('21.11.05','DD.MM.RR'),100,100,'Tax','Tax identifier','The Tax indicates the type of tax used in document line.',0,'D','C_Tax_ID',820,30,null,null,11,null,'N','N','N','N',null,'N',0,'N','N',null,null,null,null,'N',213,null,'N','N','(SELECT C_Tax_ID FROM Fact_Acct f WHERE f.Fact_Acct_ID=C_TaxDeclarationAcct.Fact_Acct_ID)');
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14635,0,0,'Y',to_date('21.11.05','DD.MM.RR'),to_date('21.11.05','DD.MM.RR'),100,100,'Currency','The Currency for this record','Indicates the Currency to be used when processing or reporting on this record',0,'D','C_Currency_ID',819,19,null,null,10,null,'N','N','Y','N','@IsManual@=N','N',null,'N','N',null,null,null,null,'N',193,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14636,0,0,'Y',to_date('25.11.05','DD.MM.RR'),to_date('25.11.05','DD.MM.RR'),100,100,'Price List','Unique identifier of a Price List','Price Lists are used to determine the pricing, margin and cost of items purchased or sold.',0,'D','M_PriceList_ID',394,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',449,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14637,0,0,'Y',to_date('25.11.05','DD.MM.RR'),to_date('25.11.05','DD.MM.RR'),100,100,'Purchase Pricelist','Price List used by this Business Partner','Identifies the price list used by a Vendor for products purchased by this organization.',0,'D','PO_PriceList_ID',394,18,166,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',480,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14638,0,0,'Y',to_date('25.11.05','DD.MM.RR'),to_date('25.11.05','DD.MM.RR'),100,100,'Discount Schema','Schema to calculate the trade discount percentage','After calculation of the (standard) price, the trade discount percentage is calculated and applied resulting in the final price.',0,'D','M_DiscountSchema_ID',394,18,325,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1714,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14639,0,0,'Y',to_date('25.11.05','DD.MM.RR'),to_date('25.11.05','DD.MM.RR'),100,100,'PO Discount Schema','Schema to calculate the purchase trade discount percentage',null,0,'D','PO_DiscountSchema_ID',394,18,325,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1717,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14640,0,0,'Y',to_date('25.11.05','DD.MM.RR'),to_date('25.11.05','DD.MM.RR'),100,100,'Credit Watch %','Credit Watch - Percent of Credit Limit when OK switches to Watch','If Compiere maintains credit status, the status "Credit OK" is moved to "Credit Watch" if the credit available reaches the percent entered.  If not defined, 90% is used.',0,'D','CreditWatchPercent',394,22,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,'0','100','N',2883,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14641,0,0,'Y',to_date('25.11.05','DD.MM.RR'),to_date('25.11.05','DD.MM.RR'),100,100,'Price Match Tolerance','PO-Invoice Match Price Tolerance in percent of the purchase price','Tolerance in Percent of matching the purchase order price to the invoice price.  The difference is posted as Invoice Price Tolerance for Standard Costing.  If defined, the PO-Invoice match must be explicitly approved, if the matching difference is greater then the tolerance.<br>' || CHR(10) || 'Example: if the purchase price is $100 and the tolerance is 1 (percent), the invoice price must be between $99 and 101 to be automatically approved.',0,'D','PriceMatchTolerance',394,22,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,'0','100','N',2884,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14642,0,0,'Y',to_date('25.11.05','DD.MM.RR'),to_date('25.11.05','DD.MM.RR'),100,100,'Price Match Difference','Difference between Purchase and Invoice Price per matched line','The difference between purchase and invoice price may be used for requiring explicit approval if a Price Match Tolerance is defined on Business Partner Group level.',0,'D','PriceMatchDifference',473,12,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2885,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14643,0,0,'Y',to_date('25.11.05','DD.MM.RR'),to_date('06.12.05','DD.MM.RR'),100,100,'Approved','Indicates if this document requires approval','The Approved checkbox indicates if this document requires approval before it can be processed.',0,'D','IsApproved',473,20,null,null,1,'N','N','N','N','Y','@IsApproved@=Y','N',null,'N','N',null,null,null,null,'N',351,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14644,0,0,'Y',to_date('25.11.05','DD.MM.RR'),to_date('25.11.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',472,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','Y',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14645,0,0,'Y',to_date('25.11.05','DD.MM.RR'),to_date('25.11.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',473,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','Y',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14646,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Error Reporting','Automatically report Errors','To automate error reporting, submit errors to Compiere. Only error (stack trace) information is submitted (no data or confidential information).  It helps us to react faster and proactively.  If you have a support contract, we will you inform about corrective measures.  This functionality is experimental at this point.',0,'D','IsAutoErrorReport',531,20,null,null,1,'Y','N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2886,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14647,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Record ID','Direct internal record ID','The Record ID is the internal unique identifier of a record. Please note that zooming to the record may not be successful for Orders, Invoices and Shipment/Receipts as sometimes the Sales Order type is not known.',0,'D','Record_ID',531,13,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',538,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14648,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'System Issue','Automatically created or manually entered System Issue','System Issues are created to speed up the resolution of any system related issues (potential bugs).  If enabled, they are automatically reported to Compiere.  No data or confidential information is transferred.',0,'D','AD_Issue_ID',828,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2887,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14649,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',828,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14650,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',828,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14651,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',828,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14652,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',828,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14653,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',828,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14654,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',828,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14655,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('14.12.05','DD.MM.RR'),100,100,'Release No','Internal Release Number',null,0,'D','ReleaseNo',828,10,null,null,4,'.','N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2122,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14656,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('14.12.05','DD.MM.RR'),100,100,'Version','Version of the table definition','The Version indicates the version of this table definition.',0,'D','Version',828,10,null,null,40,'.','N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',624,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14657,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',828,10,null,null,120,'.','N','N','Y','N',null,'Y',2,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14658,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('14.12.05','DD.MM.RR'),100,100,'Registered EMail','Email of the responsible for the System','Email of the responsible person for the system (registered in WebStore)',0,'D','UserName',828,10,null,null,60,'.','N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',1903,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14659,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Local Host','Local Host Info',null,0,'D','Local_Host',828,10,null,null,120,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2888,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14660,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('14.12.05','DD.MM.RR'),100,100,'Remote Addr','Remote Address','The Remote Address indicates an alternative or external address.',0,'D','Remote_Addr',828,10,null,null,60,'.','N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',1430,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14661,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('14.12.05','DD.MM.RR'),100,100,'Remote Host','Remote host Info',null,0,'D','Remote_Host',828,10,null,null,120,'.','N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',1431,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14662,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Comments','Comments or additional information','The Comments field allows for free form entry of additional information.',0,'D','Comments',828,14,null,null,2000,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',230,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14663,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Error Trace','System Error Trace','Java Trace Info',0,'D','ErrorTrace',828,14,null,null,2000,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2889,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14664,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Stack Trace','System Log Trace',null,0,'D','StackTrace',828,14,null,null,2000,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2890,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14665,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Record ID','Direct internal record ID','The Record ID is the internal unique identifier of a record. Please note that zooming to the record may not be successful for Orders, Invoices and Shipment/Receipts as sometimes the Sales Order type is not known.',0,'D','Record_ID',828,11,null,null,10,'1','N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',538,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14666,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('14.12.05','DD.MM.RR'),100,100,'Request Document No','Compiere Request Document No',null,0,'D','RequestDocumentNo',828,10,null,null,30,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2891,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14667,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Asset','Asset used internally or by customers','An asset is either created by purchasing or by delivering a product.  An asset can be used internally or be a customer asset.',0,'D','A_Asset_ID',828,19,null,null,10,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',1884,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14668,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Request','Request from a Business Partner or Prospect','The Request identifies a unique request from a Business Partner or Prospect.',0,'D','R_Request_ID',828,30,null,null,10,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',1516,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14669,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('14.12.05','DD.MM.RR'),100,100,'Response Text','Request Response Text','Text block to be copied into request response text',0,'D','ResponseText',828,14,null,null,2000,null,'N','N','N','N','@Record_ID@!0','N',null,'N','N',null,null,null,null,'N',2719,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14670,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Process Now',null,null,0,'D','Processing',828,28,null,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',524,339,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14671,0,0,'Y',to_date('12.12.05','DD.MM.RR'),to_date('12.12.05','DD.MM.RR'),100,100,'Processed','The document has been processed','The Processed checkbox indicates that a document has been processed.',0,'D','Processed',828,20,null,null,1,'N','N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',1047,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14672,0,0,'Y',to_date('14.12.05','DD.MM.RR'),to_date('14.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',828,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14673,0,0,'Y',to_date('14.12.05','DD.MM.RR'),to_date('01.01.06','DD.MM.RR'),100,100,'Operating System','Operating System Info',null,0,'D','OperatingSystemInfo',828,10,null,null,255,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2892,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14674,0,0,'Y',to_date('14.12.05','DD.MM.RR'),to_date('01.01.06','DD.MM.RR'),100,100,'Database','Database Information',null,0,'D','DatabaseInfo',828,10,null,null,255,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2893,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14675,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',829,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14676,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',829,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14677,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Product','Product, Service, Item','Identifies an item which is either purchased or sold in this organization.',0,'D','M_Product_ID',829,19,null,null,10,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',454,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14678,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Date Invoiced','Date printed on Invoice','The Date Invoice indicates the date printed on the invoice.',0,'D','DateInvoiced',829,15,null,null,7,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',267,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14679,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Line Amount','Line Extended Amount (Quantity * Actual Price) without Freight and Charges','Indicates the extended line amount based on the quantity and the actual price.  Any additional charges or freight are not included.  The Amount may or may not include tax.  If the price list is inclusive tax, the line amount is the same as the line total.',0,'D','LineNetAmt',829,12,null,null,22,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',441,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14680,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Line List Amount',null,null,0,'D','LineListAmt',829,12,null,null,22,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',1275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14681,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Line Limit Amount',null,null,0,'D','LineLimitAmt',829,12,null,null,22,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',1274,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14682,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Line Discount','Line Discount Amount','Indicates the discount for this line as an amount.',0,'D','LineDiscountAmt',829,12,null,null,22,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',1273,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14683,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Line Discount %','Line Discount as a percentage','The Line Discount Percent indicates the discount for this line as a percentage.',0,'D','LineDiscount',829,22,null,null,22,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',1272,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14684,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Gross Margin',null,null,0,'D','LineOverLimitAmt',829,12,null,null,22,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',1277,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14685,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Gross margin %',null,null,0,'D','LineOverLimit',829,22,null,null,22,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',1276,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14686,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Quantity Invoiced','Invoiced Quantity','The Invoiced Quantity indicates the quantity of a product that have been invoiced.',0,'D','QtyInvoiced',829,29,null,null,22,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',529,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14687,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Sales Transaction','This is a Sales Transaction','The Sales Transaction checkbox indicates if this item is a Sales Transaction.',0,'D','IsSOTrx',829,20,null,null,1,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',1106,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14688,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',830,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14689,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',830,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14690,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Product','Product, Service, Item','Identifies an item which is either purchased or sold in this organization.',0,'D','M_Product_ID',830,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',454,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14691,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Date Invoiced','Date printed on Invoice','The Date Invoice indicates the date printed on the invoice.',0,'D','DateInvoiced',830,15,null,null,7,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',267,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14692,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Line Amount','Line Extended Amount (Quantity * Actual Price) without Freight and Charges','Indicates the extended line amount based on the quantity and the actual price.  Any additional charges or freight are not included.  The Amount may or may not include tax.  If the price list is inclusive tax, the line amount is the same as the line total.',0,'D','LineNetAmt',830,12,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',441,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14693,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Line List Amount',null,null,0,'D','LineListAmt',830,12,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14694,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Line Limit Amount',null,null,0,'D','LineLimitAmt',830,12,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1274,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14695,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Line Discount','Line Discount Amount','Indicates the discount for this line as an amount.',0,'D','LineDiscountAmt',830,12,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1273,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14696,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Line Discount %','Line Discount as a percentage','The Line Discount Percent indicates the discount for this line as a percentage.',0,'D','LineDiscount',830,22,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1272,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14697,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Gross Margin',null,null,0,'D','LineOverLimitAmt',830,12,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1277,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14698,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Gross margin %',null,null,0,'D','LineOverLimit',830,22,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1276,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14699,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Quantity Invoiced','Invoiced Quantity','The Invoiced Quantity indicates the quantity of a product that have been invoiced.',0,'D','QtyInvoiced',830,29,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',529,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14700,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Sales Transaction','This is a Sales Transaction','The Sales Transaction checkbox indicates if this item is a Sales Transaction.',0,'D','IsSOTrx',830,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',1106,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14701,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',424,20,null,null,1,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14702,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',424,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14703,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',424,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14704,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',424,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14705,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',424,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14706,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Paid','The document is paid',null,0,'D','IsPaid',424,20,null,null,1,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',1402,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14707,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Document Type','Document type or rules','The Document Type determines document sequence and processing rules',0,'D','C_DocType_ID',364,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',196,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14708,0,0,'Y',to_date('15.12.05','DD.MM.RR'),to_date('15.12.05','DD.MM.RR'),100,100,'Document Type','Document type or rules','The Document Type determines document sequence and processing rules',0,'D','C_DocType_ID',702,19,null,259,10,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',196,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14709,0,0,'Y',to_date('17.12.05','DD.MM.RR'),to_date('17.12.05','DD.MM.RR'),100,100,'Vanilla System','The system was NOT compiled from Source - i.e. standard distribution','You may have customizations, like additional columns, tables, etc - but no code modifications which require compiling from source.',0,'D','IsVanillaSystem',828,17,319,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2894,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14710,0,0,'Y',to_date('17.12.05','DD.MM.RR'),to_date('17.12.05','DD.MM.RR'),100,100,'Reproducible','Problem can re reproduced in Gardenworld','The problem occurs also in the standard distribution in the demo client Gardenworld.',0,'D','IsReproducible',828,17,319,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2895,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14712,0,0,'Y',to_date('17.12.05','DD.MM.RR'),to_date('17.12.05','DD.MM.RR'),100,100,'Grand Total','Total amount of document','The Grand Total displays the total amount including Tax and Freight in document currency',0,'D','GrandTotal',803,12,null,null,22,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',316,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14713,0,0,'Y',to_date('17.12.05','DD.MM.RR'),to_date('17.12.05','DD.MM.RR'),100,100,'Open Amount','Open item amount',null,0,'D','OpenAmt',803,12,null,null,22,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',1526,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14714,0,0,'Y',to_date('17.12.05','DD.MM.RR'),to_date('17.12.05','DD.MM.RR'),100,100,'Source Balance','Source Balance Amount','The Source Balance Amount indicates the balance amount for this line in the source currency.',0,'D','AmtSourceBalance',803,12,null,null,22,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2650,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14715,0,0,'Y',to_date('17.12.05','DD.MM.RR'),to_date('17.12.05','DD.MM.RR'),100,100,'Accounted Balance','Accounted Balance Amount','The Account Balance Amount indicates the transaction amount converted to this organization''s accounting currency',0,'D','AmtAcctBalance',803,12,null,null,22,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2649,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14716,0,0,'Y',to_date('17.12.05','DD.MM.RR'),to_date('17.12.05','DD.MM.RR'),100,100,'Percent','Percentage','The Percent indicates the percentage used.',0,'D','Percent',803,22,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',951,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14718,0,0,'Y',to_date('18.12.05','DD.MM.RR'),to_date('18.12.05','DD.MM.RR'),100,100,'Percent','Percentage','The Percent indicates the percentage used.',0,'D','Percent',804,22,null,null,22,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',951,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14719,0,0,'Y',to_date('18.12.05','DD.MM.RR'),to_date('18.12.05','DD.MM.RR'),100,100,'Source Balance','Source Balance Amount','The Source Balance Amount indicates the balance amount for this line in the source currency.',0,'D','AmtSourceBalance',804,12,null,null,22,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2650,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14720,0,0,'Y',to_date('18.12.05','DD.MM.RR'),to_date('18.12.05','DD.MM.RR'),100,100,'Accounted Balance','Accounted Balance Amount','The Account Balance Amount indicates the transaction amount converted to this organization''s accounting currency',0,'D','AmtAcctBalance',804,12,null,null,22,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2649,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14721,0,0,'Y',to_date('18.12.05','DD.MM.RR'),to_date('18.12.05','DD.MM.RR'),100,100,'Revaluation Document Type','Document Type for Revaluation Journal',null,0,'D','C_DocTypeReval_ID',803,18,170,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2896,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14722,0,0,'Y',to_date('19.12.05','DD.MM.RR'),to_date('19.12.05','DD.MM.RR'),100,100,'Include All Currencies','Report not just foreign currency Invoices',null,0,'D','IsAllCurrencies',803,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2897,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14723,0,0,'Y',to_date('19.12.05','DD.MM.RR'),to_date('19.12.05','DD.MM.RR'),100,100,'Revaluation Document Type','Document Type for Revaluation Journal',null,0,'D','C_DocTypeReval_ID',804,18,170,null,10,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2896,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14724,0,0,'Y',to_date('19.12.05','DD.MM.RR'),to_date('19.12.05','DD.MM.RR'),100,100,'Include All Currencies','Report not just foreign currency Invoices',null,0,'D','IsAllCurrencies',804,20,null,null,1,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2897,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14725,0,0,'Y',to_date('21.12.05','DD.MM.RR'),to_date('21.12.05','DD.MM.RR'),100,100,'Task Status','Status of the Task','Completion Rate and Status of the Task',0,'D','TaskStatus',417,17,366,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2898,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14726,0,0,'Y',to_date('21.12.05','DD.MM.RR'),to_date('21.12.05','DD.MM.RR'),100,100,'Complete Plan','Planned Completion Date','Date when the task is planned to be complete',0,'D','DateCompletePlan',417,15,null,null,7,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2899,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14727,0,0,'Y',to_date('21.12.05','DD.MM.RR'),to_date('21.12.05','DD.MM.RR'),100,100,'Quantity Plan','Planned Quantity','Planned Quantity',0,'D','QtyPlan',417,29,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2900,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14728,0,0,'Y',to_date('21.12.05','DD.MM.RR'),to_date('21.12.05','DD.MM.RR'),100,100,'Task Status','Status of the Task','Completion Rate and Status of the Task',0,'D','TaskStatus',418,17,366,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2898,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14729,0,0,'Y',to_date('21.12.05','DD.MM.RR'),to_date('21.12.05','DD.MM.RR'),100,100,'Complete Plan','Planned Completion Date','Date when the task is planned to be complete',0,'D','DateCompletePlan',418,15,null,null,7,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2899,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14730,0,0,'Y',to_date('21.12.05','DD.MM.RR'),to_date('21.12.05','DD.MM.RR'),100,100,'Quantity Plan','Planned Quantity','Planned Quantity',0,'D','QtyPlan',418,29,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2900,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14731,0,0,'Y',to_date('21.12.05','DD.MM.RR'),to_date('21.12.05','DD.MM.RR'),100,100,'Quantity Used','Quantity used for this event',null,0,'D','QtySpent',418,29,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2715,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14732,0,0,'Y',to_date('21.12.05','DD.MM.RR'),to_date('21.12.05','DD.MM.RR'),100,100,'Start Date','First effective day (inclusive)','The Start Date indicates the first or starting date',0,'D','StartDate',418,16,null,null,7,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',574,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14733,0,0,'Y',to_date('21.12.05','DD.MM.RR'),to_date('21.12.05','DD.MM.RR'),100,100,'End Date','Last effective date (inclusive)','The End Date indicates the last date in this range.',0,'D','EndDate',418,16,null,null,7,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',294,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14734,0,0,'Y',to_date('21.12.05','DD.MM.RR'),to_date('21.12.05','DD.MM.RR'),100,100,'Start Plan','Planned Start Date','Date when you plan to start',0,'D','DateStartPlan',417,15,null,null,7,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2901,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14735,0,0,'Y',to_date('21.12.05','DD.MM.RR'),to_date('21.12.05','DD.MM.RR'),100,100,'Start Plan','Planned Start Date','Date when you plan to start',0,'D','DateStartPlan',418,15,null,null,7,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2901,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14736,0,0,'Y',to_date('21.12.05','DD.MM.RR'),to_date('21.12.05','DD.MM.RR'),100,100,'Quantity Invoiced','Invoiced Quantity','The Invoiced Quantity indicates the quantity of a product that have been invoiced.',0,'D','QtyInvoiced',418,29,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',529,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14737,0,0,'Y',to_date('21.12.05','DD.MM.RR'),to_date('21.12.05','DD.MM.RR'),100,100,'Product Used','Product/Resource/Service used in Request','Invoicing uses the Product used.',0,'D','M_ProductSpent_ID',418,18,162,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2716,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14738,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Color Schema','Performance Color Schema','Visual representation of performance by color.  The Schema has often three levels (e.g. red-yellow-green).  Compiere support two levels (e.g. red-green) or four levels (e.g. gray-bronce-silver-gold).  Note that Measures without a goal are represented white.  The percentages could be beween 0 and unlimited (i.e. above 100%).',0,'D','PA_ColorSchema_ID',831,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2903,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14739,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',831,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14740,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',831,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14741,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',831,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14742,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',831,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14743,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',831,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14744,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',831,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14745,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',831,10,null,null,120,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14746,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Mark 1 Percent','Percentage up to this color is used','Example 50 - i.e. below 50% this color is used',0,'D','Mark1Percent',831,11,null,null,10,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2904,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14747,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Color 1','First color used',null,0,'D','AD_PrintColor1_ID',831,18,266,null,10,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2905,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14748,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Mark 2 Percent','Percentage up to this color is used','Example 80 - e.g., if Mark 1 is 50 - this color is used between 50% and 80%',0,'D','Mark2Percent',831,11,null,null,10,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2906,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14749,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Color 2','Second color used',null,0,'D','AD_PrintColor2_ID',831,18,266,null,10,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2907,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14750,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Mark 3 Percent','Percentage up to this color is used','Example 100 - e.g., if Mark 2 is 80 - this color is used between 80% and 100%',0,'D','Mark3Percent',831,11,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2908,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14751,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Color 3','Third color used',null,0,'D','AD_PrintColor3_ID',831,18,266,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2909,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14752,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Mark 4 Percent','Percentage up to this color is used','Example 9999 - e.g., if Mark 3 is 100 - this color is used above 100%',0,'D','Mark4Percent',831,11,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2910,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14753,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Color 4','Forth color used',null,0,'D','AD_PrintColor4_ID',831,18,266,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2911,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14754,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('20.01.06','DD.MM.RR'),100,100,'User/Contact','User within the system - Internal or Business Partner Contact','The User identifies a unique user in the system. This could be an internal user or a business partner contact',0,'D','AD_User_ID',440,30,null,null,10,'-1','N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',138,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14755,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Color Schema','Performance Color Schema','Visual representation of performance by color.  The Schema has often three levels (e.g. red-yellow-green).  Compiere support two levels (e.g. red-green) or four levels (e.g. gray-bronce-silver-gold).  Note that Measures without a goal are represented white.  The percentages could be beween 0 and unlimited (i.e. above 100%).',0,'D','PA_ColorSchema_ID',440,19,null,null,10,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2903,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14756,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Parent Goal','Parent Goal','You can create a hierarchy of goals by linking the sub-goals to the summary goal.' || CHR(10) || 'The measures are automatically rolled up',0,'D','PA_GoalParent_ID',440,18,230,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2912,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14757,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Measure Scope','Performance Measure Scope','The scope of the goal can be broken down for initial display.' || CHR(10) || 'Example: Scope is Year, Display is Month - the goal is entered as a yearly number, the display divides the goal by 12',0,'D','MeasureScope',440,17,367,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2913,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14758,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Measure Display','Measure Scope initially displayed',null,0,'D','MeasureDisplay',440,17,367,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2914,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14759,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Date From','Starting date for a range','The Date From indicates the starting date of a range.',0,'D','DateFrom',440,16,null,null,7,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1581,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14760,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Date To','End date of a date range','The Date To indicates the end date of a range (inclusive)',0,'D','DateTo',440,16,null,null,7,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1582,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14761,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',831,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14762,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',831,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14763,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Goal Restriction','Performance Goal Restriction','Restriction of the performance measure to the Organization, Business Partner or Product defined.' || CHR(10) || 'Example: The performance is only measured for HQ' || CHR(10) || 'The measure must support the data, otherwise it is ignored.',0,'D','PA_GoalRestriction_ID',832,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2915,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14764,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',832,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14765,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',832,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14766,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',832,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14767,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',832,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14768,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',832,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14769,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',832,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14770,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',832,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14771,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',832,10,null,null,120,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14772,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Restriction Type','Goal Restriction Type','Enter one or more records per Goal Restriction Type (e.g. Org o1, o2)',0,'D','GoalRestrictionType',832,17,368,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2916,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14773,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Goal','Performance Goal','The Performance Goal indicates what this users performance will be measured against.',0,'D','PA_Goal_ID',832,19,null,null,10,null,'N','Y','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',1594,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14774,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('10.01.06','DD.MM.RR'),100,100,'Business Partner ','Identifies a Business Partner','A Business Partner is anyone with whom you transact.  This can include Vendor, Customer, Employee or Salesperson',0,'D','C_BPartner_ID',832,30,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',187,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14775,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('10.01.06','DD.MM.RR'),100,100,'Product','Product, Service, Item','Identifies an item which is either purchased or sold in this organization.',0,'D','M_Product_ID',832,30,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',454,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14776,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department.',0,'D','Org_ID',832,18,322,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',479,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14777,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Business Partner Group','Business Partner Group','The Business Partner Group provides a method of defining defaults to be used for individual Business Partners.',0,'D','C_BP_Group_ID',832,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1383,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14778,0,0,'Y',to_date('23.12.05','DD.MM.RR'),to_date('23.12.05','DD.MM.RR'),100,100,'Product Category','Category of a Product','Identifies the category which this product belongs to.  Product categories are used for pricing and selection.',0,'D','M_Product_Category_ID',832,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',453,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14779,0,0,'Y',to_date('25.12.05','DD.MM.RR'),to_date('25.12.05','DD.MM.RR'),100,100,'Table','Table for the Fields','The Table indicates the table in which a field or fields reside.',0,'D','AD_Table_ID',442,19,null,null,10,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',126,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14780,0,0,'Y',to_date('25.12.05','DD.MM.RR'),to_date('25.12.05','DD.MM.RR'),100,100,'Key Column','Key Column for Table',null,0,'D','KeyColumn',442,10,null,null,60,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2917,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14781,0,0,'Y',to_date('25.12.05','DD.MM.RR'),to_date('25.12.05','DD.MM.RR'),100,100,'Entity Type','Dictionary Entity Type; Determines ownership and synchronization','The Entity Types "Dictionary", "Compiere" and "Application" might be automatically synchronized and customizations deleted or overwritten.' || CHR(10) || ' ' || CHR(10) || 'For customizations, copy the entity and select "User"!',0,'D','EntityType',442,17,245,null,4,'U','N','N','Y','Y','@EntityType@=D','N',null,'N','N',null,null,null,null,'N',1682,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14782,0,0,'Y',to_date('25.12.05','DD.MM.RR'),to_date('25.12.05','DD.MM.RR'),100,100,'Measure','Concrete Performance Measurement','The Measure identifies a concrete, measurable indicator of performance.  For example, sales dollars, prospects contacted.',0,'D','PA_Measure_ID',438,19,null,null,10,null,'N','Y','Y','N',null,'N',null,'N','N',null,null,null,null,'N',1596,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14783,0,0,'Y',to_date('25.12.05','DD.MM.RR'),to_date('25.12.05','DD.MM.RR'),100,100,'Manual Actual','Manually entered actual value','The Manual Active identifies a manually entered actual measurement value.',0,'D','ManualActual',438,22,null,null,22,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',1586,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14784,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Benchmark','Performance Benchmark','Data Series to compare internal performance with (e.g. stock price, ...)',0,'D','PA_Benchmark_ID',441,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2918,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14785,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Ratio','Performace Ratio','Calculation instruction set  for a perfomance ratio',0,'D','PA_Ratio_ID',441,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2919,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14786,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Reporting Hierarchy','Optional Reporting Hierarchy - If not selected the default hierarchy trees are used.','Reporting Hierarchy allows you to select different Hierarchies/Trees for the report.' || CHR(10) || 'Accounting Segments like Organization, Account, Product may have several hierarchies to accomodate different views on the business.',0,'D','PA_Hierarchy_ID',441,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2868,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14787,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Measure Data Type','Type of data - Status or in Time','Status represents values valid at a certain time (e.g. Open Invoices) - No history is maintained.<br>' || CHR(10) || 'Time represents a values at a given time (e.g. Invoice Amount on 1/1) - History is maintained',0,'D','MeasureDataType',441,17,369,null,1,'T','N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2920,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14788,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Benchmark','Performance Benchmark','Data Series to compare internal performance with (e.g. stock price, ...)',0,'D','PA_Benchmark_ID',833,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2918,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14789,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',833,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14790,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',833,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14791,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',833,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14792,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',833,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14793,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',833,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14794,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',833,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14795,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',833,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14796,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',833,10,null,null,120,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14797,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',833,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14798,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Comment/Help','Comment or Hint','The Help field contains a hint, comment or help about the use of this item.',0,'D','Help',833,14,null,null,2000,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',326,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14799,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Accumulation Type','How to accumulate data on time axis','Sum adds the data points (e.g. stock volume) - Average is appropriate for e.g. Stock Price',0,'D','AccumulationType',833,17,370,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2921,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14800,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Benchmark Data','Performance Benchmark Data Point','Data Series Point to compare internal performance with (e.g. stock price, ...)',0,'D','PA_BenchmarkData_ID',834,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2922,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14801,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',834,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14802,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',834,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14803,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',834,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14804,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',834,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14805,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',834,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14806,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',834,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14807,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',834,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14808,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',834,10,null,null,120,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14809,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',834,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14810,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Benchmark','Performance Benchmark','Data Series to compare internal performance with (e.g. stock price, ...)',0,'D','PA_Benchmark_ID',834,19,null,null,10,null,'N','Y','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2918,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14811,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Date','Benchmark Date','Date of the Benchmark Data Point',0,'D','BenchmarkDate',834,16,null,null,7,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2923,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14812,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Value','Benchmark Value','Value of the Benchmark Data Point',0,'D','BenchmarkValue',834,22,null,null,22,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2924,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14813,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Ratio','Performace Ratio','Calculation instruction set  for a perfomance ratio',0,'D','PA_Ratio_ID',835,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2919,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14814,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',835,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14815,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',835,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14816,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',835,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14817,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',835,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14818,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',835,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14819,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',835,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14820,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',835,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14821,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',835,10,null,null,120,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14822,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',835,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14823,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Comment/Help','Comment or Hint','The Help field contains a hint, comment or help about the use of this item.',0,'D','Help',835,14,null,null,2000,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',326,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14824,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Accounting Schema','Rules for accounting','An Accounting Schema defines the rules used in accounting such as costing method, currency and calendar',0,'D','C_AcctSchema_ID',835,19,null,null,10,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',181,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14825,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Ratio Element','Performance Ratio Element','Individual calculation instruction for a ratio',0,'D','PA_RatioElement_ID',836,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2925,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14826,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',836,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14827,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',836,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14828,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',836,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14829,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',836,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14830,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',836,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14831,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',836,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14832,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',836,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14833,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',836,10,null,null,120,null,'N','N','Y','Y',null,'Y',2,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14834,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',836,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14835,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Ratio','Performace Ratio','Calculation instruction set  for a perfomance ratio',0,'D','PA_Ratio_ID',836,19,null,null,10,null,'N','Y','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2919,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14836,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Operand','Ratio Operand','Operand how data is calculated.  If it is the first in the series, ''minus'' will create a negative value, otherwise ignored.',0,'D','RatioOperand',836,17,373,null,1,'P','N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2927,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14837,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Element Type','Ratio Element Type','Type of data used for the calculation',0,'D','RatioElementType',836,17,372,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2928,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14838,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Account','Account used','The (natural) account used',0,'D','Account_ID',836,18,331,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',148,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14839,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Ratio Used','Performace Ratio Used','Existing Performance Ratio to be used in the calculation.  Make sure that the Ratio is not self-referencing (loop).',0,'D','PA_RatioUsed_ID',836,18,371,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2929,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14840,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Measure Calculation','Calculation method for measuring performance','The Measure Calculation indicates the method of measuring performance.',0,'D','PA_MeasureCalc_ID',836,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1597,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14841,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Constant Value','Constant value',null,0,'D','ConstantValue',836,22,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1322,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14843,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'Sequence','Method of ordering records; lowest number comes first','The Sequence indicates the order of records',0,'D','SeqNo',836,11,null,null,10,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',566,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14844,0,0,'Y',to_date('26.12.05','DD.MM.RR'),to_date('26.12.05','DD.MM.RR'),100,100,'PostingType','The type of posted amount for the transaction','The Posting Type indicates the type of amount (Actual, Budget, Reservation, Commitment, Statistical) the transaction.',0,'D','PostingType',836,17,125,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',514,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14845,0,0,'Y',to_date('29.12.05','DD.MM.RR'),to_date('29.12.05','DD.MM.RR'),100,100,'Last Maintenance','Last Maintenance Date',null,0,'D','LastMaintenanceDate',539,16,null,null,7,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2931,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14846,0,0,'Y',to_date('29.12.05','DD.MM.RR'),to_date('29.12.05','DD.MM.RR'),100,100,'Next Maintenence','Next Maintenence Date',null,0,'D','NextMaintenenceDate',539,16,null,null,7,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2932,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14847,0,0,'Y',to_date('29.12.05','DD.MM.RR'),to_date('29.12.05','DD.MM.RR'),100,100,'Last Unit','Last Maintenance Unit',null,0,'D','LastMaintenanceUnit',539,11,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2933,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14848,0,0,'Y',to_date('29.12.05','DD.MM.RR'),to_date('29.12.05','DD.MM.RR'),100,100,'Next Unit','Next Maintenence Unit',null,0,'D','NextMaintenenceUnit',539,11,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2934,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14849,0,0,'Y',to_date('29.12.05','DD.MM.RR'),to_date('29.12.05','DD.MM.RR'),100,100,'Lease Termination','Lease Termination Date','Last Date of Lease',0,'D','LeaseTerminationDate',539,15,null,null,7,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2935,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14850,0,0,'Y',to_date('29.12.05','DD.MM.RR'),to_date('29.12.05','DD.MM.RR'),100,100,'Lessor','The Business Partner who rents or leases',null,0,'D','Lease_BPartner_ID',539,30,192,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2936,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14851,0,0,'Y',to_date('29.12.05','DD.MM.RR'),to_date('29.12.05','DD.MM.RR'),100,100,'Last Note','Last Maintenance Note',null,0,'D','LastMaintenanceNote',539,10,null,null,60,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2937,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14852,0,0,'Y',to_date('29.12.05','DD.MM.RR'),to_date('29.12.05','DD.MM.RR'),100,100,'Support Expires','Date when the Compiere support expires','Check http://www.compiere.org for support options',0,'D','SupportExpDate',531,15,null,null,7,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2938,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14853,0,0,'Y',to_date('29.12.05','DD.MM.RR'),to_date('29.12.05','DD.MM.RR'),100,100,'Process Now',null,null,0,'D','Processing',531,28,null,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',524,342,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14854,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('20.01.06','DD.MM.RR'),100,100,'Role','Responsibility Role','The Role determines security and access a user who has this Role will have in the System.',0,'D','AD_Role_ID',440,19,null,null,10,'-1','N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',123,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14855,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Release Tag','Release Tag',null,0,'D','ReleaseTag',828,10,null,null,60,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2939,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14856,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Support EMail','EMail address to send support information and updates to','If not entered the registered email is used.',0,'D','SupportEMail',531,10,null,null,60,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2940,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14857,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Support EMail','EMail address to send support information and updates to','If not entered the registered email is used.',0,'D','SupportEMail',828,10,null,null,60,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2940,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14858,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'DB Address','JDBC URL of the database server',null,0,'D','DBAddress',828,10,null,null,255,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2639,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14859,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Issue Summary','Issue Summary',null,0,'D','IssueSummary',828,10,null,null,2000,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',2941,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14860,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Source Class','Source Class Name',null,0,'D','SourceClassName',828,10,null,null,60,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2942,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14861,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Source Method','Source Method Name',null,0,'D','SourceMethodName',828,10,null,null,60,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2943,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14862,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Logger','Logger Name',null,0,'D','LoggerName',828,10,null,null,60,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2944,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14863,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Line','Line No',null,0,'D','LineNo',828,11,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2945,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14864,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Known Issue','Known Issue',null,0,'D','R_IssueKnown_ID',828,30,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2946,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14866,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Issue Recommendation','Recommendations how to fix an Issue','Recommendations how to fix an Issue',0,'D','R_IssueRecommendation_ID',837,13,null,null,1,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2948,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14867,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',837,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14868,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',837,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14869,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',837,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14870,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',837,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14871,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',837,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14872,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',837,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14873,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',837,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14874,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',837,10,null,null,120,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14875,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',837,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14876,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Comment/Help','Comment or Hint','The Help field contains a hint, comment or help about the use of this item.',0,'D','Help',837,14,null,null,2000,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',326,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14877,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Issue Status','Status of an Issue','Status of an Issue',0,'D','R_IssueStatus_ID',838,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2949,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14878,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',838,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14879,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',838,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14880,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',838,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14881,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',838,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14882,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',838,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14883,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',838,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14884,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',838,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14885,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',838,10,null,null,120,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14886,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',838,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14887,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Known Issue','Known Issue',null,0,'D','R_IssueKnown_ID',839,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2946,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14888,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',839,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14889,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',839,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14890,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',839,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14891,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',839,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14892,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',839,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14893,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',839,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14894,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',839,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14895,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Issue Summary','Issue Summary',null,0,'D','IssueSummary',839,10,null,null,255,null,'N','N','Y','Y',null,'Y',2,'N','N',null,null,null,null,'N',2941,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14896,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Release No','Internal Release Number',null,0,'D','ReleaseNo',839,10,null,null,4,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',2122,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14897,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Source Class','Source Class Name',null,0,'D','SourceClassName',839,10,null,null,60,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2942,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14898,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Source Method','Source Method Name',null,0,'D','SourceMethodName',839,10,null,null,60,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2943,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14899,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Logger','Logger Name',null,0,'D','LoggerName',839,10,null,null,60,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2944,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14900,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Line','Line No',null,0,'D','LineNo',839,11,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2945,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14901,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',839,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14902,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Issue Status','Current Status of the Issue','Description of the current status of the issue',0,'D','IssueStatus',839,14,null,null,2000,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2950,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14903,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Issue Recommendation','Recommendations how to fix an Issue','Recommendations how to fix an Issue',0,'D','R_IssueRecommendation_ID',839,19,null,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2948,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14904,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Issue Status','Status of an Issue','Status of an Issue',0,'D','R_IssueStatus_ID',839,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2949,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14905,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Request','Request from a Business Partner or Prospect','The Request identifies a unique request from a Business Partner or Prospect.',0,'D','R_Request_ID',839,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1516,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14906,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('30.12.05','DD.MM.RR'),100,100,'Process Now',null,null,0,'D','Processing',839,20,null,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',524,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14919,0,0,'Y',to_date('30.12.05','DD.MM.RR'),to_date('01.01.06','DD.MM.RR'),100,100,'Java Info','Java Version Info',null,0,'D','JavaInfo',828,10,null,null,255,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2951,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14920,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Maintain Statistics','Maintain general statistics','Mainatan and allow to transfer general statistics (number of clients, orgs, business partners, users, products, invoices) to get a better feeling for the application use.  This information is not published.',0,'D','IsAllowStatistics',531,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2489,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14921,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Statistics','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics as well as general anonymous statistics',0,'D','StatisticsInfo',531,10,null,null,60,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2952,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14922,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Profile','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics',0,'D','ProfileInfo',531,10,null,null,60,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2953,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14923,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Old Name',null,null,0,'D','OldName',531,10,null,null,60,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2954,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14924,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',531,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14925,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'System Status','Status of the system - Support priority depends on system status','System status helps to prioritize support resources',0,'D','SystemStatus',531,17,374,null,1,'E','N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2955,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14926,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('01.01.06','DD.MM.RR'),100,100,'Statistics','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics as well as general anonymous statistics',0,'D','StatisticsInfo',828,10,null,null,255,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2952,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14927,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('01.01.06','DD.MM.RR'),100,100,'Profile','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics',0,'D','ProfileInfo',828,10,null,null,255,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2953,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14928,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'System Status','Status of the system - Support priority depends on system status','System status helps to prioritize support resources',0,'D','SystemStatus',828,17,374,null,1,'E','N','N','Y','Y','@Record_ID@=0','N',null,'N','N',null,null,null,null,'N',2955,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14929,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Track Issues','Enable tracking issues for this asset','Issues created by automatic Error Reporting',0,'D','IsTrackIssues',542,20,null,null,1,'N','N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2956,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14935,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'IssueUser','User who reported issues',null,0,'D','R_IssueUser_ID',841,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2959,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14936,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',841,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14937,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',841,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14938,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',841,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14939,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',841,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14940,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',841,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14941,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',841,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14942,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',841,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14943,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Registered EMail','Email of the responsible for the System','Email of the responsible person for the system (registered in WebStore)',0,'D','UserName',841,10,null,null,60,null,'N','N','Y','N',null,'Y',1,'N','N',null,null,null,null,'N',1903,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14944,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',841,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14945,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'User/Contact','User within the system - Internal or Business Partner Contact','The User identifies a unique user in the system. This could be an internal user or a business partner contact',0,'D','AD_User_ID',841,30,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',138,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14946,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Issue Project','Implementation Projects',null,0,'D','R_IssueProject_ID',842,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2958,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14947,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',842,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14948,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',842,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14949,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',842,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14950,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',842,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14951,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',842,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14952,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',842,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14953,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',842,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14954,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',842,10,null,null,120,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14955,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',842,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14956,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Asset','Asset used internally or by customers','An asset is either created by purchasing or by delivering a product.  An asset can be used internally or be a customer asset.',0,'D','A_Asset_ID',842,30,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1884,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14957,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Project','Financial Project','A Project allows you to track and control internal or external activities.',0,'D','C_Project_ID',842,30,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',208,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14958,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Statistics','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics as well as general anonymous statistics',0,'D','StatisticsInfo',842,10,null,null,60,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2952,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14959,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Profile','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics',0,'D','ProfileInfo',842,10,null,null,60,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2953,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14960,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'System Status','Status of the system - Support priority depends on system status','System status helps to prioritize support resources',0,'D','SystemStatus',842,17,374,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2955,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14961,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Issue System','System creating the issue',null,0,'D','R_IssueSystem_ID',843,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2957,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14962,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',843,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14963,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',843,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14964,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',843,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14965,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',843,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14966,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',843,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14967,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',843,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14968,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',843,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14969,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'DB Address','JDBC URL of the database server',null,0,'D','DBAddress',843,10,null,null,255,null,'N','N','Y','N',null,'Y',1,'N','N',null,null,null,null,'N',2639,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14970,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Statistics','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics as well as general anonymous statistics',0,'D','StatisticsInfo',843,10,null,null,60,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2952,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14971,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Profile','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics',0,'D','ProfileInfo',843,10,null,null,60,null,'N','N','N','N',null,'N',null,'N','N',null,null,null,null,'N',2953,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14972,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'System Status','Status of the system - Support priority depends on system status','System status helps to prioritize support resources',0,'D','SystemStatus',843,17,374,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2955,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14973,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Issue Project','Implementation Projects',null,0,'D','R_IssueProject_ID',828,30,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2958,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14974,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'IssueUser','User who reported issues',null,0,'D','R_IssueUser_ID',828,30,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2959,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14975,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Issue System','System creating the issue',null,0,'D','R_IssueSystem_ID',828,30,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2957,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14976,0,0,'Y',to_date('31.12.05','DD.MM.RR'),to_date('31.12.05','DD.MM.RR'),100,100,'Asset','Asset used internally or by customers','An asset is either created by purchasing or by delivering a product.  An asset can be used internally or be a customer asset.',0,'D','A_Asset_ID',843,30,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1884,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14977,0,0,'Y',to_date('09.01.06','DD.MM.RR'),to_date('09.01.06','DD.MM.RR'),100,100,'Attribute Set Instance','Product Attribute Set Instance','The values of the actual Product Attribute Instances.  The product level attributes are defined on Product level.',0,'D','M_AttributeSetInstance_ID',478,35,null,null,10,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2019,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14978,0,0,'Y',to_date('09.01.06','DD.MM.RR'),to_date('09.01.06','DD.MM.RR'),100,100,'Cost','Cost information',null,0,'D','Cost',478,22,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2319,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14979,0,0,'Y',to_date('09.01.06','DD.MM.RR'),to_date('09.01.06','DD.MM.RR'),100,100,'Cost Value','Value with Cost',null,0,'D','CostAmt',478,12,null,null,22,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2962,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14980,0,0,'Y',to_date('09.01.06','DD.MM.RR'),to_date('09.01.06','DD.MM.RR'),100,100,'Cost Element','Product Cost Element',null,0,'D','M_CostElement_ID',478,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2700,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14981,0,0,'Y',to_date('10.01.06','DD.MM.RR'),to_date('10.01.06','DD.MM.RR'),100,100,'Fixed in','Fixed in Change Notice',null,0,'D','M_FixChangeNotice_ID',417,18,351,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2797,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14982,0,0,'Y',to_date('10.01.06','DD.MM.RR'),to_date('10.01.06','DD.MM.RR'),100,100,'Source','Issue Source','Source of the Issue',0,'D','IssueSource',828,17,104,null,1,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2963,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14983,0,0,'Y',to_date('10.01.06','DD.MM.RR'),to_date('10.01.06','DD.MM.RR'),100,100,'Window','Data entry or display window','The Window field identifies a unique Window in the system.',0,'D','AD_Window_ID',828,30,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',143,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14984,0,0,'Y',to_date('10.01.06','DD.MM.RR'),to_date('10.01.06','DD.MM.RR'),100,100,'Process','Process or Report','The Process field identifies a unique Process or Report in the system.',0,'D','AD_Process_ID',828,30,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',117,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14985,0,0,'Y',to_date('10.01.06','DD.MM.RR'),to_date('10.01.06','DD.MM.RR'),100,100,'Special Form','Special Form','The Special Form field identifies a unique Special Form in the system.',0,'D','AD_Form_ID',828,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1298,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14986,0,0,'Y',to_date('10.01.06','DD.MM.RR'),to_date('10.01.06','DD.MM.RR'),100,100,'Document Date','Date of the Document','The Document Date indicates the date the document was generated.  It may or may not be the same as the accounting date.',0,'D','DateDoc',438,15,null,null,9,null,'N','N','N','Y',null,'N',0,'N','N',null,null,null,null,'N',265,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14987,0,0,'Y',to_date('11.01.06','DD.MM.RR'),to_date('11.01.06','DD.MM.RR'),100,100,'Request Type','Type of request (e.g. Inquiry, Complaint, ..)','Request Types are used for processing and categorizing requests. Options are Account Inquiry, Warranty Issue, etc.',0,'D','R_RequestType_ID',441,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1894,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14988,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Project Type','Type of the project','Type of the project with optional phases of the project with standard performance information',0,'D','C_ProjectType_ID',441,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2033,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14989,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Status Category','Request Status Category','Category of Request Status enables to maintain different set of Status for different Request Categories',0,'D','R_StatusCategory_ID',844,13,null,null,10,null,'Y','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',2964,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14990,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.',0,'D','AD_Client_ID',844,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',102,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14991,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.',0,'D','AD_Org_ID',844,19,null,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',113,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14992,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.',0,'D','IsActive',844,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',348,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14993,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Created','Date this record was created','The Created field indicates the date that this record was created.',0,'D','Created',844,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',245,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14994,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Created By','User who created this records','The Created By field indicates the user who created this record.',0,'D','CreatedBy',844,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',246,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14995,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Updated','Date this record was updated','The Updated field indicates the date that this record was updated.',0,'D','Updated',844,16,null,null,7,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',607,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14996,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Updated By','User who updated this records','The Updated By field indicates the user who updated this record.',0,'D','UpdatedBy',844,18,110,null,10,null,'N','N','Y','N',null,'N',null,'N','N',null,null,null,null,'N',608,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14997,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.',0,'D','Name',844,10,null,null,120,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',469,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14998,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Description','Optional short description of the record','A description is limited to 255 characters.',0,'D','Description',844,10,null,null,255,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',275,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (14999,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Comment/Help','Comment or Hint','The Help field contains a hint, comment or help about the use of this item.',0,'D','Help',844,14,null,null,2000,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',326,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (15000,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Default','Default value','The Default Checkbox indicates if this record will be used as a default value.',0,'D','IsDefault',844,20,null,null,1,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',1103,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (15001,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Sequence','Method of ordering records; lowest number comes first','The Sequence indicates the order of records',0,'D','SeqNo',776,11,null,null,10,null,'N','N','Y','Y',null,'Y',1,'N','N',null,null,null,null,'N',566,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (15002,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Status Category','Request Status Category','Category of Request Status enables to maintain different set of Status for different Request Categories',0,'D','R_StatusCategory_ID',776,19,null,null,10,null,'N','Y','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2964,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (15003,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Status Category','Request Status Category','Category of Request Status enables to maintain different set of Status for different Request Categories',0,'D','R_StatusCategory_ID',529,19,null,null,10,null,'N','N','Y','Y',null,'N',null,'N','N',null,null,null,null,'N',2964,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (15004,0,0,'Y',to_date('15.01.06','DD.MM.RR'),to_date('15.01.06','DD.MM.RR'),100,100,'Interest Area','Interest Area or Topic','Interest Areas reflect interest in a topic by a contact. Interest areas can be used for marketing campaigns.',0,'D','R_InterestArea_ID',533,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',1893,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (15005,0,0,'Y',to_date('17.01.06','DD.MM.RR'),to_date('18.01.06','DD.MM.RR'),100,100,'Size X','X (horizontal) dimension size','Size of X (horizontal) dimension in Units',0,'D','SizeX',492,22,null,null,5,null,'N','N','N','Y',null,'N',0,'N','N',null,null,null,null,'N',2965,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (15006,0,0,'Y',to_date('17.01.06','DD.MM.RR'),to_date('18.01.06','DD.MM.RR'),100,100,'Size Y','Y (vertical) dimension size','Size of Y (vertical) dimension in Units',0,'D','SizeY',492,22,null,null,5,null,'N','N','N','Y',null,'N',0,'N','N',null,null,null,null,'N',2966,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (15007,0,0,'Y',to_date('17.01.06','DD.MM.RR'),to_date('17.01.06','DD.MM.RR'),100,100,'Dimension Units','Units of Dimension',null,0,'D','DimensionUnits',492,17,375,null,1,null,'N','N','N','Y',null,'N',0,'N','N',null,null,null,null,'N',2967,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (15008,0,0,'Y',to_date('19.01.06','DD.MM.RR'),to_date('19.01.06','DD.MM.RR'),100,100,'Interest Area','Name of the Interest Area','Name of the Interest Area of the user',0,'D','InterestAreaName',533,10,null,null,40,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',2969,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (15009,0,0,'Y',to_date('19.01.06','DD.MM.RR'),to_date('19.01.06','DD.MM.RR'),100,100,'Business Partner ','Identifies a Business Partner','A Business Partner is anyone with whom you transact.  This can include Vendor, Customer, Employee or Salesperson',0,'D','C_BPartner_ID',313,30,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',187,null,'N','N',null);
Insert into "AD_COLUMN" ("AD_COLUMN_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","UPDATED","CREATEDBY","UPDATEDBY","NAME","DESCRIPTION","HELP","VERSION","ENTITYTYPE","COLUMNNAME","AD_TABLE_ID","AD_REFERENCE_ID","AD_REFERENCE_VALUE_ID","AD_VAL_RULE_ID","FIELDLENGTH","DEFAULTVALUE","ISKEY","ISPARENT","ISMANDATORY","ISUPDATEABLE","READONLYLOGIC","ISIDENTIFIER","SEQNO","ISTRANSLATED","ISENCRYPTED","CALLOUT","VFORMAT","VALUEMIN","VALUEMAX","ISSELECTIONCOLUMN","AD_ELEMENT_ID","AD_PROCESS_ID","ISSYNCDATABASE","ISALWAYSUPDATEABLE","COLUMNSQL") values (15010,0,0,'Y',to_date('19.01.06','DD.MM.RR'),to_date('19.01.06','DD.MM.RR'),100,100,'Charge','Additional document charges','The Charge indicates a type of Charge (Handling, Shipping, Restocking)',0,'D','C_Charge_ID',703,19,null,null,10,null,'N','N','N','Y',null,'N',null,'N','N',null,null,null,null,'N',968,null,'N','N',null);



-- INSERTING into AD_USERMAIL
Insert into "AD_USERMAIL" ("AD_USERMAIL_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_USER_ID","R_MAILTEXT_ID","W_MAILMSG_ID","MESSAGEID","DELIVERYCONFIRMATION","ISDELIVERED","SUBJECT","MAILTEXT") values (100,11,0,'Y',to_date('20.01.06','DD.MM.RR'),0,to_date('20.01.06','DD.MM.RR'),0,101,null,null,'Invalid Data',null,'N','Request Updated: 10000002','Updated By: SuperUser' || CHR(10) || 'Date last action: 2005-05-17 22:03:48.0' || CHR(10) || 'Request Type: Request for Quotation -> Service Request' || CHR(10) || '---------.----------.----------.----------.----------.----------' || CHR(10) || 'Could you please trim the trees for me?' || CHR(10) || '---------.----------.----------.----------.----------.----------' || CHR(10) || 'Request: 10000002  [Req#100#ID]' || CHR(10) || 'Sent by CompiereMail' || CHR(10));

-- INSERTING into AD_WF_NODENEXT
Insert into "AD_WF_NODENEXT" ("AD_WF_NODENEXT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_WF_NODE_ID","AD_WF_NEXT_ID","DESCRIPTION","SEQNO","ENTITYTYPE","TRANSITIONCODE","ISSTDUSERWORKFLOW") values (234,0,0,'Y',to_date('25.12.05','DD.MM.RR'),100,to_date('25.12.05','DD.MM.RR'),100,149,151,null,10,'D',null,'N');

-- INSERTING into AD_FIELDGROUP
Insert into "AD_FIELDGROUP" ("AD_FIELDGROUP_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","ENTITYTYPE") values (134,0,0,'Y',to_date('22.11.05','DD.MM.RR'),100,to_date('22.11.05','DD.MM.RR'),100,'Workflow','D');
Insert into "AD_FIELDGROUP" ("AD_FIELDGROUP_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","ENTITYTYPE") values (135,0,0,'Y',to_date('22.11.05','DD.MM.RR'),100,to_date('22.11.05','DD.MM.RR'),100,'Access','D');


-- INSERTING into AD_TAB
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (774,0,0,'Y',to_date('31.10.05','DD.MM.RR'),100,to_date('31.10.05','DD.MM.RR'),100,'Sub Account','Sub Account for Element Value','The Element Value (e.g. Account) may have optional sub accounts for further detail. The sub account is dependent on the value of the account, so a further specification. If the sub-accounts are more or less the same, consider using another accounting dimension.',825,118,40,2,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'Y','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (775,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Translation','Translation',null,826,204,20,1,'N','N','Y','N',14603,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'N','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (776,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'Client Share','Force (not) sharing of client/org entities','Business Partner can be either defined on Client level (shared) or on Org level (not shared).  You can define here of Products are always shared (i.e. always created under Organization "*") or if they are not shared (i.e. you cannot enter them with Organization "*").<br>' || CHR(10) || 'The creation of  "Client and Org" shared records is the default and is ignored.',827,109,30,0,'Y','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'Y','Y');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (777,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'System Issue','Automatically created or manually entered System Issue Reporting','System Issues are created to speed up the resolution of any system related issues (potential bugs).  If enabled, they are automatically reported to Compiere.  No data or confidential information is transferred.',828,363,10,0,'Y','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'Y','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (778,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Assigned Partners','Business Partners in Group',null,291,192,30,1,'N','N','N','N',4940,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'N','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (779,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Color Schema','Performance Color Schema','Visual representation of performance by color.  The Schema has often three levels (e.g. red-yellow-green).  Compiere support two levels (e.g. red-green) or four levels (e.g. gray-bronce-silver-gold).  Note that Measures without a goal are represented white.  The percentages could be beween 0 and unlimited (i.e. above 100%).',831,364,10,0,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'Y','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (780,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Restriction','Performance Goal Restriction','Restriction of the performance measure to the Organization, Business Partner or Product defined.' || CHR(10) || 'Example: The performance is only measured for HQ' || CHR(10) || 'The measure must support the data, otherwise it is ignored.',832,212,30,1,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'Y','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (782,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Benchmark','Performance Benchmark','Data Series to compare internal performance with (e.g. stock price, ...)',833,365,10,0,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'Y','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (783,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Data','Performance Benchmark Data Point','Data Series Point to compare internal performance with (e.g. stock price, ...)',834,365,20,1,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'Y','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (784,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Ratio','Performance Ratio','Calculation instruction set  for a performance ratio',835,366,10,0,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'Y','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (785,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Element','Performance Ratio Element','Individual calculation instruction for a ratio',836,366,20,1,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'Y','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (786,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Issue Recommendation','Maintain Issue Recommendation','Recommendations how to fix an Issue',837,367,10,0,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'Y','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (787,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Issue Status','Maintain Status of an Issue','Status of an Issue',838,368,10,0,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'Y','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (788,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Known Issue','Maintain Known Issue',null,839,369,10,0,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'N','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (791,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue User','User who reported Issues',null,841,371,10,0,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'N','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (792,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue Project','Projects of automatic Issue Reporting',null,842,370,10,0,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'N','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (793,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue Project','Automatic Issue Reporting',null,842,251,30,1,'N','N','N','N',14956,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'N','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (794,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue System','Maintain Issue Systems',null,843,372,10,0,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'N','N');
Insert into "AD_TAB" ("AD_TAB_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","AD_TABLE_ID","AD_WINDOW_ID","SEQNO","TABLEVEL","ISSINGLEROW","ISINFOTAB","ISTRANSLATIONTAB","ISREADONLY","AD_COLUMN_ID","HASTREE","WHERECLAUSE","ORDERBYCLAUSE","COMMITWARNING","AD_PROCESS_ID","PROCESSING","AD_IMAGE_ID","IMPORTFIELDS","AD_COLUMNSORTORDER_ID","AD_COLUMNSORTYESNO_ID","ISSORTTAB","ENTITYTYPE","INCLUDED_TAB_ID","READONLYLOGIC","DISPLAYLOGIC","ISINSERTRECORD","ISADVANCEDTAB") values (795,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Status Category','Request Status Category','Category of Request Status enables to maintain different set of Status for different Request Categories',844,349,10,0,'N','N','N','N',null,'N',null,null,null,null,'N',null,'N',null,null,'N','D',null,null,null,'Y','N');

-- INSERTING into AD_FIELD
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12593,0,0,'Y',to_date('31.10.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'Account Element','Account Element','Account Elements can be natural accounts or user defined values.','Y',774,14587,null,'Y',null,10,'Y',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12594,0,0,'Y',to_date('31.10.05','DD.MM.RR'),100,to_date('31.10.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',774,14578,null,'Y',null,1,'N',80,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12595,0,0,'Y',to_date('31.10.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',774,14576,null,'Y',null,10,'Y',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12596,0,0,'Y',to_date('31.10.05','DD.MM.RR'),100,to_date('31.10.05','DD.MM.RR'),100,'Comment/Help','Comment or Hint','The Help field contains a hint, comment or help about the use of this item.','Y',774,14586,null,'Y',null,2000,'N',70,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12597,0,0,'Y',to_date('31.10.05','DD.MM.RR'),100,to_date('31.10.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',774,14585,null,'Y',null,255,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12598,0,0,'Y',to_date('31.10.05','DD.MM.RR'),100,to_date('31.10.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',774,14584,null,'Y',null,120,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12599,0,0,'Y',to_date('31.10.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',774,14577,null,'Y',null,10,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12600,0,0,'Y',to_date('31.10.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'Search Key','Search key for the record in the format required - must be unique','A search key allows you a fast method of finding a particular record.' || CHR(10) || 'If you leave the search key empty, the system automatically creates a numeric number.  The document sequence used for this fallback number is defined in the "Maintain Sequence" window with the name "DocumentNo_<TableName>", where TableName is the actual name of the table (e.g. C_Order).','Y',774,14583,null,'Y',null,20,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12601,0,0,'Y',to_date('31.10.05','DD.MM.RR'),100,to_date('31.10.05','DD.MM.RR'),100,'Sub Account','Sub account for Element Value','The Element Value (e.g. Account) may have optional sub accounts for further detail. The sub account is dependent on the value of the account, so a further specification. If the sub-accounts are more or less the same, consider using another accounting dimension.','Y',774,14575,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12602,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'Column','Column in the table','Link to the database column of the table','Y',217,14588,null,'Y','@ElementType@=''X1'' | @ElementType@=''X2''',10,'N',null,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12603,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'Sub Account','Sub account for Element Value','The Element Value (e.g. Account) may have optional sub accounts for further detail. The sub account is dependent on the value of the account, so a further specification. If the sub-accounts are more or less the same, consider using another accounting dimension.','Y',459,14592,null,'Y',null,10,'Y',70,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12604,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'User Element 1','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested)','Y',459,14593,null,'Y','@$Element_X1@=Y',10,'Y',190,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12605,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'User Element 2','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested) ','Y',459,14594,null,'Y','@$Element_X2@=Y',10,'Y',200,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12606,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'Sub Account','Sub account for Element Value','The Element Value (e.g. Account) may have optional sub accounts for further detail. The sub account is dependent on the value of the account, so a further specification. If the sub-accounts are more or less the same, consider using another accounting dimension.','Y',242,14589,null,'Y',null,10,'Y',120,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12607,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'User Element 1','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested)','Y',242,14590,null,'Y','@$Element_X1@=Y',10,'Y',240,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12608,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'User Element 2','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested) ','Y',242,14591,null,'Y','@$Element_X2@=Y',10,'Y',250,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12609,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'Sub Account','Sub account for Element Value','The Element Value (e.g. Account) may have optional sub accounts for further detail. The sub account is dependent on the value of the account, so a further specification. If the sub-accounts are more or less the same, consider using another accounting dimension.','Y',207,14595,null,'Y','@$Element_SA@=Y',10,'N',110,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12610,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'User Element 1','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested)','Y',207,14596,null,'Y','@$Element_X1@=Y',10,'N',220,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12611,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'User Element 2','User defined accounting Element','A user defined accounting element referres to a Compiere table. This allows to use any table content as an accounting dimension (e.g. Project Task).  Note that User Elements are optional and are populated from the context of the document (i.e. not requested) ','Y',207,14597,null,'Y','@$Element_X2@=Y',10,'N',230,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12614,0,0,'Y',to_date('11.11.05','DD.MM.RR'),100,to_date('11.11.05','DD.MM.RR'),100,'EMail Address','Electronic Mail Address','The Email Address is the Electronic Mail ID for this User and should be fully qualified (e.g. joe.smith@company.com). The Email Address is used to access the self service application functionality from the web.','Y',122,14601,null,'Y','@Action@=M',25,'N',250,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12615,0,0,'Y',to_date('11.11.05','DD.MM.RR'),100,to_date('11.11.05','DD.MM.RR'),100,'EMail Recipient','Recipient of the EMail',null,'Y',122,14600,null,'Y','@Action@=M',1,'N',240,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12616,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Mail Template','Text templates for mailings','The Mail Template indicates the mail template for return messages. Mail text can include variables.  The priority of parsing is User/Contact, Business Partner and then the underlying business object (like Request, Dunning, Workflow object).<br>' || CHR(10) || 'So, @Name@ would resolve into the User name (if user is defined defined), then Business Partner name (if business partner is defined) and then the Name of the business object if it has a Name.<br>' || CHR(10) || 'For Multi-Lingual systems, the template is translated based on the Business Partner''s language selection.','Y',122,14602,null,'Y','@Action@=M',10,'N',260,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12617,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',775,14607,null,'Y',null,1,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12618,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',775,14605,null,'Y',null,10,'Y',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12619,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Language','Language for this entity','The Language identifies the language to use for display and formatting','Y',775,14604,null,'Y',null,6,'Y',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12620,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Mail Template','Text templates for mailings','The Mail Template indicates the mail template for return messages. Mail text can include variables.  The priority of parsing is User/Contact, Business Partner and then the underlying business object (like Request, Dunning, Workflow object).<br>' || CHR(10) || 'So, @Name@ would resolve into the User name (if user is defined defined), then Business Partner name (if business partner is defined) and then the Name of the business object if it has a Name.<br>' || CHR(10) || 'For Multi-Lingual systems, the template is translated based on the Business Partner''s language selection.','Y',775,14603,null,'Y',null,10,'Y',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12621,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Mail Text','Text used for Mail message','The Mail Text indicates the text used for mail messages.','Y',775,14615,null,'Y',null,2000,'N',90,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12622,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Mail Text 2','Optional second text part used for Mail message','The Mail Text indicates the text used for mail messages.','Y',775,14616,null,'Y',null,2000,'N',100,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12623,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Mail Text 3','Optional third text part used for Mail message','The Mail Text indicates the text used for mail messages.','Y',775,14617,null,'Y',null,2000,'N',110,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12624,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',775,14613,null,'Y',null,120,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12625,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',775,14606,null,'Y',null,10,'Y',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12626,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Subject','Mail Header (Subject)','The subject of the mail message','Y',775,14614,null,'Y',null,2000,'N',80,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12627,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'Translated','This column is translated','The Translated checkbox indicates if this column is translated.','Y',775,14612,null,'Y',null,1,'N',70,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12628,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',776,14623,null,'Y',null,1,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12629,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',776,14621,null,'Y',null,10,'Y',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12630,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'Client Share','Force (not) sharing of client/org entities','For entities with data access level of Client+Organization either force to share the entries or not. Example: Product and Business Partner can be either defined on Client level (shared) or on Org level (not shared).  You can define here of Products are always shared (i.e. always created under Organization "*") or if they are not shared (i.e. you cannot enter them with Organization "*")','Y',776,14620,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12631,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',776,14629,null,'Y',null,255,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12632,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',776,14628,null,'Y',null,120,'N',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12633,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',776,14622,null,'Y',null,10,'Y',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12634,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'Share Type','Type of sharing','Defines if a table is shared within a client or not.','Y',776,14631,null,'Y',null,1,'N',70,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12635,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'Table','Table for the Fields','The Table indicates the table in which a field or fields reside.','Y',776,14630,null,'Y',null,10,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12636,0,0,'Y',to_date('21.11.05','DD.MM.RR'),100,to_date('21.11.05','DD.MM.RR'),100,'Manual','This is a manual process','The Manual check box indicates if the process will done manually.','Y',764,14632,null,'Y',null,1,'Y',60,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12637,0,0,'Y',to_date('21.11.05','DD.MM.RR'),100,to_date('21.11.05','DD.MM.RR'),100,'Line No','Unique line for this document','Indicates the unique line for a document.  It will also control the display order of the lines within a document.','Y',765,14633,null,'Y',null,10,'N',50,1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12638,0,0,'Y',to_date('21.11.05','DD.MM.RR'),100,to_date('21.11.05','DD.MM.RR'),100,'Tax','Tax identifier','The Tax indicates the type of tax used in document line.','Y',765,14634,null,'Y',null,11,'N',null,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12639,0,0,'Y',to_date('21.11.05','DD.MM.RR'),100,to_date('21.11.05','DD.MM.RR'),100,'Currency','The Currency for this record','Indicates the Currency to be used when processing or reporting on this record','Y',764,14635,null,'Y',null,10,'N',120,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12640,0,0,'Y',to_date('22.11.05','DD.MM.RR'),100,to_date('22.11.05','DD.MM.RR'),100,'Connection Profile','How a Java Client connects to the server(s)','Depending on the connection profile, different protocols are used and tasks are performed on the server rather then the client. Usually the user can select different profiles, unless it is enforced by the User or Role definition. The User level profile overwrites the Role based profile.','Y',118,14619,null,'Y',null,1,'N',260,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12641,0,0,'Y',to_date('22.11.05','DD.MM.RR'),100,to_date('22.11.05','DD.MM.RR'),100,'Connection Profile','How a Java Client connects to the server(s)','Depending on the connection profile, different protocols are used and tasks are performed on the server rather then the client. Usually the user can select different profiles, unless it is enforced by the User or Role definition. The User level profile overwrites the Role based profile.','Y',119,14618,null,'Y',null,1,'N',260,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12642,0,0,'Y',to_date('25.11.05','DD.MM.RR'),100,to_date('25.11.05','DD.MM.RR'),100,'Discount Schema','Schema to calculate the trade discount percentage','After calculation of the (standard) price, the trade discount percentage is calculated and applied resulting in the final price.','Y',322,14638,null,'Y',null,10,'N',130,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12643,0,0,'Y',to_date('25.11.05','DD.MM.RR'),100,to_date('25.11.05','DD.MM.RR'),100,'PO Discount Schema','Schema to calculate the purchase trade discount percentage',null,'Y',322,14639,null,'Y',null,10,'N',140,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12644,0,0,'Y',to_date('25.11.05','DD.MM.RR'),100,to_date('25.11.05','DD.MM.RR'),100,'Price List','Unique identifier of a Price List','Price Lists are used to determine the pricing, margin and cost of items purchased or sold.','Y',322,14636,null,'Y',null,10,'N',110,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12645,0,0,'Y',to_date('25.11.05','DD.MM.RR'),100,to_date('25.11.05','DD.MM.RR'),100,'Purchase Pricelist','Price List used by this Business Partner','Identifies the price list used by a Vendor for products purchased by this organization.','Y',322,14637,null,'Y',null,10,'N',120,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12646,0,0,'Y',to_date('25.11.05','DD.MM.RR'),100,to_date('25.11.05','DD.MM.RR'),100,'Approved','Indicates if this document requires approval','The Approved checkbox indicates if this document requires approval before it can be processed.','Y',409,14643,null,'Y',null,1,'N',130,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12647,0,0,'Y',to_date('25.11.05','DD.MM.RR'),100,to_date('25.11.05','DD.MM.RR'),100,'Price Match Difference','Difference between Purchase and Invoice Price per matched line','The difference between purchase and invoice price may be used for requiring explicit approval if a Price Match Tolerance is defined on Business Partner Group level.','Y',409,14642,null,'Y',null,22,'Y',140,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12648,0,0,'Y',to_date('25.11.05','DD.MM.RR'),100,to_date('25.11.05','DD.MM.RR'),100,'Credit Watch %','Credit Watch - Percent of Credit Limit when OK switches to Watch','If Compiere maintains credit status, the status "Credit OK" is moved to "Credit Watch" if the credit available reaches the percent entered.  If not defined, 90% is used.','Y',322,14640,null,'Y',null,22,'N',150,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12649,0,0,'Y',to_date('25.11.05','DD.MM.RR'),100,to_date('25.11.05','DD.MM.RR'),100,'Price Match Tolerance','PO-Invoice Match Price Tolerance in percent of the purchase price','Tolerance in Percent of matching the purchase order price to the invoice price.  The difference is posted as Invoice Price Tolerance for Standard Costing.  If defined, the PO-Invoice match must be explicitly approved, if the matching difference is greater then the tolerance.<br>' || CHR(10) || 'Example: if the purchase price is $100 and the tolerance is 1 (percent), the invoice price must be between $99 and 101 to be automatically approved.','Y',322,14641,null,'Y',null,22,'N',160,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12650,0,0,'Y',to_date('25.11.05','DD.MM.RR'),100,to_date('25.11.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',408,14644,null,'Y',null,255,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12651,0,0,'Y',to_date('25.11.05','DD.MM.RR'),100,to_date('25.11.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',409,14645,null,'Y',null,255,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12652,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'Encryption Class','Encryption Class used for securing data content','The class needs to implement the interface org.compiere.util.SecureInterface.' || CHR(10) || 'You enable it by setting the COMPIERE_SECURE parameter of your Client and Server start scripts to the custom class.','Y',440,9885,null,'Y',null,255,'N',230,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12653,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Error Reporting','Automatically report Errors','To automate error reporting, submit errors to Compiere. Only error (stack trace) information is submitted (no data or confidential information).  It helps us to react faster and proactively.  If you have a support contract, we will you inform about corrective measures.  This functionality is experimental at this point.','Y',440,14646,null,'Y',null,1,'N',210,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12654,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'Record ID','Direct internal record ID','The Record ID is the internal unique identifier of a record. Please note that zooming to the record may not be successful for Orders, Invoices and Shipment/Receipts as sometimes the Sales Order type is not known.','Y',440,14647,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12655,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'Asset','Asset used internally or by customers','An asset is either created by purchasing or by delivering a product.  An asset can be used internally or be a customer asset.','Y',777,14667,null,'Y','@Record_ID@=0',10,'Y',270,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12656,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',777,14649,null,'Y',null,10,'Y',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12657,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'Comments','Comments or additional information','The Comments field allows for free form entry of additional information.','Y',777,14662,null,'Y',null,2000,'N',150,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12658,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'Error Trace','System Error Trace','Java Trace Info','Y',777,14663,null,'Y',null,2000,'N',210,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12659,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Local Host','Local Host Info',null,'Y',777,14659,null,'Y','@Record_ID@=0',20,'Y',350,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12660,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',777,14657,null,'Y','@Record_ID@=0',20,'Y',300,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12661,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',777,14650,null,'Y',null,10,'Y',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12662,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Report or Update Issue','Report Issue to Compiere',null,'Y',777,14670,null,'Y','@Record_ID@!0',1,'N',440,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12663,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'Processed','The document has been processed','The Processed checkbox indicates that a document has been processed.','Y',777,14671,null,'Y',null,1,'Y',430,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12664,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Request Document No','Compiere Request Document No',null,'Y',777,14666,null,'Y','@Record_ID@!0',20,'Y',250,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12665,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Record ID','Direct internal record ID','The Record ID is the internal unique identifier of a record. Please note that zooming to the record may not be successful for Orders, Invoices and Shipment/Receipts as sometimes the Sales Order type is not known.','Y',777,14665,null,'Y','1=2',10,'N',450,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12666,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'Registered EMail','Email of the responsible for the System','Email of the responsible person for the system (registered in WebStore)','Y',777,14658,null,'Y','@Record_ID@=0',20,'Y',310,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12667,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'Release No','Internal Release Number',null,'Y',777,14655,null,'Y',null,4,'Y',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12668,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'Remote Addr','Remote Address','The Remote Address indicates an alternative or external address.','Y',777,14660,null,'Y','@Record_ID@=0',20,'Y',390,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12669,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'Remote Host','Remote host Info',null,'Y',777,14661,null,'Y','@Record_ID@=0',20,'Y',380,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12670,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'Request','Request from a Business Partner or Prospect','The Request identifies a unique request from a Business Partner or Prospect.','Y',777,14668,null,'Y','@Record_ID@=0',10,'Y',260,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12671,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'Response Text','Request Response Text','Text block to be copied into request response text','Y',777,14669,null,'Y',null,2000,'N',220,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12672,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'Stack Trace','System Log Trace',null,'Y',777,14664,null,'Y',null,2000,'N',200,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12673,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'System Issue','Automatically created or manually entered System Issue','System Issues are created to speed up the resolution of any system related issues (potential bugs).  If enabled, they are automatically reported to Compiere.  No data or confidential information is transferred.','Y',777,14648,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12674,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'Version','Version of the table definition','The Version indicates the version of this table definition.','Y',777,14656,null,'Y',null,20,'Y',60,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12675,0,0,'Y',to_date('14.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'Created','Date this record was created','The Created field indicates the date that this record was created.','Y',777,14651,null,'Y',null,0,'Y',30,-1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12676,0,0,'Y',to_date('14.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',777,14672,null,'Y',null,1,'Y',40,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12677,0,0,'Y',to_date('14.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Database','Database Information',null,'Y',777,14674,null,'Y','@Record_ID@=0',40,'Y',420,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12678,0,0,'Y',to_date('14.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'Operating System','Operating System Info',null,'Y',777,14673,null,'Y','@Record_ID@=0',20,'Y',400,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12679,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'Document Type','Document type or rules','The Document Type determines document sequence and processing rules','Y',641,14708,null,'Y',null,10,'N',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12680,0,0,'Y',to_date('17.12.05','DD.MM.RR'),100,to_date('17.12.05','DD.MM.RR'),100,'Reproducible','Problem can re reproduced in Gardenworld','The problem occurs also in the standard distribution in the demo client Gardenworld.','Y',777,14710,null,'Y',null,1,'N',140,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12681,0,0,'Y',to_date('17.12.05','DD.MM.RR'),100,to_date('17.12.05','DD.MM.RR'),100,'Vanilla System','The system was NOT compiled from Source - i.e. standard distribution','You may have customizations, like additional columns, tables, etc - but no code modifications which require compiling from source.','Y',777,14709,null,'Y',null,1,'N',70,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12682,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Business Partner ','Identifies a Business Partner','A Business Partner is anyone with whom you transact.  This can include Vendor, Customer, Employee or Salesperson','Y',778,2893,null,'N',null,14,'Y',0,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12683,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Vendor','Indicates if this Business Partner is a Vendor','The Vendor checkbox indicates if this Business Partner is a Vendor.  If it is selected, additional fields will display which further identify this vendor.','Y',778,2915,null,'N',null,1,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12684,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Customer','Indicates if this Business Partner is a Customer','The Customer checkbox indicates if this Business Partner is a customer.  If it is select additional fields will display which further define this customer.','Y',778,2916,null,'N',null,1,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12685,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Credit Used','Current open balance','The Credit Used indicates the total amount of open or unpaid invoices in primary accounting currency for the Business Partner. Credit Management is based on the Total Open Amount, which includes Vendor activities.','Y',778,2921,null,'N',null,26,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12686,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Payment Term','The terms of Payment (timing, discount)','Payment Terms identify the method and timing of payment.','Y',778,2924,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12687,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Credit Limit','Total outstanding invoice amounts allowed','The Credit Limit indicates the total amount allowed ''on account'' in primary accounting currency.  If the Credit Limit is 0, no ckeck is performed.  Credit Management is based on the Total Open Amount, which includes Vendor activities.','Y',778,2920,null,'N',null,26,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12688,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Invoice Schedule','Schedule for generating Invoices','The Invoice Schedule identifies the frequency used when generating invoices.','Y',778,2917,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12689,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Employee','Indicates if  this Business Partner is an employee','The Employee checkbox indicates if this Business Partner is an Employee.  If it is selected, additional fields will display which further identify this employee.','Y',778,2927,null,'N',null,1,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12690,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Price List','Unique identifier of a Price List','Price Lists are used to determine the pricing, margin and cost of items purchased or sold.','Y',778,2930,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12691,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Order Reference','Transaction Reference Number (Sales Order, Purchase Order) of your Business Partner','The business partner order reference is the order reference for this specific transaction; Often Purchase Order numbers are given to print on Invoices for easier reference.  A standard number can be defined in the Business Partner (Customer) window.','Y',778,4215,null,'N',null,20,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12692,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Payment Rule','Purchase payment option','The Payment Rule indicates the method of purchase payment.','Y',778,4021,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12693,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Document Copies','Number of copies to be printed','The Document Copies indicates the number of copies of each document that will be generated.','Y',778,3086,null,'N',null,11,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12694,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Dunning','Dunning Rules for overdue invoices','The Dunning indicates the rules and method of dunning for past due payments.','Y',778,3085,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12695,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Payment Rule','How you pay the invoice','The Payment Rule indicates the method of invoice payment.','Y',778,3084,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12696,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'One time transaction',null,null,'Y',778,3080,null,'N',null,1,'N',0,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12697,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Purchase Pricelist','Price List used by this Business Partner','Identifies the price list used by a Vendor for products purchased by this organization.','Y',778,2931,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12698,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Sales Representative','Indicates if  the business partner is a sales representative or company agent','The Sales Rep checkbox indicates if this business partner is a sales representative. A sales representative may also be an emplyee, but does not need to be.','Y',778,2929,null,'N',null,1,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12699,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Flat Discount %','Flat discount percentage ',null,'Y',778,12406,null,'N',null,26,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12700,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Min Shelf Life %','Minimum Shelf Life in percent based on Product Instance Guarantee Date','Miminum Shelf Life of products with Guarantee Date instance. If > 0 you cannot select products with a shelf life ((Guarantee Date-Today) / Guarantee Days) less than the minum shelf life, unless you select "Show All"','Y',778,10122,null,'N',null,11,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12701,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Invoice Print Format','Print Format for printing Invoices','You need to define a Print Format to print the document.','Y',778,9332,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12702,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Partner Parent','Business Partner Parent','The parent (organization) of the Business Partner for reporting purposes.','Y',778,8768,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12703,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Send EMail','Enable sending Document EMail','Send emails with document attached (e.g. Invoice, Delivery Note, etc.)','Y',778,8167,null,'N',null,1,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12704,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'PO Discount Schema','Schema to calculate the purchase trade discount percentage',null,'Y',778,6580,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12705,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Discount Schema','Schema to calculate the trade discount percentage','After calculation of the (standard) price, the trade discount percentage is calculated and applied resulting in the final price.','Y',778,6579,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12706,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'PO Payment Term','Payment rules for a purchase order','The PO Payment Term indicates the payment term that will be used when this purchase order becomes an invoice.','Y',778,5826,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12707,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Delivery Via','How the order will be delivered','The Delivery Via indicates how the products should be delivered. For example, will the order be picked up or shipped.','Y',778,4433,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12708,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Freight Cost Rule','Method for charging Freight','The Freight Cost Rule indicates the method used when charging for freight.','Y',778,4432,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12709,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Sales Representative','Sales Representative or Company Agent','The Sales Representative indicates the Sales Rep for this Region.  Any Sales Rep must be a valid internal user.','Y',778,4431,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12710,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Delivery Rule','Defines the timing of Delivery','The Delivery Rule indicates when an order should be delivered. For example should the order be delivered when the entire order is complete, when a line is complete or as the products become available.','Y',778,4430,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12711,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Invoice Rule','Frequency and method of invoicing ','The Invoice Rule defines how a Business Partner is invoiced and the frequency of invoicing.','Y',778,4429,null,'N',null,14,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12712,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Order Description','Description to be used on orders','The Order Description identifies the standard description to use on orders for this Customer.','Y',778,4302,null,'N',null,60,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12713,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Discount Printed','Print Discount on Invoice and Order','The Discount Printed Checkbox indicates if the discount will be printed on the document.','Y',778,4301,null,'N',null,1,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12714,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',778,2894,null,'Y',null,14,'N',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12715,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',778,2895,null,'Y',null,14,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12716,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Search Key','Search key for the record in the format required - must be unique','A search key allows you a fast method of finding a particular record.' || CHR(10) || 'If you leave the search key empty, the system automatically creates a numeric number.  The document sequence used for this fallback number is defined in the "Maintain Sequence" window with the name "DocumentNo_<TableName>", where TableName is the actual name of the table (e.g. C_Order).','Y',778,2901,null,'Y',null,11,'N',40,1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12717,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Greeting','Greeting to print on correspondence','The Greeting identifies the greeting to print on correspondence.','Y',778,4291,null,'Y',null,14,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12718,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',778,2902,null,'Y',null,60,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12719,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Name 2','Additional Name',null,'Y',778,4216,null,'Y',null,60,'N',70,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12720,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',778,2903,null,'Y',null,60,'N',80,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12721,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',778,2896,null,'Y',null,1,'N',90,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12722,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Summary Level','This is a summary entity','A summary entity represents a branch in a tree rather than an end-node. Summary entities are used for reporting and do not have own values.','Y',778,2911,null,'Y',null,1,'N',100,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12723,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Credit Status','Business Partner Credit Status','Credit Management is inactive if Credit Status is No Credit Check, Credit Stop or if the Credit Limit is 0.' || CHR(10) || 'If active, the status is set automatically set to Credit Hold, if the Total Open Balance (including Vendor activities)  is higher then the Credit Limit. It is set to Credit Watch, if above 90% of the Credit Limit and Credit OK otherwise.','Y',778,9862,null,'Y',null,14,'N',110,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12724,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Open Balance','Total Open Balance Amount in primary Accounting Currency','The Total Open Balance Amount is the calculated open item amount for Customer and Vendor activity.  If the Balance is below zero, we owe the Business Partner.  The amout is used for Credit Management.' || CHR(10) || 'Invoices and Payment Allocations determine the Open Balance (i.e. not Orders or Payments).','Y',778,12533,null,'Y',null,26,'Y',120,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12725,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Tax ID','Tax Identification','The Tax ID field identifies the legal Identification number of this Entity.','Y',778,2909,null,'Y',null,20,'N',130,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12726,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Tax exempt','Business partner is exempt from tax','If a business partner is exempt from tax, the exempt tax rate is used. For this, you need to set up a tax rate with a 0% rate and indicate that this is your tax exempt rate.  This is required for tax reporting, so that you can track tax exempt transactions.','Y',778,3082,null,'Y',null,1,'N',140,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12727,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'D-U-N-S','Dun & Bradstreet Number','Used for EDI - For details see   www.dnb.com/dunsno/list.htm','Y',778,2906,null,'Y',null,20,'N',150,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12728,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Reference No','Your customer or vendor number at the Business Partner''s site','The reference number can be printed on orders and invoices to allow your business partner to faster identify your records.','Y',778,2905,null,'Y',null,11,'N',160,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12729,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'NAICS/SIC','Standard Industry Code or its successor NAIC - http://www.osha.gov/oshstats/sicser.html','The NAICS/SIC identifies either of these codes that may be applicable to this Business Partner.','Y',778,2910,null,'Y',null,20,'N',170,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12730,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Rating','Classification or Importance','The Rating is used to differentiate the importance','Y',778,3083,null,'Y',null,11,'N',180,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12731,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Business Partner Group','Business Partner Group','The Business Partner Group provides a method of defining defaults to be used for individual Business Partners.','Y',778,4940,null,'Y',null,14,'N',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12732,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Language','Language for this Business Partner if Multi-Language enabled','The Language identifies the language to use for display and formatting documents. It requires, that on Client level, Multi-Lingual documents are selected and that you have created/loaded the language.','N',778,2914,null,'Y',null,14,'N',200,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12733,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'URL','Full URL address - e.g. http://www.compiere.org','The URL defines an fully qualified web address like http://www.compiere.org','Y',778,3081,null,'Y',null,11,'N',190,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12734,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Prospect','Indicates this is a Prospect','The Prospect checkbox indicates an entity that is an active prospect.','Y',778,2918,null,'Y',null,1,'N',210,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12735,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Link Organization','Link Business Partner to an Organization','If the Business Partner is another Organization, select the Organization or set to empty to create a new Organization.  You link a Business Partner to an Organization to create explicit Documents for Inter-Org transaction.' || CHR(10) || 'If you create a new Organization, you may supply a Organization Type.  If you select a Role, the access to the new Organization is limited to that role, otherwise all (non manual) roles of the Client will have access to the new Organization.','Y',778,10927,null,'N',null,23,'N',0,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12736,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Potential Life Time Value','Total Revenue expected','The Potential Life Time Value is the anticipated revenue in primary accounting currency to be generated by the Business Partner.','Y',778,2923,null,'Y',null,26,'N',220,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12737,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Actual Life Time Value','Actual Life Time Revenue','The Actual Life Time Value is the recorded revenue in primary accounting currency generated by the Business Partner.','Y',778,2925,null,'Y',null,26,'Y',230,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12738,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Acquisition Cost','The cost of gaining the prospect as a customer','The Acquisition Cost identifies the cost associated with making this prospect a customer.','Y',778,2922,null,'Y',null,26,'N',240,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12739,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Employees','Number of employees','Indicates the number of employees for this Business Partner.  This field displays only for Prospects.','Y',778,2907,null,'Y',null,11,'N',250,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12740,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Share','Share of Customer''s business as a percentage','The Share indicates the percentage of this Business Partner''s volume of the products supplied.','Y',778,2926,null,'Y',null,11,'N',260,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12741,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Sales Volume in 1.000','Total Volume of Sales in Thousands of Currency','The Sales Volume indicates the total volume of sales for a Business Partner.','Y',778,2904,null,'Y',null,11,'N',270,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12742,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'First Sale','Date of First Sale','The First Sale Date identifies the date of the first sale to this Business Partner','Y',778,2919,null,'Y',null,14,'N',280,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12743,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Cost Price','Price per Unit of Measure including all indirect costs (Freight, etc.)','Optional Purchase Order Line cost price.','Y',187,14200,null,'N',null,22,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12744,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Lost Sales Qty','Quantity of potential sales','When an order is closed and there is a difference between the ordered quantity and the delivered (invoiced) quantity is the Lost Sales Quantity.  Note that the Lost Sales Quantity is 0 if you void an order, so close the order if you want to track lost opportunities.  [Void = data entry error - Close = the order is finished]','Y',187,14206,null,'Y','@Processed@=Y',22,'Y',300,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12745,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Project','Financial Project','A Project allows you to track and control internal or external activities.','Y',187,14092,null,'Y','@$Element_PJ@=''Y''',10,'N',280,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12746,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Project','Financial Project','A Project allows you to track and control internal or external activities.','Y',270,14093,null,'Y','@$Element_PJ@=''Y''',10,'N',180,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12747,0,0,'Y',to_date('19.12.05','DD.MM.RR'),100,to_date('19.12.05','DD.MM.RR'),100,'Project','Financial Project','A Project allows you to track and control internal or external activities.','Y',291,14093,null,'Y','@$Element_PJ@=''Y''',10,'N',180,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12748,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'Change Request','BOM (Engineering) Change Request','Change requests for a Bill of Materials. They can be automatically created from Requests, if enabled in the Request Type and the Request Group referres to a Bill of Materials','Y',344,13952,null,'Y',null,10,'N',560,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12749,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'Complete Plan','Planned Completion Date','Date when the task is planned to be complete','Y',344,14726,null,'Y',null,7,'N',320,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12750,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'Quantity Plan','Planned Quantity','Planned Quantity','Y',344,14727,null,'Y',null,22,'N',300,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12751,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'Task Status','Status of the Task','Completion Rate and Status of the Task','Y',344,14725,null,'Y',null,1,'N',290,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12752,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'Start Plan','Planned Start Date','Date when you plan to start','Y',344,14734,null,'Y',null,7,'N',310,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12753,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'Complete Plan','Planned Completion Date','Date when the task is planned to be complete','Y',348,14729,null,'Y',null,7,'N',280,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12754,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'End Date','Last effective date (inclusive)','The End Date indicates the last date in this range.','Y',348,14733,null,'Y',null,7,'N',300,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12755,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'Quantity Plan','Planned Quantity','Planned Quantity','Y',348,14730,null,'Y',null,22,'N',260,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12756,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'Quantity Used','Quantity used for this event',null,'Y',348,14731,null,'Y',null,22,'N',220,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12757,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'Start Date','First effective day (inclusive)','The Start Date indicates the first or starting date','Y',348,14732,null,'Y',null,7,'N',290,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12758,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'Start Plan','Planned Start Date','Date when you plan to start','Y',348,14735,null,'Y',null,7,'N',270,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12759,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'Task Status','Status of the Task','Completion Rate and Status of the Task','Y',348,14728,null,'Y',null,1,'N',250,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12760,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'Product Used','Product/Resource/Service used in Request','Invoicing uses the Product used.','Y',348,14737,null,'Y',null,10,'N',210,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12761,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'Quantity Invoiced','Invoiced Quantity','The Invoiced Quantity indicates the quantity of a product that have been invoiced.','Y',348,14736,null,'Y',null,22,'N',240,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12762,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',779,14739,null,'Y',null,10,'N',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12763,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Color 1','First color used',null,'Y',779,14747,null,'Y',null,10,'N',70,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12764,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Color 2','Second color used',null,'Y',779,14749,null,'Y',null,10,'N',90,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12765,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Color 3','Third color used',null,'Y',779,14751,null,'Y',null,10,'N',110,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12766,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Color 4','Forth color used',null,'Y',779,14753,null,'Y',null,10,'N',130,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12767,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Color Schema','Performance Color Schema','Visual representation of performance by color.  The Schema has often three levels (e.g. red-yellow-green).  Compiere support two levels (e.g. red-green) or four levels (e.g. gray-bronce-silver-gold).  Note that Measures without a goal are represented white.  The percentages could be beween 0 and unlimited (i.e. above 100%).','Y',779,14738,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12768,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Mark 1 Percent','Percentage up to this color is used','Example 50 - i.e. below 50% this color is used','Y',779,14746,null,'Y',null,10,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12769,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Mark 2 Percent','Percentage up to this color is used','Example 80 - e.g., if Mark 1 is 50 - this color is used between 50% and 80%','Y',779,14748,null,'Y',null,10,'N',80,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12770,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Mark 3 Percent','Percentage up to this color is used','Example 100 - e.g., if Mark 2 is 80 - this color is used between 80% and 100%','Y',779,14750,null,'Y',null,10,'N',100,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12771,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Mark 4 Percent','Percentage up to this color is used','Example 9999 - e.g., if Mark 3 is 100 - this color is used above 100%','Y',779,14752,null,'Y',null,10,'N',120,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12772,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',779,14745,null,'Y',null,120,'N',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12773,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',779,14740,null,'Y',null,10,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12774,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Color Schema','Performance Color Schema','Visual representation of performance by color.  The Schema has often three levels (e.g. red-yellow-green).  Compiere support two levels (e.g. red-green) or four levels (e.g. gray-bronce-silver-gold).  Note that Measures without a goal are represented white.  The percentages could be beween 0 and unlimited (i.e. above 100%).','Y',367,14755,null,'Y',null,10,'N',110,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12775,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Date From','Starting date for a range','The Date From indicates the starting date of a range.','Y',367,14759,null,'Y','@IsSummary@=N',7,'N',150,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12776,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Date To','End date of a date range','The Date To indicates the end date of a range (inclusive)','Y',367,14760,null,'Y','@IsSummary@=N',7,'N',160,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12777,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Measure Display','Measure Scope initially displayed',null,'Y',367,14758,null,'Y',null,1,'N',180,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12778,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Measure Scope','Performance Measure Scope','The scope of the goal can be broken down for initial display.' || CHR(10) || 'Example: Scope is Year, Display is Month - the goal is entered as a yearly number, the display divides the goal by 12','Y',367,14757,null,'Y',null,1,'N',170,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12779,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Parent Goal','Parent Goal','You can create a hierarchy of goals by linking the sub-goals to the summary goal.' || CHR(10) || 'The measures are automatically rolled up','Y',367,14756,null,'Y',null,10,'N',120,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12780,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'User/Contact','User within the system - Internal or Business Partner Contact','The User identifies a unique user in the system. This could be an internal user or a business partner contact','Y',367,14754,null,'Y',null,10,'N',80,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12809,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',780,14766,null,'Y',null,1,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12810,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Business Partner ','Identifies a Business Partner','A Business Partner is anyone with whom you transact.  This can include Vendor, Customer, Employee or Salesperson','Y',780,14774,null,'Y','@GoalRestrictionType@=B',10,'N',80,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12811,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',780,14764,null,'Y',null,10,'Y',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12812,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Restriction Type','Goal Restriction Type','Enter one or more records per Goal Restriction Type (e.g. Org o1, o2)','Y',780,14772,null,'Y',null,1,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12813,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Goal','Performance Goal','The Performance Goal indicates what this users performance will be measured against.','Y',780,14773,null,'Y',null,10,'Y',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12814,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Goal Restriction','Performance Goal Restriction','Restriction of the performance measure to the Organization, Business Partner or Product defined.' || CHR(10) || 'Example: The performance is only measured for HQ' || CHR(10) || 'The measure must support the data, otherwise it is ignored.','Y',780,14763,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12815,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',780,14771,null,'Y',null,120,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12816,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',780,14765,null,'Y',null,10,'Y',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12817,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department.','Y',780,14776,null,'Y','@GoalRestrictionType@=O',10,'N',70,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12818,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Product','Product, Service, Item','Identifies an item which is either purchased or sold in this organization.','Y',780,14775,null,'Y','@GoalRestrictionType@=P',10,'N',100,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12819,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',779,14761,null,'Y',null,1,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12820,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',779,14762,null,'Y',null,255,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12821,0,0,'Y',to_date('25.12.05','DD.MM.RR'),100,to_date('25.12.05','DD.MM.RR'),100,'Entity Type','Dictionary Entity Type; Determines ownership and synchronization','The Entity Types "Dictionary", "Compiere" and "Application" might be automatically synchronized and customizations deleted or overwritten.' || CHR(10) || '' || CHR(10) || 'For customizations, copy the entity and select "User"!','Y',369,14781,null,'Y',null,4,'N',60,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12822,0,0,'Y',to_date('25.12.05','DD.MM.RR'),100,to_date('25.12.05','DD.MM.RR'),100,'Key Column','Key Column for Table',null,'Y',369,14780,null,'Y',null,20,'N',140,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12823,0,0,'Y',to_date('25.12.05','DD.MM.RR'),100,to_date('25.12.05','DD.MM.RR'),100,'Table','Table for the Fields','The Table indicates the table in which a field or fields reside.','Y',369,14779,null,'Y',null,10,'N',130,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12824,0,0,'Y',to_date('25.12.05','DD.MM.RR'),100,to_date('25.12.05','DD.MM.RR'),100,'Manual Actual','Manually entered actual value','The Manual Active identifies a manually entered actual measurement value.','Y',370,14783,null,'Y',null,22,'N',110,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12825,0,0,'Y',to_date('25.12.05','DD.MM.RR'),100,to_date('25.12.05','DD.MM.RR'),100,'Measure','Concrete Performance Measurement','The Measure identifies a concrete, measurable indicator of performance.  For example, sales dollars, prospects contacted.','Y',370,14782,null,'Y',null,10,'Y',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12826,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Measure Data Type','Type of data - Status or in Time','Status represents values valid at a certain time (e.g. Open Invoices) - No history is maintained.<br>' || CHR(10) || 'Time represents a values at a given time (e.g. Invoice Amount on 1/1) - History is maintained','Y',371,14787,null,'Y',null,1,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12827,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Benchmark','Performance Benchmark','Data Series to compare internal performance with (e.g. stock price, ...)','Y',371,14784,null,'Y',null,10,'N',150,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12828,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Ratio','Performace Ratio','Calculation instruction set  for a perfomance ratio','Y',371,14785,null,'Y','@MeasureType@=R',10,'N',120,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12829,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Reporting Hierarchy','Optional Reporting Hierarchy - If not selected the default hierarchy trees are used.','Reporting Hierarchy allows you to select different Hierarchies/Trees for the report.' || CHR(10) || 'Accounting Segments like Organization, Account, Product may have several hierarchies to accomodate different views on the business.','Y',371,14786,null,'Y',null,10,'N',160,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12830,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Accumulation Type','How to accumulate data on time axis','Sum adds the data points (e.g. stock volume) - Average is appropriate for e.g. Stock Price','Y',782,14799,null,'Y',null,1,'N',70,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12831,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',782,14791,null,'Y',null,1,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12832,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Benchmark','Performance Benchmark','Data Series to compare internal performance with (e.g. stock price, ...)','Y',782,14788,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12833,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',782,14789,null,'Y',null,10,'N',10,1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12834,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Comment/Help','Comment or Hint','The Help field contains a hint, comment or help about the use of this item.','Y',782,14798,null,'Y',null,2000,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12835,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',782,14797,null,'Y',null,255,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12836,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',782,14796,null,'Y',null,120,'N',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12837,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',782,14790,null,'Y',null,10,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12838,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',783,14803,null,'Y',null,1,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12839,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Benchmark','Performance Benchmark','Data Series to compare internal performance with (e.g. stock price, ...)','Y',783,14810,null,'Y',null,10,'Y',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12840,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Benchmark Data','Performance Benchmark Data Point','Data Series Point to compare internal performance with (e.g. stock price, ...)','Y',783,14800,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12841,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',783,14801,null,'Y',null,10,'Y',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12842,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Date','Benchmark Date','Date of the Benchmark Data Point','Y',783,14811,null,'Y',null,7,'N',70,1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12843,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',783,14809,null,'Y',null,255,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12844,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',783,14808,null,'Y',null,120,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12845,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',783,14802,null,'Y',null,10,'Y',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12846,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Value','Benchmark Value','Value of the Benchmark Data Point','Y',783,14812,null,'Y',null,22,'N',80,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12847,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Accounting Schema','Rules for accounting','An Accounting Schema defines the rules used in accounting such as costing method, currency and calendar','Y',784,14824,null,'Y',null,10,'N',70,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12848,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',784,14816,null,'Y',null,1,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12849,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',784,14814,null,'Y',null,10,'N',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12850,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Comment/Help','Comment or Hint','The Help field contains a hint, comment or help about the use of this item.','Y',784,14823,null,'Y',null,2000,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12851,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',784,14822,null,'Y',null,255,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12852,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',784,14821,null,'Y',null,120,'N',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12853,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',784,14815,null,'Y',null,10,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12854,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Ratio','Performace Ratio','Calculation instruction set  for a perfomance ratio','Y',784,14813,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12855,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Account','Account used','The (natural) account used','Y',785,14838,null,'Y','@RatioElementType@=A',10,'N',130,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12856,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',785,14828,null,'Y',null,1,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12857,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',785,14826,null,'Y',null,10,'Y',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12858,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Constant Value','Constant value',null,'Y',785,14841,null,'Y','@RatioElementType@=C',22,'N',110,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12859,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',785,14834,null,'Y',null,255,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12860,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Element Type','Ratio Element Type','Type of data used for the calculation','Y',785,14837,null,'Y',null,1,'N',90,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12861,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Measure Calculation','Calculation method for measuring performance','The Measure Calculation indicates the method of measuring performance.','Y',785,14840,null,'Y','@RatioElementType@=X',10,'N',100,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12862,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',785,14833,null,'Y',null,120,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12863,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Operand','Ratio Operand','Operand how data is calculated.  If it is the first in the series, ''minus'' will create a negative value, otherwise ignored.','Y',785,14836,null,'Y',null,1,'N',80,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12864,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',785,14827,null,'Y',null,10,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12865,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Ratio','Performace Ratio','Calculation instruction set  for a perfomance ratio','Y',785,14835,null,'Y',null,10,'Y',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12866,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Ratio Element','Performance Ratio Element','Individual calculation instruction for a ratio','Y',785,14825,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12867,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Ratio Used','Performace Ratio Used','Existing Performance Ratio to be used in the calculation.  Make sure that the Ratio is not self-referencing (loop).','Y',785,14839,null,'Y','@RatioElementType@=R',10,'N',120,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12868,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PostingType','The type of posted amount for the transaction','The Posting Type indicates the type of amount (Actual, Budget, Reservation, Commitment, Statistical) the transaction.','Y',785,14844,null,'Y','@RatioElementType@=A',1,'N',140,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12869,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Sequence','Method of ordering records; lowest number comes first','The Sequence indicates the order of records','Y',785,14843,null,'Y',null,10,'N',70,1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12870,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'Support Expires','Date when the Compiere support expires','Check http://www.compiere.org for support options','Y',440,14852,null,'Y',null,7,'Y',240,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12871,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'Validate Support','Validate Support Contract','The process connects to the Compiere Support Services server and validates the support contract.  To sign up for support, please go to http://www.compiere.org','Y',440,14853,null,'Y',null,1,'N',250,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12872,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'Last Maintenance','Last Maintenance Date',null,'Y',450,14845,null,'Y',null,7,'N',350,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12873,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'Last Note','Last Maintenance Note',null,'Y',450,14851,null,'Y',null,60,'N',370,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12874,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'Last Unit','Last Maintenance Unit',null,'Y',450,14847,null,'Y',null,10,'N',360,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12875,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'Lease Termination','Lease Termination Date','Last Date of Lease','Y',450,14849,null,'Y','@IsOwned@=N & @IsInPosession@=Y',7,'N',200,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12876,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'Lessor','The Business Partner who rents or leases',null,'Y',450,14850,null,'Y','@IsOwned@=N & @IsInPosession@=Y',10,'N',190,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12877,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'Next Maintenence','Next Maintenence Date',null,'Y',450,14846,null,'Y',null,7,'N',380,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12878,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'Next Unit','Next Maintenence Unit',null,'Y',450,14848,null,'Y',null,10,'N',390,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12879,0,0,'Y',to_date('29.12.05','DD.MM.RR'),100,to_date('29.12.05','DD.MM.RR'),100,'Shipment/Receipt Line','Line on Shipment or Receipt document','The Shipment/Receipt Line indicates a unique line in a Shipment/Receipt document','Y',450,14285,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12880,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',786,14869,null,'Y',null,1,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12881,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',786,14867,null,'Y',null,10,'N',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12882,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Comment/Help','Comment or Hint','The Help field contains a hint, comment or help about the use of this item.','Y',786,14876,null,'Y',null,2000,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12883,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',786,14875,null,'Y',null,255,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12884,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Issue Recommendation','Recommendations how to fix an Issue','Recommendations how to fix an Issue','Y',786,14866,null,'N',null,1,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12885,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',786,14874,null,'Y',null,120,'N',30,1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12886,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',786,14868,null,'Y',null,10,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12887,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',787,14880,null,'Y',null,1,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12888,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',787,14878,null,'Y',null,10,'N',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12889,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',787,14886,null,'Y',null,255,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12890,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Issue Status','Status of an Issue','Status of an Issue','Y',787,14877,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12891,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',787,14885,null,'Y',null,120,'N',30,1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12892,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',787,14879,null,'Y',null,10,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12893,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',788,14890,null,'Y',null,1,'N',40,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12894,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',788,14888,null,'Y',null,10,'N',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12895,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',788,14901,null,'Y',null,255,'N',100,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12896,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Issue Status','Current Status of the Issue','Description of the current status of the issue','Y',788,14902,null,'Y',null,2000,'N',120,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12897,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Issue Recommendation','Recommendations how to fix an Issue','Recommendations how to fix an Issue','Y',788,14903,null,'Y',null,1,'N',130,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12898,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Issue Status','Status of an Issue','Status of an Issue','Y',788,14904,null,'Y',null,10,'N',110,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12899,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Issue Summary','Issue Summary',null,'Y',788,14895,null,'Y',null,255,'N',90,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12900,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Known Issue','Known Issue',null,'Y',788,14887,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12901,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Line','Line No',null,'Y',788,14900,null,'Y',null,10,'Y',80,5,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12902,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Logger','Logger Name',null,'Y',788,14899,null,'Y',null,20,'Y',50,2,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12903,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',788,14889,null,'Y',null,10,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12904,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Process Now',null,null,'Y',788,14906,null,'Y',null,1,'N',150,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12905,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Release No','Internal Release Number',null,'Y',788,14896,null,'Y',null,4,'Y',30,1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12906,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Request','Request from a Business Partner or Prospect','The Request identifies a unique request from a Business Partner or Prospect.','Y',788,14905,null,'Y',null,10,'N',140,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12907,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Source Class','Source Class Name',null,'Y',788,14897,null,'Y',null,20,'Y',70,4,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12908,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Source Method','Source Method Name',null,'Y',788,14898,null,'Y',null,20,'Y',60,3,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12925,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'DB Address','JDBC URL of the database server',null,'Y',777,14858,null,'Y','@Record_ID@=0',20,'Y',340,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12927,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Issue Summary','Issue Summary',null,'Y',777,14859,null,'Y',null,255,'N',130,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12928,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Known Issue','Known Issue',null,'Y',777,14864,null,'Y','@Record_ID@=0',10,'N',240,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12929,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Line','Line No',null,'Y',777,14863,null,'Y',null,10,'Y',190,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12930,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Logger','Logger Name',null,'Y',777,14862,null,'Y',null,20,'Y',160,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12931,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Release Tag','Release Tag',null,'Y',777,14855,null,'Y',null,20,'Y',80,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12932,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Source Class','Source Class Name',null,'Y',777,14860,null,'Y',null,20,'Y',180,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12933,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Source Method','Source Method Name',null,'Y',777,14861,null,'Y',null,20,'Y',170,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12934,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Support EMail','EMail address to send support information and updates to','If not entered the registered email is used.','Y',777,14857,null,'Y','@Record_ID@=0',20,'Y',290,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12935,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'Java Info','Java Version Info',null,'Y',777,14919,null,'Y','@Record_ID@=0',20,'Y',410,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12936,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Role','Responsibility Role','The Role determines security and access a user who has this Role will have in the System.','Y',367,14854,null,'Y',null,10,'N',70,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12937,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Maintain Statistics','Maintain general statistics','Mainatan and allow to transfer general statistics (number of clients, orgs, business partners, users, products, invoices) to get a better feeling for the application use.  This information is not published.','Y',440,14920,null,'Y',null,1,'N',190,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12938,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Old Name',null,null,'Y',440,14923,null,'N',null,20,'Y',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12939,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Profile','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics','Y',440,14922,null,'Y',null,20,'Y',220,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12940,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Statistics','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics as well as general anonymous statistics','Y',440,14921,null,'Y',null,20,'Y',200,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12941,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Support EMail','EMail address to send support information and updates to','If not entered the registered email is used.','Y',440,14856,null,'Y',null,20,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12942,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',440,14924,null,'Y',null,255,'N',70,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12943,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'System Status','Status of the system - Support priority depends on system status','System status helps to prioritize support resources','Y',440,14925,null,'Y',null,1,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12944,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Profile','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics','Y',777,14927,null,'Y','@Record_ID@=0',20,'Y',370,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12945,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Statistics','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics as well as general anonymous statistics','Y',777,14926,null,'Y','@Record_ID@=0',20,'Y',360,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12946,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'System Status','Status of the system - Support priority depends on system status','System status helps to prioritize support resources','Y',777,14928,null,'Y',null,1,'N',230,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12947,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',791,14938,null,'Y',null,1,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12948,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',791,14936,null,'Y',null,10,'N',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12949,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',791,14944,null,'Y',null,255,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12950,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'IssueUser','User who reported issues',null,'Y',791,14935,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12951,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',791,14937,null,'Y',null,10,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12952,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Registered EMail','Email of the responsible for the System','Email of the responsible person for the system (registered in WebStore)','Y',791,14943,null,'Y',null,60,'N',30,1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12953,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'User/Contact','User within the system - Internal or Business Partner Contact','The User identifies a unique user in the system. This could be an internal user or a business partner contact','Y',791,14945,null,'Y',null,10,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12954,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',792,14949,null,'Y',null,1,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12955,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Asset','Asset used internally or by customers','An asset is either created by purchasing or by delivering a product.  An asset can be used internally or be a customer asset.','Y',792,14956,null,'Y',null,10,'N',70,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12956,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',792,14947,null,'Y',null,10,'N',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12957,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',792,14955,null,'Y',null,255,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12958,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue Project','Implementation Projects',null,'Y',792,14946,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12959,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',792,14954,null,'Y',null,120,'Y',30,1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12960,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',792,14948,null,'Y',null,10,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12961,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Profile','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics','Y',792,14959,null,'Y',null,20,'Y',100,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12962,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Project','Financial Project','A Project allows you to track and control internal or external activities.','Y',792,14957,null,'Y',null,10,'N',80,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12963,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Statistics','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics as well as general anonymous statistics','Y',792,14958,null,'Y',null,20,'Y',90,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12964,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'System Status','Status of the system - Support priority depends on system status','System status helps to prioritize support resources','Y',792,14960,null,'Y',null,1,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12965,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',793,14949,null,'Y',null,1,'N',70,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12966,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Asset','Asset used internally or by customers','An asset is either created by purchasing or by delivering a product.  An asset can be used internally or be a customer asset.','Y',793,14956,null,'Y',null,10,'Y',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12967,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',793,14947,null,'Y',null,10,'N',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12968,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',793,14955,null,'Y',null,255,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12969,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue Project','Implementation Projects',null,'Y',793,14946,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12970,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',793,14954,null,'Y',null,120,'Y',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12971,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',793,14948,null,'Y',null,10,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12972,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Profile','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics','Y',793,14959,null,'Y',null,30,'Y',100,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12973,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Project','Financial Project','A Project allows you to track and control internal or external activities.','Y',793,14957,null,'Y',null,10,'N',40,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12974,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Statistics','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics as well as general anonymous statistics','Y',793,14958,null,'Y',null,30,'Y',90,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12975,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'System Status','Status of the system - Support priority depends on system status','System status helps to prioritize support resources','Y',793,14960,null,'Y',null,1,'N',80,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12976,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',794,14964,null,'Y',null,1,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12977,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',794,14962,null,'Y',null,10,'N',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12978,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'DB Address','JDBC URL of the database server',null,'Y',794,14969,null,'Y',null,255,'Y',30,1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12979,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue System','System creating the issue',null,'Y',794,14961,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12980,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',794,14963,null,'Y',null,10,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12981,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Profile','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics','Y',794,14971,null,'Y',null,20,'Y',70,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12982,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Statistics','Information to help profiling the system for solving support issues','Profile information do not contain sensitive information and are used to support issue detection and diagnostics as well as general anonymous statistics','Y',794,14970,null,'Y',null,20,'Y',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12983,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'System Status','Status of the system - Support priority depends on system status','System status helps to prioritize support resources','Y',794,14972,null,'Y',null,1,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12984,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue Project','Implementation Projects',null,'Y',777,14973,null,'Y','@Record_ID@=0',10,'N',280,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12985,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'Issue System','System creating the issue',null,'Y',777,14975,null,'Y','@Record_ID@=0',10,'N',320,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12986,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'IssueUser','User who reported issues',null,'Y',777,14974,null,'Y','@Record_ID@=0',10,'N',330,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12987,0,0,'Y',to_date('05.01.06','DD.MM.RR'),100,to_date('05.01.06','DD.MM.RR'),100,'Business Partner Group','Business Partner Group','The Business Partner Group provides a method of defining defaults to be used for individual Business Partners.','Y',780,14777,null,'Y','@GoalRestrictionType@=G',10,'N',90,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12988,0,0,'Y',to_date('05.01.06','DD.MM.RR'),100,to_date('05.01.06','DD.MM.RR'),100,'Product Category','Category of a Product','Identifies the category which this product belongs to.  Product categories are used for pricing and selection.','Y',780,14778,null,'Y','@GoalRestrictionType@=C',10,'N',110,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12989,0,0,'Y',to_date('10.01.06','DD.MM.RR'),100,to_date('10.01.06','DD.MM.RR'),100,'Process','Process or Report','The Process field identifies a unique Process or Report in the system.','Y',777,14984,null,'Y','@IssueSource@=R | @IssueSource@=P',10,'N',110,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12990,0,0,'Y',to_date('10.01.06','DD.MM.RR'),100,to_date('10.01.06','DD.MM.RR'),100,'Source','Issue Source','Source of the Issue','Y',777,14982,null,'Y',null,1,'N',90,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12991,0,0,'Y',to_date('10.01.06','DD.MM.RR'),100,to_date('10.01.06','DD.MM.RR'),100,'Special Form','Special Form','The Special Form field identifies a unique Special Form in the system.','Y',777,14985,null,'Y','@IssueSource@=X',10,'N',120,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12992,0,0,'Y',to_date('10.01.06','DD.MM.RR'),100,to_date('10.01.06','DD.MM.RR'),100,'Window','Data entry or display window','The Window field identifies a unique Window in the system.','Y',777,14983,null,'Y','@IssueSource@=W',10,'N',100,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12993,0,0,'Y',to_date('10.01.06','DD.MM.RR'),100,to_date('10.01.06','DD.MM.RR'),100,'Fixed in','Fixed in Change Notice',null,'Y',344,14981,null,'Y','@R_Resolution_ID@!0',10,'N',null,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12994,0,0,'Y',to_date('10.01.06','DD.MM.RR'),100,to_date('10.01.06','DD.MM.RR'),100,'Document Date','Date of the Document','The Document Date indicates the date the document was generated.  It may or may not be the same as the accounting date.','Y',370,14986,null,'Y',null,9,'N',80,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12995,0,0,'Y',to_date('11.01.06','DD.MM.RR'),100,to_date('11.01.06','DD.MM.RR'),100,'Request Type','Type of request (e.g. Inquiry, Complaint, ..)','Request Types are used for processing and categorizing requests. Options are Account Inquiry, Warranty Issue, etc.','Y',371,14987,null,'Y','@MeasureType@=Q',10,'N',130,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12996,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Project Type','Type of the project','Type of the project with optional phases of the project with standard performance information','Y',371,14988,null,'Y','@MeasureType@=P',10,'N',140,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12997,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Active','The record is active in the system','There are two methods of making records unavailable in the system: One is to delete the record, the other is to de-activate the record. A de-activated record is not available for selection, but available for reports.' || CHR(10) || 'There are two reasons for de-activating and not deleting records:' || CHR(10) || '(1) The system requires the record for audit purposes.' || CHR(10) || '(2) The record is referenced by other records. E.g., you cannot delete a Business Partner, if there are invoices for this partner record existing. You de-activate the Business Partner and prevent that this record is used for future entries.','Y',795,14992,null,'Y',null,1,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12998,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Client','Client/Tenant for this installation.','A Client is a company or a legal entity. You cannot share data between Clients. Tenant is a synonym for Client.','Y',795,14990,null,'Y',null,10,'N',10,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (12999,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Comment/Help','Comment or Hint','The Help field contains a hint, comment or help about the use of this item.','Y',795,14999,null,'Y',null,2000,'N',50,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13000,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Default','Default value','The Default Checkbox indicates if this record will be used as a default value.','Y',795,15000,null,'Y',null,1,'N',70,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13001,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Description','Optional short description of the record','A description is limited to 255 characters.','Y',795,14998,null,'Y',null,255,'N',40,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13002,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Name','Alphanumeric identifier of the entity','The name of an entity (record) is used as an default search option in addition to the search key. The name is up to 60 characters in length.','Y',795,14997,null,'Y',null,120,'N',30,1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13003,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Organization','Organizational entity within client','An organization is a unit of your client or legal entity - examples are store, department. You can share data between organizations.','Y',795,14991,null,'Y',null,10,'N',20,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13004,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Status Category','Request Status Category','Category of Request Status enables to maintain different set of Status for different Request Categories','Y',795,14989,null,'N',null,10,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13005,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Sequence','Method of ordering records; lowest number comes first','The Sequence indicates the order of records','Y',702,15001,null,'Y',null,10,'N',40,1,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13006,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Status Category','Request Status Category','Category of Request Status enables to maintain different set of Status for different Request Categories','Y',702,15002,null,'Y',null,10,'Y',30,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13007,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Status Category','Request Status Category','Category of Request Status enables to maintain different set of Status for different Request Categories','Y',437,15003,null,'Y',null,10,'N',60,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13008,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'Interest Area','Interest Area or Topic','Interest Areas reflect interest in a topic by a contact. Interest areas can be used for marketing campaigns.','Y',441,15004,null,'Y',null,10,'N',380,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13009,0,0,'Y',to_date('17.01.06','DD.MM.RR'),100,to_date('17.01.06','DD.MM.RR'),100,'Dimension Units','Units of Dimension',null,'Y',427,15007,null,'Y',null,1,'N',90,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13010,0,0,'Y',to_date('17.01.06','DD.MM.RR'),100,to_date('17.01.06','DD.MM.RR'),100,'Size X','X (horizontal) dimension size','Size of X (horizontal) dimension in Units','Y',427,15005,null,'Y',null,5,'N',100,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13011,0,0,'Y',to_date('17.01.06','DD.MM.RR'),100,to_date('17.01.06','DD.MM.RR'),100,'Size Y','Y (vertical) dimension size','Size of Y (vertical) dimension in Units','Y',427,15006,null,'Y',null,5,'N',110,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13012,0,0,'Y',to_date('19.01.06','DD.MM.RR'),100,to_date('19.01.06','DD.MM.RR'),100,'Business Partner ','Identifies a Business Partner','A Business Partner is anyone with whom you transact.  This can include Vendor, Customer, Employee or Salesperson','Y',237,15009,null,'Y',null,10,'N',100,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13013,0,0,'Y',to_date('19.01.06','DD.MM.RR'),100,to_date('19.01.06','DD.MM.RR'),100,'Attribute Set Instance','Product Attribute Set Instance','The values of the actual Product Attribute Instances.  The product level attributes are defined on Product level.','Y',642,14574,null,'N',null,22,'N',0,null,'N','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13014,0,0,'Y',to_date('19.01.06','DD.MM.RR'),100,to_date('19.01.06','DD.MM.RR'),100,'Charge','Additional document charges','The Charge indicates a type of Charge (Handling, Shipping, Restocking)','Y',642,15010,null,'Y','@M_Product_ID@=0',10,'N',60,null,'Y','N','N','N','D',null);
Insert into "AD_FIELD" ("AD_FIELD_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ISCENTRALLYMAINTAINED","AD_TAB_ID","AD_COLUMN_ID","AD_FIELDGROUP_ID","ISDISPLAYED","DISPLAYLOGIC","DISPLAYLENGTH","ISREADONLY","SEQNO","SORTNO","ISSAMELINE","ISHEADING","ISFIELDONLY","ISENCRYPTED","ENTITYTYPE","OBSCURETYPE") values (13015,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('23.01.06','DD.MM.RR'),100,'Interest Area','Name of the Interest Area','Name of the Interest Area of the user','Y',441,15008,null,'Y',null,20,'N',370,null,'N','N','N','N','D',null);


-- INSERTING into AD_FORM
Insert into "AD_FORM" ("AD_FORM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","HELP","ACCESSLEVEL","CLASSNAME","ENTITYTYPE","ISBETAFUNCTIONALITY","JSPURL") values (119,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'Performance Indicators','View Performance Indicators','View all Performance Indicators and Goals','6','org.compiere.apps.graph.ViewPI','D','N',null);
-- INSERTING into AD_FORM_ACCESS
Insert into "AD_FORM_ACCESS" ("AD_FORM_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (119,1000000,1000000,0,'Y',to_date('03.08.06','DD.MM.RR'),1000000,to_date('03.08.06','DD.MM.RR'),1000000,'Y');
Insert into "AD_FORM_ACCESS" ("AD_FORM_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (119,0,0,0,'Y',to_date('03.08.06','DD.MM.RR'),0,to_date('03.08.06','DD.MM.RR'),0,'Y');
Insert into "AD_FORM_ACCESS" ("AD_FORM_ID","AD_ROLE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISREADWRITE") values (119,102,11,0,'Y',to_date('03.08.06','DD.MM.RR'),101,to_date('03.08.06','DD.MM.RR'),101,'Y');



-- INSERTING into AD_MENU
Insert into "AD_MENU" ("AD_MENU_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","NAME","UPDATEDBY","DESCRIPTION","ISSUMMARY","ISSOTRX","ISREADONLY","ACTION","AD_WINDOW_ID","AD_WORKFLOW_ID","AD_TASK_ID","AD_PROCESS_ID","AD_FORM_ID","AD_WORKBENCH_ID","ENTITYTYPE") values (552,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),'System Issue Report',100,'Automatically created or manually entered System Issue Reports','N','N','N','W',363,null,null,null,null,null,'D');
Insert into "AD_MENU" ("AD_MENU_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","NAME","UPDATEDBY","DESCRIPTION","ISSUMMARY","ISSOTRX","ISREADONLY","ACTION","AD_WINDOW_ID","AD_WORKFLOW_ID","AD_TASK_ID","AD_PROCESS_ID","AD_FORM_ID","AD_WORKBENCH_ID","ENTITYTYPE") values (553,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),'Quarter Invoice Product',100,'Imvoice Report by Product per Quarter','N','Y','N','R',null,null,null,341,null,null,'D');
Insert into "AD_MENU" ("AD_MENU_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","NAME","UPDATEDBY","DESCRIPTION","ISSUMMARY","ISSOTRX","ISREADONLY","ACTION","AD_WINDOW_ID","AD_WORKFLOW_ID","AD_TASK_ID","AD_PROCESS_ID","AD_FORM_ID","AD_WORKBENCH_ID","ENTITYTYPE") values (554,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),'Monthly Invoice Product',100,'Imvoice Report by Product per Month','N','Y','N','R',null,null,null,340,null,null,'D');
Insert into "AD_MENU" ("AD_MENU_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","NAME","UPDATEDBY","DESCRIPTION","ISSUMMARY","ISSOTRX","ISREADONLY","ACTION","AD_WINDOW_ID","AD_WORKFLOW_ID","AD_TASK_ID","AD_PROCESS_ID","AD_FORM_ID","AD_WORKBENCH_ID","ENTITYTYPE") values (555,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),'Performance Indicators',100,'View Performance Indicators','N','N','N','X',null,null,null,null,119,null,'D');
Insert into "AD_MENU" ("AD_MENU_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","NAME","UPDATEDBY","DESCRIPTION","ISSUMMARY","ISSOTRX","ISREADONLY","ACTION","AD_WINDOW_ID","AD_WORKFLOW_ID","AD_TASK_ID","AD_PROCESS_ID","AD_FORM_ID","AD_WORKBENCH_ID","ENTITYTYPE") values (556,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),'Performance Color Schema',100,'Maintain Performance Color Schema','N','N','N','W',364,null,null,null,null,null,'D');
Insert into "AD_MENU" ("AD_MENU_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","NAME","UPDATEDBY","DESCRIPTION","ISSUMMARY","ISSOTRX","ISREADONLY","ACTION","AD_WINDOW_ID","AD_WORKFLOW_ID","AD_TASK_ID","AD_PROCESS_ID","AD_FORM_ID","AD_WORKBENCH_ID","ENTITYTYPE") values (557,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),'Performance Benchmark',100,'Performance Benchmark','N','N','N','W',365,null,null,null,null,null,'D');
Insert into "AD_MENU" ("AD_MENU_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","NAME","UPDATEDBY","DESCRIPTION","ISSUMMARY","ISSOTRX","ISREADONLY","ACTION","AD_WINDOW_ID","AD_WORKFLOW_ID","AD_TASK_ID","AD_PROCESS_ID","AD_FORM_ID","AD_WORKBENCH_ID","ENTITYTYPE") values (558,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('04.01.06','DD.MM.RR'),'Performance Ratio',100,'Maintain Performance Ratios','N','N','N','W',366,null,null,null,null,null,'D');
Insert into "AD_MENU" ("AD_MENU_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","NAME","UPDATEDBY","DESCRIPTION","ISSUMMARY","ISSOTRX","ISREADONLY","ACTION","AD_WINDOW_ID","AD_WORKFLOW_ID","AD_TASK_ID","AD_PROCESS_ID","AD_FORM_ID","AD_WORKBENCH_ID","ENTITYTYPE") values (559,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),'Issue Recommendation',100,'Maintain Issue Recommendation','N','N','N','W',367,null,null,null,null,null,'D');
Insert into "AD_MENU" ("AD_MENU_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","NAME","UPDATEDBY","DESCRIPTION","ISSUMMARY","ISSOTRX","ISREADONLY","ACTION","AD_WINDOW_ID","AD_WORKFLOW_ID","AD_TASK_ID","AD_PROCESS_ID","AD_FORM_ID","AD_WORKBENCH_ID","ENTITYTYPE") values (560,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),'Issue Status',100,'Maintain Issue Status','N','N','N','W',368,null,null,null,null,null,'D');
Insert into "AD_MENU" ("AD_MENU_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","NAME","UPDATEDBY","DESCRIPTION","ISSUMMARY","ISSOTRX","ISREADONLY","ACTION","AD_WINDOW_ID","AD_WORKFLOW_ID","AD_TASK_ID","AD_PROCESS_ID","AD_FORM_ID","AD_WORKBENCH_ID","ENTITYTYPE") values (561,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),'Known Issue',100,'Maintain Known Issue','N','N','N','W',369,null,null,null,null,null,'D');
Insert into "AD_MENU" ("AD_MENU_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","NAME","UPDATEDBY","DESCRIPTION","ISSUMMARY","ISSOTRX","ISREADONLY","ACTION","AD_WINDOW_ID","AD_WORKFLOW_ID","AD_TASK_ID","AD_PROCESS_ID","AD_FORM_ID","AD_WORKBENCH_ID","ENTITYTYPE") values (562,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),'Issue Project',100,'Maintain Issue Projects','N','N','N','W',370,null,null,null,null,null,'D');
Insert into "AD_MENU" ("AD_MENU_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","NAME","UPDATEDBY","DESCRIPTION","ISSUMMARY","ISSOTRX","ISREADONLY","ACTION","AD_WINDOW_ID","AD_WORKFLOW_ID","AD_TASK_ID","AD_PROCESS_ID","AD_FORM_ID","AD_WORKBENCH_ID","ENTITYTYPE") values (563,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),'Issue User',100,'User who reported Issues','N','N','N','W',371,null,null,null,null,null,'D');
Insert into "AD_MENU" ("AD_MENU_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","NAME","UPDATEDBY","DESCRIPTION","ISSUMMARY","ISSOTRX","ISREADONLY","ACTION","AD_WINDOW_ID","AD_WORKFLOW_ID","AD_TASK_ID","AD_PROCESS_ID","AD_FORM_ID","AD_WORKBENCH_ID","ENTITYTYPE") values (564,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),'Issue System',100,'Maintain Systems','N','N','N','W',372,null,null,null,null,null,'D');

-- INSERTING into AD_PRINTFORMAT
Insert into "AD_PRINTFORMAT" ("AD_PRINTFORMAT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","ISTABLEBASED","ISFORM","AD_TABLE_ID","AD_PRINTPAPER_ID","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISSTANDARDHEADERFOOTER","HEADERMARGIN","FOOTERMARGIN","CREATECOPY","AD_REPORTVIEW_ID","AD_PRINTTABLEFORMAT_ID","PRINTERNAME","ISDEFAULT") values (161,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,'Reference List',null,'Y','N',104,100,100,130,'Y',0,0,null,null,null,null,'N');
Insert into "AD_PRINTFORMAT" ("AD_PRINTFORMAT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","ISTABLEBASED","ISFORM","AD_TABLE_ID","AD_PRINTPAPER_ID","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISSTANDARDHEADERFOOTER","HEADERMARGIN","FOOTERMARGIN","CREATECOPY","AD_REPORTVIEW_ID","AD_PRINTTABLEFORMAT_ID","PRINTERNAME","ISDEFAULT") values (162,0,0,'Y',to_date('28.11.05','DD.MM.RR'),100,to_date('28.11.05','DD.MM.RR'),100,'Message',null,'Y','N',109,100,100,130,'Y',0,0,null,null,null,null,'N');
Insert into "AD_PRINTFORMAT" ("AD_PRINTFORMAT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","ISTABLEBASED","ISFORM","AD_TABLE_ID","AD_PRINTPAPER_ID","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISSTANDARDHEADERFOOTER","HEADERMARGIN","FOOTERMARGIN","CREATECOPY","AD_REPORTVIEW_ID","AD_PRINTTABLEFORMAT_ID","PRINTERNAME","ISDEFAULT") values (163,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'Report Line',null,'Y','N',448,100,100,130,'Y',0,0,null,null,null,null,'N');
Insert into "AD_PRINTFORMAT" ("AD_PRINTFORMAT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","ISTABLEBASED","ISFORM","AD_TABLE_ID","AD_PRINTPAPER_ID","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISSTANDARDHEADERFOOTER","HEADERMARGIN","FOOTERMARGIN","CREATECOPY","AD_REPORTVIEW_ID","AD_PRINTTABLEFORMAT_ID","PRINTERNAME","ISDEFAULT") values (164,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'Report Source',null,'Y','N',450,100,100,130,'Y',0,0,null,null,null,null,'N');
Insert into "AD_PRINTFORMAT" ("AD_PRINTFORMAT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","ISTABLEBASED","ISFORM","AD_TABLE_ID","AD_PRINTPAPER_ID","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISSTANDARDHEADERFOOTER","HEADERMARGIN","FOOTERMARGIN","CREATECOPY","AD_REPORTVIEW_ID","AD_PRINTTABLEFORMAT_ID","PRINTERNAME","ISDEFAULT") values (165,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'Account Element',null,'Y','N',188,100,100,130,'Y',0,0,null,null,null,null,'N');
Insert into "AD_PRINTFORMAT" ("AD_PRINTFORMAT_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","ISTABLEBASED","ISFORM","AD_TABLE_ID","AD_PRINTPAPER_ID","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISSTANDARDHEADERFOOTER","HEADERMARGIN","FOOTERMARGIN","CREATECOPY","AD_REPORTVIEW_ID","AD_PRINTTABLEFORMAT_ID","PRINTERNAME","ISDEFAULT") values (166,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,'Statement of Cash Flows','Statement of Cash Flows','Y','N',544,100,100,130,'Y',0,0,null,null,null,null,'N');

-- INSERTING into AD_PRINTFORMATITEM
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2220,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,161,'Search Key','Search Key','Y','C',20,'F',200,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'Y',10,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2221,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,161,'Client','Client','N','C',0,'F',371,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2222,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,161,'Organization','Organization','N','C',0,'F',372,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2223,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,161,'Reference','Reference','Y','C',10,'F',151,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2224,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,161,'Name','Name','Y','C',30,'F',149,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'Y',20,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2225,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,161,'Description','Description','Y','C',40,'F',150,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2226,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,161,'Active','Active','N','C',0,'F',563,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2227,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,161,'Entity Type','Entity Type','Y','C',50,'F',7712,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2228,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,161,'Valid from','Valid from','Y','C',60,'F',152,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2229,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,161,'Valid to','Valid to','Y','C',70,'F',153,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2230,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,161,'Reference List','Reference List','N','C',0,'F',148,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2231,0,0,'Y',to_date('28.11.05','DD.MM.RR'),100,to_date('28.11.05','DD.MM.RR'),100,162,'Search Key','Search Key','Y','C',1,'F',6766,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'Y',1,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2232,0,0,'Y',to_date('28.11.05','DD.MM.RR'),100,to_date('28.11.05','DD.MM.RR'),100,162,'Client','Client','N','C',0,'F',391,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2233,0,0,'Y',to_date('28.11.05','DD.MM.RR'),100,to_date('28.11.05','DD.MM.RR'),100,162,'Organization','Organization','N','C',0,'F',392,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2234,0,0,'Y',to_date('28.11.05','DD.MM.RR'),100,to_date('28.11.05','DD.MM.RR'),100,162,'Active','Active','N','C',0,'F',588,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2235,0,0,'Y',to_date('28.11.05','DD.MM.RR'),100,to_date('28.11.05','DD.MM.RR'),100,162,'Entity Type','Entity Type','Y','C',5,'F',7716,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2236,0,0,'Y',to_date('28.11.05','DD.MM.RR'),100,to_date('28.11.05','DD.MM.RR'),100,162,'Message Type','Message Type','Y','C',6,'F',197,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2237,0,0,'Y',to_date('28.11.05','DD.MM.RR'),100,to_date('28.11.05','DD.MM.RR'),100,162,'Message Text','Message Text','Y','C',7,'F',198,null,'Y','N',0,0,0,0,0,'N',0,'B','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2238,0,0,'Y',to_date('28.11.05','DD.MM.RR'),100,to_date('28.11.05','DD.MM.RR'),100,162,'Message Tip','Message Tip','Y','C',8,'F',199,null,'Y','N',0,0,0,0,0,'N',0,'B','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2239,0,0,'Y',to_date('28.11.05','DD.MM.RR'),100,to_date('28.11.05','DD.MM.RR'),100,162,'Message','Message','N','C',0,'F',6765,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2240,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Sequence','Sequence','Y','C',1,'F',6055,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2241,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Client','Client','N','C',0,'F',6046,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2242,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Organization','Organization','N','C',0,'F',6047,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2243,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Report Line Set','Report Line Set','Y','C',4,'F',6053,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2244,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Name','Name','Y','C',5,'F',6054,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'Y',1,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2245,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Description','Description','Y','C',6,'F',6056,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2246,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Active','Active','N','C',0,'F',6048,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2247,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Printed','Printed','Y','C',8,'F',6057,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2248,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Line Type','Line Type','Y','C',9,'F',6060,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2249,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Calculation','Calculation','Y','C',10,'F',6061,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2250,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Operand 1','Operand 1','Y','C',11,'F',6062,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2251,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Operand 2','Operand 2','Y','C',12,'F',6063,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2252,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'PostingType','PostingType','Y','C',13,'F',6064,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2253,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Budget','Budget','Y','C',14,'F',6065,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2254,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Amount Type','Amt Type','Y','C',15,'F',7707,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2255,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Report Line','Report Line','N','C',0,'F',6045,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2256,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Parent','Parent','Y','C',17,'F',6058,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2257,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,163,'Summary Level','Summary Level','Y','C',18,'F',6059,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2258,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Type','Type','Y','C',1,'F',6085,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'Y',1,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2259,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Client','Client','N','C',0,'F',6096,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2260,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Organization','Organization','N','C',0,'F',6077,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2261,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Report Line','Report Line','Y','C',4,'F',6084,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2262,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Description','Description','Y','C',5,'F',6083,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'Y',2,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2263,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Active','Active','N','C',0,'F',6078,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2264,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Organization','Organization','Y','C',7,'F',6086,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2265,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Account Element','Account Element','Y','C',8,'F',6087,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2266,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Business Partner ','Business Partner ','Y','C',9,'F',6089,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2267,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Product','Product','Y','C',10,'F',6090,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2268,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Address','Address','Y','C',11,'F',6092,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2269,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Project','Project','Y','C',12,'F',6088,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2270,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Sales Region','Sales Region','Y','C',13,'F',6093,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2271,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Activity','Activity','Y','C',14,'F',6094,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2272,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Campaign','Campaign','Y','C',15,'F',6091,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2273,11,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,164,'Report Source','Report Source','N','C',0,'F',6095,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2274,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Search Key','Search Key','Y','C',1,'F',1234,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'Y',1,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2275,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Client','Client','N','C',0,'F',1128,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2276,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Organization','Organization','N','C',0,'F',1129,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2277,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Element','Element','Y','C',4,'F',1137,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2278,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Name','Name','Y','C',5,'F',1135,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'Y',2,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2279,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Description','Description','Y','C',6,'F',1136,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2280,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Active','Active','N','C',0,'F',1130,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2281,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Summary Level','Summary Level','Y','C',8,'F',1141,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2282,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Account Type','Account Type','Y','C',9,'F',1127,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2283,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Post Actual','Post Actual','Y','C',10,'F',1142,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2284,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Account Sign','Sign','Y','C',11,'F',1126,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2285,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Post Budget','Post Budget','Y','C',12,'F',1143,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2286,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Document Controlled','Doc Controlled','Y','C',13,'F',1468,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2287,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Post Statistical','Post Statistical','Y','C',14,'F',1144,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2288,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Bank Account','Bank Account','Y','C',15,'F',3897,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2289,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Bank Account','Bank Account','Y','C',16,'F',3898,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2290,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Foreign Currency Account','Foreign Currency','Y','C',17,'F',3003,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2291,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Currency','Currency','Y','C',18,'F',3004,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2292,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Account Element','Account Element','N','C',0,'F',1125,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2293,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Valid from','Valid from','Y','C',20,'F',1139,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2294,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Post Encumbrance','Post Encumbrance','Y','C',21,'F',1469,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2295,11,11,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,165,'Valid to','Valid to','Y','C',22,'F',1140,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2296,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Name','Name','Y','C',10,'F',8179,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'Y',30,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2297,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Accounting Fact','Accounting Fact','N','C',0,'F',8184,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2298,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Net period','Net period','Y','C',30,'F',8183,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2299,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'End period','End period','Y','C',31,'F',8157,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2300,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_10','Col_10','N','C',5,'F',8144,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2301,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_11','Col_11','N','C',6,'F',8158,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2302,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_12','Col_12','N','C',7,'F',8143,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2303,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_13','Col_13','N','C',8,'F',8146,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2304,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_14','Col_14','N','C',9,'F',8145,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2305,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_15','Col_15','N','C',10,'F',8154,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2306,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_16','Col_16','N','C',11,'F',8147,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2307,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_17','Col_17','N','C',12,'F',8160,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2308,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_18','Col_18','N','C',13,'F',8151,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2309,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_19','Col_19','N','C',14,'F',8164,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2310,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Beginning period ','Beginning period ','Y','C',32,'F',8149,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2311,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_20','Col_20','N','C',16,'F',8148,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2312,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Period debits','Period debits','Y','C',33,'F',8159,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2313,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Period credits only','Period credits only','Y','C',34,'F',8152,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2314,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_5','Col_5','N','C',19,'F',8150,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2315,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_6','Col_6','N','C',20,'F',8156,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2316,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_7','Col_7','N','C',21,'F',8161,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2317,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_8','Col_8','N','C',22,'F',8153,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2318,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Col_9','Col_9','N','C',23,'F',8162,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2319,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Description','Description','Y','C',20,'F',8178,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2320,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Level no','Level no','N','C',25,'F',8180,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'Y',20,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2321,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Process Instance','Process Instance','N','C',26,'F',8155,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2322,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Record ID','Record ID','N','C',0,'F',8181,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2323,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Report Line','Report Line','N','C',28,'F',8163,null,'Y','N',0,0,0,0,0,'N',0,'L','X',null,null,'N',0,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');
Insert into "AD_PRINTFORMATITEM" ("AD_PRINTFORMATITEM_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_PRINTFORMAT_ID","NAME","PRINTNAME","ISPRINTED","PRINTAREATYPE","SEQNO","PRINTFORMATTYPE","AD_COLUMN_ID","AD_PRINTFORMATCHILD_ID","ISRELATIVEPOSITION","ISNEXTLINE","XSPACE","YSPACE","XPOSITION","YPOSITION","MAXWIDTH","ISHEIGHTONELINE","MAXHEIGHT","FIELDALIGNMENTTYPE","LINEALIGNMENTTYPE","AD_PRINTCOLOR_ID","AD_PRINTFONT_ID","ISORDERBY","SORTNO","ISGROUPBY","ISPAGEBREAK","ISSUMMARIZED","IMAGEISATTACHED","IMAGEURL","ISAVERAGED","ISCOUNTED","ISSETNLPOSITION","ISSUPPRESSNULL","BELOWCOLUMN","AD_PRINTGRAPH_ID","ISFIXEDWIDTH","ISNEXTPAGE","PRINTNAMESUFFIX","ISMINCALC","ISMAXCALC","ISRUNNINGTOTAL","RUNNINGTOTALLINES","ISVARIANCECALC","ISDEVIATIONCALC","ISFILLEDRECTANGLE","LINEWIDTH","ARCDIAMETER","SHAPETYPE","ISCENTRALLYMAINTAINED","ISIMAGEFIELD") values (2324,11,11,'Y',to_date('05.01.06','DD.MM.RR'),101,to_date('05.01.06','DD.MM.RR'),101,166,'Sequence','Sequence','N','C',29,'F',8185,null,'Y','N',0,0,0,0,0,'N',0,'T','X',null,null,'Y',10,'N','N','N','N',null,'N','N','N','N',null,null,'N','N',null,'N','N','N',null,'N','N','N',1,0,'N','Y','N');



-- INSERTING into AD_MESSAGE
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (857,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'ConnectionProfileChange','Connection Profile changed - You need to re-login to be effective.',null,'I','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (858,0,0,'Y',to_date('29.11.05','DD.MM.RR'),100,to_date('29.11.05','DD.MM.RR'),100,'WorkflowActivities','Workflow &Activities',null,'M','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (859,0,0,'Y',to_date('29.11.05','DD.MM.RR'),100,to_date('29.11.05','DD.MM.RR'),100,'WorkflowPanel',' &Workflow',null,'M','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (860,0,0,'Y',to_date('29.11.05','DD.MM.RR'),100,to_date('29.11.05','DD.MM.RR'),100,'TreeSearch',' &Lookup',null,'M','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (861,0,0,'Y',to_date('08.12.05','DD.MM.RR'),100,to_date('08.12.05','DD.MM.RR'),100,'TabSwitchJumpGo','Please select the parent tab first:',null,'E','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (862,0,0,'Y',to_date('08.12.05','DD.MM.RR'),100,to_date('08.12.05','DD.MM.RR'),100,'TabSwitchJump','Please select the parent tab before selecting a dependent tab',null,'E','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (863,0,0,'Y',to_date('08.12.05','DD.MM.RR'),100,to_date('08.12.05','DD.MM.RR'),100,'Ok',' &OK',null,'M','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (864,0,0,'Y',to_date('08.12.05','DD.MM.RR'),100,to_date('08.12.05','DD.MM.RR'),100,'DocumentNo',' &Document No',null,'I','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (865,0,0,'Y',to_date('14.12.05','DD.MM.RR'),100,to_date('14.12.05','DD.MM.RR'),100,'CacheWindow','Cache Windows','Cache Window Definitions on Client','I','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (866,0,0,'Y',to_date('24.12.05','DD.MM.RR'),100,to_date('24.12.05','DD.MM.RR'),100,'PAPanel',' &Performance',null,'I','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (867,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'SystemName','System Name','Name your Compiere System installation, e.g. Joe Block, Inc.','I','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (868,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'SupportContract','Existing Support Contract','Sign up for Compiere Support - also supports the product development','I','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (869,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'SupportContractUnits','Supported Users','Max Users of Support Contract Purchased','I','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (870,0,0,'Y',to_date('08.01.06','DD.MM.RR'),100,to_date('08.01.06','DD.MM.RR'),100,'InsufficientQtyAvailable','Insufficient Inventory Available:',null,'E','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (871,0,0,'Y',to_date('21.01.06','DD.MM.RR'),100,to_date('21.01.06','DD.MM.RR'),100,'DocProcessed','Document Processed',null,'I','D');
Insert into "AD_MESSAGE" ("AD_MESSAGE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","MSGTEXT","MSGTIP","MSGTYPE","ENTITYTYPE") values (872,0,0,'Y',to_date('26.01.06','DD.MM.RR'),100,to_date('26.01.06','DD.MM.RR'),100,'QtyNotReserved','Not reserved',null,'I','D');

-- INSERTING into AD_PINSTANCE
Insert into "AD_PINSTANCE" ("AD_PINSTANCE_ID","AD_PROCESS_ID","RECORD_ID","ISPROCESSING","CREATED","AD_USER_ID","UPDATED","RESULT","ERRORMSG","AD_CLIENT_ID","AD_ORG_ID","CREATEDBY","UPDATEDBY","ISACTIVE") values (1165,167,197,'N',to_date('11.02.06','DD.MM.RR'),100,to_date('11.02.06','DD.MM.RR'),0,null,11,11,100,100,'Y');
Insert into "AD_PINSTANCE" ("AD_PINSTANCE_ID","AD_PROCESS_ID","RECORD_ID","ISPROCESSING","CREATED","AD_USER_ID","UPDATED","RESULT","ERRORMSG","AD_CLIENT_ID","AD_ORG_ID","CREATEDBY","UPDATEDBY","ISACTIVE") values (1166,167,198,'N',to_date('11.02.06','DD.MM.RR'),100,to_date('11.02.06','DD.MM.RR'),0,null,11,11,100,100,'Y');
Insert into "AD_PINSTANCE" ("AD_PINSTANCE_ID","AD_PROCESS_ID","RECORD_ID","ISPROCESSING","CREATED","AD_USER_ID","UPDATED","RESULT","ERRORMSG","AD_CLIENT_ID","AD_ORG_ID","CREATEDBY","UPDATEDBY","ISACTIVE") values (1167,167,199,'N',to_date('11.02.06','DD.MM.RR'),100,to_date('11.02.06','DD.MM.RR'),0,null,11,11,100,100,'Y');
Insert into "AD_PINSTANCE" ("AD_PINSTANCE_ID","AD_PROCESS_ID","RECORD_ID","ISPROCESSING","CREATED","AD_USER_ID","UPDATED","RESULT","ERRORMSG","AD_CLIENT_ID","AD_ORG_ID","CREATEDBY","UPDATEDBY","ISACTIVE") values (1168,167,200,'N',to_date('11.02.06','DD.MM.RR'),100,to_date('11.02.06','DD.MM.RR'),0,null,11,11,100,100,'Y');
Insert into "AD_PINSTANCE" ("AD_PINSTANCE_ID","AD_PROCESS_ID","RECORD_ID","ISPROCESSING","CREATED","AD_USER_ID","UPDATED","RESULT","ERRORMSG","AD_CLIENT_ID","AD_ORG_ID","CREATEDBY","UPDATEDBY","ISACTIVE") values (1169,167,201,'N',to_date('11.02.06','DD.MM.RR'),100,to_date('11.02.06','DD.MM.RR'),0,null,11,11,100,100,'Y');
Insert into "AD_PINSTANCE" ("AD_PINSTANCE_ID","AD_PROCESS_ID","RECORD_ID","ISPROCESSING","CREATED","AD_USER_ID","UPDATED","RESULT","ERRORMSG","AD_CLIENT_ID","AD_ORG_ID","CREATEDBY","UPDATEDBY","ISACTIVE") values (1170,167,202,'N',to_date('11.02.06','DD.MM.RR'),100,to_date('11.02.06','DD.MM.RR'),0,null,11,11,100,100,'Y');

-- INSERTING into AD_PINSTANCE_PARA
Insert into "AD_PINSTANCE_PARA" ("AD_PINSTANCE_ID","SEQNO","PARAMETERNAME","P_STRING","P_STRING_TO","P_NUMBER","P_NUMBER_TO","P_DATE","P_DATE_TO","INFO","INFO_TO","AD_CLIENT_ID","AD_ORG_ID","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISACTIVE") values (1167,0,'PeriodAction','O',null,null,null,null,null,'Open Period',null,11,11,to_date('11.02.06','DD.MM.RR'),100,to_date('11.02.06','DD.MM.RR'),100,'Y');
Insert into "AD_PINSTANCE_PARA" ("AD_PINSTANCE_ID","SEQNO","PARAMETERNAME","P_STRING","P_STRING_TO","P_NUMBER","P_NUMBER_TO","P_DATE","P_DATE_TO","INFO","INFO_TO","AD_CLIENT_ID","AD_ORG_ID","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISACTIVE") values (1168,0,'PeriodAction','O',null,null,null,null,null,'Open Period',null,11,11,to_date('11.02.06','DD.MM.RR'),100,to_date('11.02.06','DD.MM.RR'),100,'Y');
Insert into "AD_PINSTANCE_PARA" ("AD_PINSTANCE_ID","SEQNO","PARAMETERNAME","P_STRING","P_STRING_TO","P_NUMBER","P_NUMBER_TO","P_DATE","P_DATE_TO","INFO","INFO_TO","AD_CLIENT_ID","AD_ORG_ID","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISACTIVE") values (1169,0,'PeriodAction','O',null,null,null,null,null,'Open Period',null,11,11,to_date('11.02.06','DD.MM.RR'),100,to_date('11.02.06','DD.MM.RR'),100,'Y');
Insert into "AD_PINSTANCE_PARA" ("AD_PINSTANCE_ID","SEQNO","PARAMETERNAME","P_STRING","P_STRING_TO","P_NUMBER","P_NUMBER_TO","P_DATE","P_DATE_TO","INFO","INFO_TO","AD_CLIENT_ID","AD_ORG_ID","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISACTIVE") values (1170,0,'PeriodAction','O',null,null,null,null,null,'Open Period',null,11,11,to_date('11.02.06','DD.MM.RR'),100,to_date('11.02.06','DD.MM.RR'),100,'Y');
Insert into "AD_PINSTANCE_PARA" ("AD_PINSTANCE_ID","SEQNO","PARAMETERNAME","P_STRING","P_STRING_TO","P_NUMBER","P_NUMBER_TO","P_DATE","P_DATE_TO","INFO","INFO_TO","AD_CLIENT_ID","AD_ORG_ID","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISACTIVE") values (1165,0,'PeriodAction','O',null,null,null,null,null,'Open Period',null,11,11,to_date('11.02.06','DD.MM.RR'),100,to_date('11.02.06','DD.MM.RR'),100,'Y');
Insert into "AD_PINSTANCE_PARA" ("AD_PINSTANCE_ID","SEQNO","PARAMETERNAME","P_STRING","P_STRING_TO","P_NUMBER","P_NUMBER_TO","P_DATE","P_DATE_TO","INFO","INFO_TO","AD_CLIENT_ID","AD_ORG_ID","CREATED","CREATEDBY","UPDATED","UPDATEDBY","ISACTIVE") values (1166,0,'PeriodAction','O',null,null,null,null,null,'Open Period',null,11,11,to_date('11.02.06','DD.MM.RR'),100,to_date('11.02.06','DD.MM.RR'),100,'Y');


-- INSERTING into / updating AD_REF_LIST
update "AD_REF_LIST" set value='OO', name='Organization' where AD_Ref_List_ID=272;
update "AD_REF_LIST" set value='U1', name='User List 1' where AD_Ref_List_ID=282;
update "AD_REF_LIST" set value='U2', name='User List 2' where AD_Ref_List_ID=283;
update "AD_REF_LIST" set value='A', name='Achievements' where AD_Ref_List_ID=457;
update "AD_REF_LIST" set value='A', name='Average PO' where AD_Ref_List_ID=510;
update "AD_REF_LIST" set value='DP', name='Average PO History' where AD_Ref_List_ID=514;
update "AD_REF_LIST" set value='DI', name='Average Invoice History' where AD_Ref_List_ID=515;
update "AD_REF_LIST" set value='i' where AD_Ref_List_ID='512';
update "AD_REF_LIST" set value='p' where AD_Ref_List_ID='511';
update "AD_REF_LIST" set Value='A', Name='Achievments' where AD_Ref_List_ID=457;

Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (795,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'SA','Sub Account','Sub Account for Element Value',181,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (796,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'X1','User Element 1',null,181,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (797,0,0,'Y',to_date('01.11.05','DD.MM.RR'),100,to_date('01.11.05','DD.MM.RR'),100,'X2','User Element 2',null,181,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (798,0,0,'Y',to_date('11.11.05','DD.MM.RR'),100,to_date('11.11.05','DD.MM.RR'),100,'M','EMail',null,302,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (799,0,0,'Y',to_date('11.11.05','DD.MM.RR'),100,to_date('11.11.05','DD.MM.RR'),100,'D','Document Owner',null,363,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (800,0,0,'Y',to_date('11.11.05','DD.MM.RR'),100,to_date('11.11.05','DD.MM.RR'),100,'B','Document Business Partner',null,363,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (801,0,0,'Y',to_date('11.11.05','DD.MM.RR'),100,to_date('11.11.05','DD.MM.RR'),100,'R','WF Responsible',null,363,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (802,0,0,'Y',to_date('19.11.05','DD.MM.RR'),100,to_date('19.11.05','DD.MM.RR'),100,'L','LAN',null,364,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (803,0,0,'Y',to_date('19.11.05','DD.MM.RR'),100,to_date('19.11.05','DD.MM.RR'),100,'T','Terminal Server',null,364,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (804,0,0,'Y',to_date('19.11.05','DD.MM.RR'),100,to_date('19.11.05','DD.MM.RR'),100,'V','VPN',null,364,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (805,0,0,'Y',to_date('19.11.05','DD.MM.RR'),100,to_date('19.11.05','DD.MM.RR'),100,'W','WAN',null,364,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (806,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'C','Client (all shared)',null,365,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (807,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'O','Org (not shared)',null,365,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (808,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'x','Client or Org',null,365,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (809,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,'F','FiFo',null,250,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (810,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,'L','LiFo',null,250,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (811,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,'I','Average Invoice',null,250,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (812,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,'x','Old Standard Cost',null,250,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (813,0,0,'Y',to_date('27.11.05','DD.MM.RR'),100,to_date('27.11.05','DD.MM.RR'),100,'f','Future Standard Cost',null,250,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (814,0,0,'Y',to_date('18.12.05','DD.MM.RR'),100,to_date('18.12.05','DD.MM.RR'),100,'S','System generated',null,207,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (815,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'0',' 0% Not Started',null,366,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (816,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'D','100% Complete',null,366,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (817,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'2',' 20% Started',null,366,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (818,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'8',' 80% Nearly Done',null,366,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (819,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'4',' 40% Busy',null,366,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (820,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'6',' 60% Good Progress',null,366,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (821,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'9',' 90% Finishing',null,366,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (822,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'A',' 95% Almost Done',null,366,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (823,0,0,'Y',to_date('21.12.05','DD.MM.RR'),100,to_date('21.12.05','DD.MM.RR'),100,'C',' 99% Cleaning up',null,366,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (824,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'1','Year',null,367,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (825,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'3','Quarter',null,367,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (826,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'5','Month',null,367,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (827,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'0','Total',null,367,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (828,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'7','Week',null,367,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (829,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'8','Day',null,367,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (830,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'O','Organization',null,368,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (831,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'B','Business Partner',null,368,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (832,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'P','Product',null,368,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (833,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'G','Bus.Partner Group',null,368,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (834,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'C','Product Category',null,368,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (835,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'U','User defined',null,231,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (836,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'T','Qty/Amount in Time',null,369,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (837,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'S','Status Qty/Amount',null,369,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (838,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'R','Ratio',null,231,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (839,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'A','Average',null,370,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (840,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'S','Sum',null,370,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (841,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'R','Ratio',null,372,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (842,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'C','Constant',null,372,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (843,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'P','Plus',null,373,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (844,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'N','Minus',null,373,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (845,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'M','Multiply',null,373,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (846,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'D','Divide',null,373,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (848,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'X','Calculation',null,372,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (849,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'A','Account Value',null,372,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (850,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'E','Evaluation',null,374,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (851,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'I','Implementation',null,374,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (852,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'P','Production',null,374,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (853,0,0,'Y',to_date('11.01.06','DD.MM.RR'),100,to_date('11.01.06','DD.MM.RR'),100,'Q','Request',null,231,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (854,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'P','Project',null,231,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (855,0,0,'Y',to_date('17.01.06','DD.MM.RR'),100,to_date('17.01.06','DD.MM.RR'),100,'M','MM',null,375,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (856,0,0,'Y',to_date('17.01.06','DD.MM.RR'),100,to_date('17.01.06','DD.MM.RR'),100,'I','Inch',null,375,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (857,0,0,'Y',to_date('19.01.06','DD.MM.RR'),100,to_date('19.01.06','DD.MM.RR'),100,'O','On Hand Qty',null,376,null,null,'D');
Insert into "AD_REF_LIST" ("AD_REF_LIST_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","VALUE","NAME","DESCRIPTION","AD_REFERENCE_ID","VALIDFROM","VALIDTO","ENTITYTYPE") values (858,0,0,'Y',to_date('19.01.06','DD.MM.RR'),100,to_date('19.01.06','DD.MM.RR'),100,'Z','Zero',null,376,null,null,'D');


-- INSERTING into AD_SEQUENCE
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1186,0,0,'Y',to_date('31.10.05','DD.MM.RR'),100,to_date('31.10.05','DD.MM.RR'),100,'C_SubAcct','Table C_SubAcct',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1187,0,0,'Y',to_date('13.11.05','DD.MM.RR'),100,to_date('13.11.05','DD.MM.RR'),100,'R_MailText_Trl','Table R_MailText_Trl',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1188,0,0,'Y',to_date('20.11.05','DD.MM.RR'),100,to_date('20.11.05','DD.MM.RR'),100,'AD_ClientShare','Table AD_ClientShare',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1189,0,0,'Y',to_date('25.11.05','DD.MM.RR'),0,to_date('25.11.05','DD.MM.RR'),0,'DocumentNo_C_SubAcct','DocumentNo/Value for Table C_SubAcct',null,'Y',1,10000000,10000000,10000000,'N','N',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1190,11,0,'Y',to_date('25.11.05','DD.MM.RR'),0,to_date('25.11.05','DD.MM.RR'),0,'DocumentNo_C_SubAcct','DocumentNo/Value for Table C_SubAcct',null,'Y',1,10000000,10000000,10000000,'N','N',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1191,0,0,'Y',to_date('12.12.05','DD.MM.RR'),100,to_date('12.12.05','DD.MM.RR'),100,'AD_Issue','Table AD_Issue',null,'Y',1,1000000,1000000,609,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1192,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'RV_C_Invoice_ProductQtr','Table RV_C_Invoice_ProductQtr',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1193,0,0,'Y',to_date('15.12.05','DD.MM.RR'),100,to_date('15.12.05','DD.MM.RR'),100,'RV_C_Invoice_ProductMonth','Table RV_C_Invoice_ProductMonth',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1194,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'PA_ColorSchema','Table PA_ColorSchema',null,'Y',1,1000000,1000000,102,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1195,0,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,'PA_GoalRestriction','Table PA_GoalRestriction',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1196,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_Benchmark','Table PA_Benchmark',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1197,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_BenchmarkData','Table PA_BenchmarkData',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1198,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_Ratio','Table PA_Ratio',null,'Y',1,1000000,1000000,101,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1199,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,'PA_RatioElement','Table PA_RatioElement',null,'Y',1,1000000,1000000,103,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1200,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'R_IssueRecommendation','Table R_IssueRecommendation',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1201,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'R_IssueStatus','Table R_IssueStatus',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1202,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'R_IssueKnown','Table R_IssueKnown',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1203,0,0,'Y',to_date('30.12.05','DD.MM.RR'),100,to_date('30.12.05','DD.MM.RR'),100,'R_IssueSource','Table R_IssueSource',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1204,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'R_IssueUser','Table R_IssueUser',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1205,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'R_IssueProject','Table R_IssueProject',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1206,0,0,'Y',to_date('31.12.05','DD.MM.RR'),100,to_date('31.12.05','DD.MM.RR'),100,'R_IssueSystem','Table R_IssueSystem',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1207,0,0,'Y',to_date('15.01.06','DD.MM.RR'),100,to_date('15.01.06','DD.MM.RR'),100,'R_StatusCategory','Table R_StatusCategory',null,'Y',1,1000000,1000000,101,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1208,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_Allocation','Table RV_Allocation',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1209,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_Asset_SumMonth','Table RV_Asset_SumMonth',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1210,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_BPartner','Table RV_BPartner',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1211,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_Cash_Detail','Table RV_Cash_Detail',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1212,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_Click_Month','Table RV_Click_Month',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1213,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_Click_Unprocessed','Table RV_Click_Unprocessed',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1214,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_Fact_Acct_Day','Table RV_Fact_Acct_Day',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1215,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_Fact_Acct_Period','Table RV_Fact_Acct_Period',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1216,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_M_Requisition','Table RV_M_Requisition',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1217,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_M_Transaction','Table RV_M_Transaction',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1218,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_M_Transaction_Sum','Table RV_M_Transaction_Sum',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1219,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_OpenItem','Table RV_OpenItem',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1220,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_PrintFormatDetail','Table RV_PrintFormatDetail',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1221,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_ProjectCycle','Table RV_ProjectCycle',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1222,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_ProjectLineIssue','Table RV_ProjectLineIssue',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1223,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_Storage','Table RV_Storage',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1224,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_Transaction','Table RV_Transaction',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');
Insert into "AD_SEQUENCE" ("AD_SEQUENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","NAME","DESCRIPTION","VFORMAT","ISAUTOSEQUENCE","INCREMENTNO","STARTNO","CURRENTNEXT","CURRENTNEXTSYS","ISAUDITED","ISTABLEID","PREFIX","SUFFIX","STARTNEWYEAR") values (1225,0,0,'Y',to_date('22.01.06','DD.MM.RR'),100,to_date('22.01.06','DD.MM.RR'),100,'RV_UnPosted','Table RV_UnPosted',null,'Y',1,1000000,1000000,100,'N','Y',null,null,'N');

-- INSERTING into AD_SESSION
Insert into "AD_SESSION" ("AD_SESSION_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","WEBSESSION","REMOTE_ADDR","REMOTE_HOST","PROCESSED") values (2456,11,11,'Y',to_date('11.02.06','DD.MM.RR'),100,to_date('11.02.06','DD.MM.RR'),100,null,'192.168.68.81','dev1','Y');

-- INSERTING into AD_TREENODE
Insert into "AD_TREENODE" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (101,783,11,0,'Y',to_date('23.12.05','DD.MM.RR'),100,to_date('23.12.05','DD.MM.RR'),100,0,6);
Insert into "AD_TREENODE" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (101,796,11,0,'Y',to_date('23.12.05','DD.MM.RR'),0,to_date('23.12.05','DD.MM.RR'),0,0,999);

-- INSERTING into AD_TREENODEMM
Insert into "AD_TREENODEMM" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (10,556,0,0,'Y',to_date('23.12.05','DD.MM.RR'),0,to_date('26.12.05','DD.MM.RR'),0,158,4);
Insert into "AD_TREENODEMM" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (10,557,0,0,'Y',to_date('26.12.05','DD.MM.RR'),0,to_date('26.12.05','DD.MM.RR'),0,158,9);
Insert into "AD_TREENODEMM" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (10,558,0,0,'Y',to_date('26.12.05','DD.MM.RR'),0,to_date('26.12.05','DD.MM.RR'),0,158,7);
Insert into "AD_TREENODEMM" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (10,563,0,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,528,15);
Insert into "AD_TREENODEMM" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (10,564,0,0,'Y',to_date('31.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,528,14);
Insert into "AD_TREENODEMM" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (10,553,0,0,'Y',to_date('15.12.05','DD.MM.RR'),0,to_date('15.12.05','DD.MM.RR'),0,100,12);
Insert into "AD_TREENODEMM" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (10,554,0,0,'Y',to_date('15.12.05','DD.MM.RR'),0,to_date('15.12.05','DD.MM.RR'),0,100,9);
Insert into "AD_TREENODEMM" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (10,555,0,0,'Y',to_date('21.12.05','DD.MM.RR'),0,to_date('26.12.05','DD.MM.RR'),0,158,10);
Insert into "AD_TREENODEMM" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (10,559,0,0,'Y',to_date('30.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,528,12);
Insert into "AD_TREENODEMM" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (10,560,0,0,'Y',to_date('30.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,528,11);
Insert into "AD_TREENODEMM" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (10,561,0,0,'Y',to_date('30.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,528,16);
Insert into "AD_TREENODEMM" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (10,562,0,0,'Y',to_date('30.12.05','DD.MM.RR'),0,to_date('31.12.05','DD.MM.RR'),0,528,13);
Insert into "AD_TREENODEMM" ("AD_TREE_ID","NODE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","PARENT_ID","SEQNO") values (10,552,0,0,'Y',to_date('12.12.05','DD.MM.RR'),0,to_date('12.12.05','DD.MM.RR'),0,218,11);


-- INSERTING into AD_REF_TABLE
Insert into "AD_REF_TABLE" ("AD_REFERENCE_ID","AD_CLIENT_ID","AD_ORG_ID","ISACTIVE","CREATED","CREATEDBY","UPDATED","UPDATEDBY","AD_TABLE_ID","AD_KEY","AD_DISPLAY","ISVALUEDISPLAYED","WHERECLAUSE","ORDERBYCLAUSE","ENTITYTYPE") values (371,0,0,'Y',to_date('26.12.05','DD.MM.RR'),100,to_date('26.12.05','DD.MM.RR'),100,835,14813,14821,'N',null,null,'D');


COMMIT;
EXIT;
